/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.fluentui;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum FluentUiFilledMZ implements Ikon {
    MAGIC_WAND_16('\ufa47'),
    MAGIC_WAND_20('\ufa48'),
    MAGIC_WAND_24('\uf50f'),
    MAGIC_WAND_28('\ufa49'),
    MAGIC_WAND_48('\ufa4a'),
    MAIL_16('\ufa4b'),
    MAIL_20('\uf510'),
    MAIL_24('\uf511'),
    MAIL_28('\uf512'),
    MAIL_48('\uf513'),
    MAIL_ADD_24('\uf514'),
    MAIL_ALL_20('\uf515'),
    MAIL_ALL_24('\uf516'),
    MAIL_ALL_ACCOUNTS_24('\uf517'),
    MAIL_ALL_READ_20('\uf518'),
    MAIL_ALL_UNREAD_20('\uf519'),
    MAIL_CLOCK_20('\uf51a'),
    MAIL_COPY_20('\uf51b'),
    MAIL_COPY_24('\uf51c'),
    MAIL_INBOX_16('\uf51d'),
    MAIL_INBOX_20('\uf51e'),
    MAIL_INBOX_24('\uf51f'),
    MAIL_INBOX_28('\uf520'),
    MAIL_INBOX_ADD_16('\uf521'),
    MAIL_INBOX_ADD_20('\uf522'),
    MAIL_INBOX_ADD_24('\uf523'),
    MAIL_INBOX_ADD_28('\uf524'),
    MAIL_INBOX_DISMISS_16('\uf525'),
    MAIL_INBOX_DISMISS_20('\uf526'),
    MAIL_INBOX_DISMISS_24('\uf527'),
    MAIL_INBOX_DISMISS_28('\uf528'),
    MAIL_MOVE_TO_FOCUSSED_24('\uf529'),
    MAIL_OUTBOX_20('\uf8e0'),
    MAIL_OUTBOX_24('\uf52a'),
    MAIL_READ_16('\ufa4c'),
    MAIL_READ_20('\uf52b'),
    MAIL_READ_24('\uf52c'),
    MAIL_READ_28('\uf52d'),
    MAIL_READ_48('\uf52e'),
    MAIL_UNREAD_16('\uf52f'),
    MAIL_UNREAD_20('\uf530'),
    MAIL_UNREAD_24('\uf531'),
    MAIL_UNREAD_28('\uf532'),
    MAIL_UNREAD_48('\uf533'),
    MAIL_UNSUBSCRIBE_24('\uf534'),
    MALWARE_DETECTED_16('\uf535'),
    MALWARE_DETECTED_24('\uf536'),
    MANUFACTURER_24('\uf537'),
    MAP_24('\uf538'),
    MAP_DRIVE_16('\uf539'),
    MAP_DRIVE_20('\uf53a'),
    MAP_DRIVE_24('\uf53b'),
    MATCH_APP_LAYOUT_24('\uf53c'),
    MATH_FORMAT_LINEAR_24('\ufa4d'),
    MATH_FORMAT_PROFESSIONAL_24('\ufa4e'),
    MATH_FORMULA_24('\ufa4f'),
    MAXIMIZE_16('\uf53d'),
    MAXIMIZE_20('\ufa50'),
    MAXIMIZE_24('\ufa51'),
    MAXIMIZE_28('\ufa52'),
    MAXIMIZE_48('\ufa53'),
    MEET_NOW_16('\ufa54'),
    MEET_NOW_20('\uf53e'),
    MEET_NOW_24('\uf53f'),
    MEGAPHONE_16('\uf540'),
    MEGAPHONE_20('\uf541'),
    MEGAPHONE_24('\uf542'),
    MEGAPHONE_28('\uf543'),
    MEGAPHONE_OFF_24('\uf544'),
    MENTION_16('\uf545'),
    MENTION_20('\uf546'),
    MENTION_24('\uf547'),
    MERGE_24('\uf548'),
    MIC_OFF_12('\uf549'),
    MIC_OFF_16('\uf54a'),
    MIC_OFF_20('\ufa55'),
    MIC_OFF_24('\uf54b'),
    MIC_OFF_28('\uf54c'),
    MIC_OFF_48('\ufa56'),
    MIC_ON_16('\uf54d'),
    MIC_ON_20('\uf54e'),
    MIC_ON_24('\uf54f'),
    MIC_ON_28('\uf550'),
    MIC_ON_48('\uf551'),
    MIC_PROHIBITED_24('\ufa57'),
    MIC_SETTINGS_24('\uf552'),
    MIDI_20('\uf553'),
    MIDI_24('\uf554'),
    MINIMIZE_12('\ufa58'),
    MINIMIZE_16('\ufa59'),
    MINIMIZE_20('\ufa5a'),
    MINIMIZE_24('\ufa5b'),
    MINIMIZE_28('\ufa5c'),
    MINIMIZE_48('\ufa5d'),
    MISSING_METADATA_16('\uf555'),
    MISSING_METADATA_24('\uf556'),
    MOBILE_OPTIMIZED_24('\uf557'),
    MONEY_16('\uf558'),
    MONEY_20('\uf559'),
    MONEY_24('\uf55a'),
    MORE_16('\uf55b'),
    MORE_20('\uf55c'),
    MORE_24('\uf55d'),
    MORE_28('\uf55e'),
    MORE_48('\uf55f'),
    MORE_CIRCLE_20('\ufa5e'),
    MORE_VERTICAL_20('\uf560'),
    MORE_VERTICAL_24('\uf561'),
    MORE_VERTICAL_28('\uf562'),
    MORE_VERTICAL_48('\uf563'),
    MOVIES_AND_TV_16('\ufa5f'),
    MOVIES_AND_TV_20('\ufa60'),
    MOVIES_AND_TV_24('\uf564'),
    MULTISELECT_20('\uf565'),
    MULTISELECT_24('\uf566'),
    MUSIC_20('\uf567'),
    MUSIC_24('\uf568'),
    MUSIC_NOTES_16('\ufa63'),
    MUSIC_NOTES_24('\ufa64'),
    MUSIC_NOTE_20('\ufa61'),
    MUSIC_NOTE_24('\ufa62'),
    MY_LOCATION_24('\uf569'),
    NAVIGATION_20('\uf56a'),
    NAVIGATION_24('\uf56b'),
    NAVIGATION_UNREAD_24('\ufa65'),
    NETWORK_CHECK_24('\uf56c'),
    NEWS_20('\uf56f'),
    NEWS_24('\uf570'),
    NEWS_28('\uf571'),
    NEW_16('\uf56d'),
    NEW_24('\uf56e'),
    NEXT_16('\uf572'),
    NEXT_20('\uf573'),
    NEXT_24('\uf574'),
    NOTEBOOK_24('\uf57a'),
    NOTEBOOK_ERROR_24('\uf57b'),
    NOTEBOOK_LIGHTNING_24('\uf57c'),
    NOTEBOOK_QUESTION_MARK_24('\uf57d'),
    NOTEBOOK_SECTION_24('\uf57e'),
    NOTEBOOK_SYNC_24('\uf57f'),
    NOTEPAD_20('\uf580'),
    NOTEPAD_24('\uf581'),
    NOTEPAD_28('\uf582'),
    NOTE_20('\uf575'),
    NOTE_24('\uf576'),
    NOTE_ADD_16('\uf577'),
    NOTE_ADD_20('\uf578'),
    NOTE_ADD_24('\uf579'),
    NUMBER_ROW_16('\uf583'),
    NUMBER_ROW_20('\uf584'),
    NUMBER_ROW_24('\uf585'),
    NUMBER_SYMBOL_16('\uf586'),
    NUMBER_SYMBOL_20('\uf587'),
    NUMBER_SYMBOL_24('\uf588'),
    NUMBER_SYMBOL_DISMISS_24('\ufa66'),
    OFFICE_APPS_24('\uf589'),
    OFFICE_APPS_28('\uf58a'),
    OPEN_16('\uf58b'),
    OPEN_20('\uf58c'),
    OPEN_24('\uf58d'),
    OPEN_28('\ufa67'),
    OPEN_48('\ufa68'),
    OPEN_FOLDER_16('\ufa69'),
    OPEN_FOLDER_20('\ufa6a'),
    OPEN_FOLDER_24('\uf58e'),
    OPEN_FOLDER_28('\ufa6b'),
    OPEN_FOLDER_48('\ufa6c'),
    OPEN_IN_BROWSER_24('\uf58f'),
    OPEN_OFF_16('\ufa6d'),
    OPEN_OFF_20('\ufa6e'),
    OPEN_OFF_24('\ufa6f'),
    OPEN_OFF_28('\ufa70'),
    OPEN_OFF_48('\ufa71'),
    OPTIONS_16('\uf590'),
    OPTIONS_20('\uf591'),
    OPTIONS_24('\uf592'),
    ORGANIZATION_20('\uf593'),
    ORGANIZATION_24('\uf594'),
    ORGANIZATION_28('\uf595'),
    OWNER_24('\uf596'),
    PAGE_20('\uf597'),
    PAGE_FIT_16('\uf598'),
    PAGE_FIT_20('\uf599'),
    PAGE_FIT_24('\uf59a'),
    PAINT_BRUSH_16('\uf59b'),
    PAINT_BRUSH_20('\uf59c'),
    PAINT_BRUSH_24('\uf59d'),
    PAINT_BRUSH_ARROW_DOWN_24('\ufa72'),
    PAINT_BRUSH_ARROW_UP_24('\ufa73'),
    PAINT_BUCKET_16('\uf59e'),
    PAINT_BUCKET_20('\uf59f'),
    PAINT_BUCKET_24('\uf5a0'),
    PAIR_24('\uf5a1'),
    PANE_CLOSE_16('\uf5a2'),
    PANE_CLOSE_20('\uf5a3'),
    PANE_CLOSE_24('\uf5a4'),
    PANE_OPEN_16('\uf5a5'),
    PANE_OPEN_20('\uf5a6'),
    PANE_OPEN_24('\uf5a7'),
    PASSWORD_24('\uf5a8'),
    PATIENT_24('\uf5a9'),
    PAUSE_12('\ufa74'),
    PAUSE_16('\uf5aa'),
    PAUSE_20('\uf5ab'),
    PAUSE_24('\uf5ac'),
    PAUSE_48('\uf5ad'),
    PAYMENT_16('\ufa75'),
    PAYMENT_20('\uf5ae'),
    PAYMENT_24('\uf5af'),
    PAYMENT_28('\ufa76'),
    PEN_SETTINGS_24('\uf5b0'),
    PEOPLE_16('\uf5b1'),
    PEOPLE_20('\uf5b2'),
    PEOPLE_24('\uf5b3'),
    PEOPLE_28('\uf5b4'),
    PEOPLE_ADD_16('\uf5b5'),
    PEOPLE_ADD_20('\uf5b6'),
    PEOPLE_ADD_24('\uf5b7'),
    PEOPLE_AUDIENCE_24('\uf5b8'),
    PEOPLE_COMMUNITY_16('\uf5b9'),
    PEOPLE_COMMUNITY_20('\uf5ba'),
    PEOPLE_COMMUNITY_24('\uf5bb'),
    PEOPLE_COMMUNITY_28('\uf5bc'),
    PEOPLE_COMMUNITY_ADD_24('\uf5bd'),
    PEOPLE_PROHIBITED_16('\ufa77'),
    PEOPLE_PROHIBITED_20('\uf5be'),
    PEOPLE_SEARCH_24('\uf5bf'),
    PEOPLE_SETTINGS_20('\uf5c0'),
    PEOPLE_SWAP_16('\ufa78'),
    PEOPLE_SWAP_20('\ufa79'),
    PEOPLE_SWAP_24('\ufa7a'),
    PEOPLE_SWAP_28('\ufa7b'),
    PEOPLE_TEAM_16('\uf5c1'),
    PEOPLE_TEAM_20('\uf5c2'),
    PEOPLE_TEAM_24('\uf5c3'),
    PEOPLE_TEAM_28('\uf5c4'),
    PEOPLE_TEAM_ADD_20('\ufa7c'),
    PEOPLE_TEAM_ADD_24('\ufa7d'),
    PEOPLE_TEAM_DISMISS_24('\ufa7e'),
    PERSON_12('\uf5c5'),
    PERSON_16('\uf5c6'),
    PERSON_20('\uf5c7'),
    PERSON_24('\uf5c8'),
    PERSON_28('\uf5c9'),
    PERSON_48('\uf5ca'),
    PERSON_ACCOUNTS_24('\uf5cb'),
    PERSON_ADD_20('\uf5cc'),
    PERSON_ADD_24('\uf5cd'),
    PERSON_ARROW_LEFT_20('\uf5ce'),
    PERSON_ARROW_LEFT_24('\uf5cf'),
    PERSON_ARROW_RIGHT_16('\uf5d0'),
    PERSON_ARROW_RIGHT_20('\uf5d1'),
    PERSON_ARROW_RIGHT_24('\uf5d2'),
    PERSON_AVAILABLE_16('\uf5d3'),
    PERSON_AVAILABLE_20('\ufa7f'),
    PERSON_AVAILABLE_24('\uf5d4'),
    PERSON_BLOCK_24('\uf5d5'),
    PERSON_BOARD_16('\uf5d6'),
    PERSON_BOARD_20('\uf5d7'),
    PERSON_BOARD_24('\uf5d8'),
    PERSON_CALL_24('\uf5d9'),
    PERSON_CLOCK_16('\ufa80'),
    PERSON_CLOCK_20('\ufa81'),
    PERSON_CLOCK_24('\ufa82'),
    PERSON_DELETE_16('\uf5da'),
    PERSON_DELETE_20('\ufa83'),
    PERSON_DELETE_24('\uf5db'),
    PERSON_FEEDBACK_20('\uf5dc'),
    PERSON_FEEDBACK_24('\uf5dd'),
    PERSON_MAIL_16('\ufa84'),
    PERSON_MAIL_20('\ufa85'),
    PERSON_MAIL_24('\ufa86'),
    PERSON_MAIL_28('\ufa87'),
    PERSON_MAIL_48('\ufa88'),
    PERSON_PROHIBITED_20('\uf5de'),
    PERSON_PROHIBITED_24('\ufa89'),
    PERSON_QUESTION_MARK_16('\uf5df'),
    PERSON_QUESTION_MARK_20('\uf5e0'),
    PERSON_QUESTION_MARK_24('\uf5e1'),
    PERSON_SUPPORT_16('\uf5e2'),
    PERSON_SUPPORT_20('\uf5e3'),
    PERSON_SUPPORT_24('\uf5e4'),
    PERSON_SWAP_16('\uf5e5'),
    PERSON_SWAP_20('\uf5e6'),
    PERSON_SWAP_24('\uf5e7'),
    PERSON_VOICE_20('\uf5e8'),
    PERSON_VOICE_24('\uf5e9'),
    PHONE_16('\ufa8a'),
    PHONE_20('\uf5ea'),
    PHONE_24('\uf5eb'),
    PHONE_28('\uf5ec'),
    PHONE_ADD_NEW_APP_24('\uf5ed'),
    PHONE_DESKTOP_16('\uf5ee'),
    PHONE_DESKTOP_20('\uf5ef'),
    PHONE_DESKTOP_24('\uf5f0'),
    PHONE_DESKTOP_28('\uf5f1'),
    PHONE_ERROR_24('\uf5f2'),
    PHONE_HOME_LOCK_24('\uf5f3'),
    PHONE_LAPTOP_20('\uf5f4'),
    PHONE_LAPTOP_24('\uf5f5'),
    PHONE_LINK_SETUP_24('\uf5f6'),
    PHONE_MOBILE_20('\uf5f7'),
    PHONE_MOBILE_24('\uf5f8'),
    PHONE_PAGE_HEADER_24('\uf5f9'),
    PHONE_PAGINATION_24('\uf5fa'),
    PHONE_SCREEN_TIME_24('\uf5fb'),
    PHONE_SHAKE_24('\uf5fc'),
    PHONE_STATUS_BAR_24('\uf5fd'),
    PHONE_TABLET_20('\uf5fe'),
    PHONE_TABLET_24('\uf5ff'),
    PHONE_TO_PC_20('\uf600'),
    PHONE_TO_PC_24('\uf601'),
    PHONE_UPDATE_24('\uf602'),
    PHONE_VERTICAL_SCROLL_24('\uf603'),
    PHONE_VIBRATE_24('\uf604'),
    PHOTO_FILTER_24('\uf605'),
    PICTURE_IN_PICTURE_16('\uf606'),
    PICTURE_IN_PICTURE_20('\uf607'),
    PICTURE_IN_PICTURE_24('\uf608'),
    PIN_12('\uf609'),
    PIN_16('\uf60a'),
    PIN_20('\uf60b'),
    PIN_24('\uf60c'),
    PIN_OFF_20('\uf60d'),
    PIN_OFF_24('\uf60e'),
    PLAY_20('\uf60f'),
    PLAY_24('\uf610'),
    PLAY_48('\uf611'),
    PLAY_CIRCLE_24('\uf612'),
    PLUG_DISCONNECTED_20('\uf613'),
    PLUG_DISCONNECTED_24('\uf614'),
    PLUG_DISCONNECTED_28('\uf615'),
    POINT_SCAN_24('\uf616'),
    POLL_20('\ufa8b'),
    POLL_24('\uf617'),
    POWER_20('\uf618'),
    POWER_24('\uf619'),
    POWER_28('\uf61a'),
    PREDICTIONS_24('\uf61b'),
    PREMIUM_16('\uf61c'),
    PREMIUM_20('\uf61d'),
    PREMIUM_24('\uf61e'),
    PREMIUM_28('\uf61f'),
    PRESENCE_AVAILABLE_10('\uf620'),
    PRESENCE_AVAILABLE_12('\uf621'),
    PRESENCE_AVAILABLE_16('\uf622'),
    PRESENCE_AWAY_10('\uf623'),
    PRESENCE_AWAY_12('\uf624'),
    PRESENCE_AWAY_16('\uf625'),
    PRESENCE_BUSY_10('\uf626'),
    PRESENCE_BUSY_12('\uf627'),
    PRESENCE_BUSY_16('\uf628'),
    PRESENCE_DND_10('\uf629'),
    PRESENCE_DND_12('\uf62a'),
    PRESENCE_DND_16('\uf62b'),
    PRESENTER_24('\uf62c'),
    PRESENTER_OFF_24('\uf62d'),
    PREVIEW_LINK_16('\uf62e'),
    PREVIEW_LINK_20('\uf62f'),
    PREVIEW_LINK_24('\uf630'),
    PREVIOUS_16('\uf631'),
    PREVIOUS_20('\uf632'),
    PREVIOUS_24('\uf633'),
    PRINT_20('\uf634'),
    PRINT_24('\uf635'),
    PRINT_48('\uf636'),
    PROHIBITED_20('\uf637'),
    PROHIBITED_24('\uf638'),
    PROHIBITED_28('\uf639'),
    PROHIBITED_48('\uf63a'),
    PROOFREAD_LANGUAGE_24('\uf63b'),
    PROTOCOL_HANDLER_16('\uf63c'),
    PROTOCOL_HANDLER_20('\uf63d'),
    PROTOCOL_HANDLER_24('\uf63e'),
    PULSE_24('\ufa8c'),
    QR_CODE_20('\ufa8d'),
    QR_CODE_24('\uf63f'),
    QR_CODE_28('\uf640'),
    QUESTION_16('\uf641'),
    QUESTION_20('\uf642'),
    QUESTION_24('\uf643'),
    QUESTION_28('\uf644'),
    QUESTION_48('\uf645'),
    QUESTION_CIRCLE_16('\uf646'),
    QUESTION_CIRCLE_20('\uf647'),
    QUESTION_CIRCLE_24('\uf648'),
    QUESTION_CIRCLE_28('\uf649'),
    QUESTION_CIRCLE_48('\uf64a'),
    QUIZ_NEW_24('\uf64b'),
    QUIZ_NEW_28('\uf64c'),
    QUIZ_NEW_48('\uf64d'),
    RADIO_BUTTON_20('\uf64e'),
    RADIO_BUTTON_24('\uf64f'),
    RATING_MATURE_16('\uf650'),
    RATING_MATURE_20('\uf651'),
    RATING_MATURE_24('\uf652'),
    READING_LIST_16('\uf65b'),
    READING_LIST_20('\uf65c'),
    READING_LIST_24('\uf65d'),
    READING_LIST_28('\uf65e'),
    READING_LIST_ADD_16('\uf65f'),
    READING_LIST_ADD_20('\uf660'),
    READING_LIST_ADD_24('\uf661'),
    READING_LIST_ADD_28('\uf662'),
    READING_MODE_20('\uf663'),
    READING_MODE_24('\uf664'),
    READING_MODE_MOBILE_20('\uf665'),
    READING_MODE_MOBILE_24('\uf666'),
    READ_ALOUD_20('\uf657'),
    READ_ALOUD_24('\uf658'),
    READ_ONLY_16('\uf659'),
    READ_ONLY_24('\uf65a'),
    REAL_ESTATE_24('\ufa8e'),
    RECIEPT_20('\uf667'),
    RECIEPT_24('\uf668'),
    RECOMMENDED_24('\uf669'),
    RECORD_16('\uf66a'),
    RECORD_20('\uf66b'),
    RECORD_24('\uf66c'),
    REMOVE_12('\uf66d'),
    REMOVE_16('\uf66e'),
    REMOVE_20('\uf66f'),
    REMOVE_24('\uf670'),
    REMOVE_RECENT_24('\uf671'),
    RENAME_16('\uf672'),
    RENAME_20('\uf673'),
    RENAME_24('\uf674'),
    RENAME_28('\uf675'),
    RESIZE_20('\uf676'),
    RESIZE_IMAGE_24('\uf677'),
    RESIZE_TABLE_24('\uf678'),
    RESIZE_VIDEO_24('\uf679'),
    RESTORE_16('\uf67a'),
    REWARD_16('\uf67b'),
    REWARD_20('\uf67c'),
    REWARD_24('\uf67d'),
    REWIND_20('\uf67e'),
    REWIND_24('\uf67f'),
    RE_ORDER_16('\uf653'),
    RE_ORDER_24('\uf654'),
    RE_ORDER_DOTS_20('\uf655'),
    RE_ORDER_DOTS_24('\uf656'),
    RIBBON_24('\ufa8f'),
    RIBBON_STAR_20('\ufa90'),
    RIBBON_STAR_24('\ufa91'),
    ROCKET_16('\uf680'),
    ROCKET_20('\uf681'),
    ROCKET_24('\uf682'),
    ROUTER_24('\uf683'),
    ROW_TRIPLE_24('\uf684'),
    RULER_16('\uf685'),
    RULER_20('\uf686'),
    RULER_24('\uf687'),
    RUN_16('\ufa92'),
    RUN_20('\ufa93'),
    RUN_24('\uf688'),
    SAVE_20('\uf689'),
    SAVE_24('\uf68a'),
    SAVE_AS_20('\uf68b'),
    SAVE_AS_24('\uf68c'),
    SAVE_COPY_24('\uf68d'),
    SAVINGS_16('\uf68e'),
    SAVINGS_20('\uf68f'),
    SAVINGS_24('\uf690'),
    SCALES_24('\ufa94'),
    SCALES_32('\ufa95'),
    SCALE_FILL_24('\uf691'),
    SCALE_FIT_16('\uf692'),
    SCALE_FIT_20('\uf693'),
    SCALE_FIT_24('\uf694'),
    SCAN_24('\uf695'),
    SCRATCHPAD_24('\uf696'),
    SCREENSHOT_20('\uf697'),
    SCREENSHOT_24('\uf698'),
    SEARCH_20('\uf699'),
    SEARCH_24('\uf69a'),
    SEARCH_28('\uf69b'),
    SEARCH_INFO_24('\uf69c'),
    SEARCH_SHIELD_20('\ufa96'),
    SEARCH_SQUARE_24('\uf69d'),
    SELECT_ALL_24('\uf69e'),
    SELECT_ALL_OFF_24('\uf69f'),
    SELECT_OBJECT_20('\uf6a0'),
    SELECT_OBJECT_24('\uf6a1'),
    SEND_20('\uf6a2'),
    SEND_24('\uf6a3'),
    SEND_28('\uf6a4'),
    SEND_CLOCK_20('\uf6a5'),
    SEND_COPY_24('\uf6a6'),
    SEND_LOGGING_24('\uf6a7'),
    SEND_TO_BACK_20('\uf6a8'),
    SEND_TO_BACK_24('\uf6a9'),
    SERIAL_PORT_16('\uf6aa'),
    SERIAL_PORT_20('\uf6ab'),
    SERIAL_PORT_24('\uf6ac'),
    SERVICE_BELL_24('\uf6ad'),
    SETTINGS_16('\uf6b1'),
    SETTINGS_20('\uf6b2'),
    SETTINGS_24('\uf6b3'),
    SETTINGS_28('\uf6b4'),
    SET_TOP_STACK_16('\uf6ae'),
    SET_TOP_STACK_20('\uf6af'),
    SET_TOP_STACK_24('\uf6b0'),
    SHAPES_16('\uf6b5'),
    SHAPES_20('\uf6b6'),
    SHAPES_24('\uf6b7'),
    SHARE_20('\uf6b8'),
    SHARE_24('\uf6b9'),
    SHARE_ANDROID_20('\uf6ba'),
    SHARE_ANDROID_24('\uf6bb'),
    SHARE_CLOSE_TRAY_24('\uf6bc'),
    SHARE_DESKTOP_24('\uf6bd'),
    SHARE_IOS_20('\uf6be'),
    SHARE_IOS_24('\uf6bf'),
    SHARE_IOS_28('\uf6c0'),
    SHARE_IOS_48('\uf6c1'),
    SHARE_SCREEN_20('\uf6c2'),
    SHARE_SCREEN_24('\uf6c3'),
    SHARE_SCREEN_28('\uf6c4'),
    SHARE_STOP_16('\ufa97'),
    SHARE_STOP_20('\ufa98'),
    SHARE_STOP_24('\uf6c5'),
    SHARE_STOP_28('\uf6c6'),
    SHARE_STOP_48('\ufa99'),
    SHIELD_20('\uf6c7'),
    SHIELD_24('\uf6c8'),
    SHIELD_DISMISS_20('\uf6c9'),
    SHIELD_DISMISS_24('\uf6ca'),
    SHIELD_DISMISS_SHIELD_20('\ufa9a'),
    SHIELD_ERROR_20('\uf6cb'),
    SHIELD_ERROR_24('\uf6cc'),
    SHIELD_KEYHOLE_16('\uf6cd'),
    SHIELD_KEYHOLE_20('\uf6ce'),
    SHIELD_KEYHOLE_24('\uf6cf'),
    SHIELD_PROHIBITED_20('\uf6d0'),
    SHIELD_PROHIBITED_24('\uf6d1'),
    SHIFTS_24('\uf6d2'),
    SHIFTS_24H_20('\uf6d3'),
    SHIFTS_24H_24('\uf6d4'),
    SHIFTS_28('\uf6d5'),
    SHIFTS_30_MINUTES_24('\uf6d6'),
    SHIFTS_ACTIVITY_20('\uf6d7'),
    SHIFTS_ACTIVITY_24('\uf6d8'),
    SHIFTS_ADD_24('\uf6d9'),
    SHIFTS_APPROVE_24('\uf6da'),
    SHIFTS_AVAILABILITY_24('\uf6db'),
    SHIFTS_DAY_20('\ufa9b'),
    SHIFTS_DAY_24('\ufa9c'),
    SHIFTS_DENY_24('\uf6dc'),
    SHIFTS_OPEN_20('\uf6dd'),
    SHIFTS_OPEN_24('\uf6de'),
    SHIFTS_PENDING_24('\uf6df'),
    SHIFTS_TEAM_24('\uf6e0'),
    SHIP_20('\uf6e1'),
    SHIP_24('\uf6e2'),
    SIDEBAR_SEARCH_LTR_20('\ufa9d'),
    SIDEBAR_SEARCH_RTL_20('\ufa9e'),
    SIGNATURE_16('\uf6e4'),
    SIGNATURE_20('\uf6e5'),
    SIGNATURE_24('\uf6e6'),
    SIGNATURE_28('\uf6e7'),
    SIGNED_16('\uf6e8'),
    SIGNED_20('\uf6e9'),
    SIGNED_24('\uf6ea'),
    SIGN_OUT_20('\ufa9f'),
    SIGN_OUT_24('\uf6e3'),
    SIM_16('\uf6eb'),
    SIM_20('\uf6ec'),
    SIM_24('\uf6ed'),
    SLEEP_24('\uf6ee'),
    SLIDE_ADD_24('\uf6ef'),
    SLIDE_DESIGN_24('\uf6f0'),
    SLIDE_HIDE_24('\uf6f1'),
    SLIDE_LAYOUT_20('\uf6f2'),
    SLIDE_LAYOUT_24('\uf6f3'),
    SLIDE_MICROPHONE_24('\uf6f4'),
    SLIDE_MULTIPLE_ARROW_RIGHT_24('\ufaa0'),
    SLIDE_SEARCH_24('\ufaa1'),
    SLIDE_SEARCH_28('\ufaa2'),
    SLIDE_SIZE_24('\ufaa3'),
    SLIDE_TEXT_16('\ufaa4'),
    SLIDE_TEXT_20('\ufaa5'),
    SLIDE_TEXT_24('\uf6f5'),
    SLIDE_TEXT_28('\ufaa6'),
    SLIDE_TEXT_48('\ufaa7'),
    SLOW_MODE_16('\uf6f6'),
    SLOW_MODE_20('\uf6f7'),
    SLOW_MODE_24('\uf6f8'),
    SLOW_MODE_28('\uf6f9'),
    SMALL_16('\uf6fa'),
    SMALL_20('\uf6fb'),
    SMALL_24('\uf6fc'),
    SNOOZE_16('\uf6fd'),
    SNOOZE_24('\uf6fe'),
    SOUND_SOURCE_24('\uf6ff'),
    SOUND_SOURCE_28('\uf700'),
    SPACEBAR_24('\uf701'),
    SPEAKER_0_16('\ufaa8'),
    SPEAKER_0_20('\ufaa9'),
    SPEAKER_0_24('\uf702'),
    SPEAKER_0_28('\ufaaa'),
    SPEAKER_0_48('\ufaab'),
    SPEAKER_16('\uf703'),
    SPEAKER_1_16('\ufaac'),
    SPEAKER_1_20('\ufaad'),
    SPEAKER_1_24('\uf704'),
    SPEAKER_1_28('\ufaae'),
    SPEAKER_1_48('\ufaaf'),
    SPEAKER_20('\uf705'),
    SPEAKER_24('\uf706'),
    SPEAKER_28('\uf707'),
    SPEAKER_48('\ufab0'),
    SPEAKER_BLUETOOTH_24('\uf708'),
    SPEAKER_BLUETOOTH_28('\ufab1'),
    SPEAKER_EDIT_16('\uf709'),
    SPEAKER_EDIT_20('\uf70a'),
    SPEAKER_EDIT_24('\uf70b'),
    SPEAKER_NONE_16('\ufab2'),
    SPEAKER_NONE_20('\uf70c'),
    SPEAKER_NONE_24('\uf70d'),
    SPEAKER_NONE_28('\uf70e'),
    SPEAKER_NONE_48('\ufab3'),
    SPEAKER_OFF_16('\ufab4'),
    SPEAKER_OFF_20('\ufab5'),
    SPEAKER_OFF_24('\uf70f'),
    SPEAKER_OFF_28('\uf710'),
    SPEAKER_OFF_48('\ufab6'),
    SPEAKER_SETTINGS_24('\uf711'),
    SPEAKER_USB_24('\ufab7'),
    SPEAKER_USB_28('\ufab8'),
    SPINNER_IOS_20('\uf712'),
    SPORTS_16('\uf713'),
    SPORTS_20('\uf714'),
    SPORTS_24('\uf715'),
    SPORT_16('\ufab9'),
    SPORT_20('\ufaba'),
    SPORT_24('\ufabb'),
    SPORT_AMERICAN_FOOTBALL_24('\ufabc'),
    SPORT_BASEBALL_24('\ufabd'),
    SPORT_BASKETBALL_24('\ufabe'),
    SPORT_HOCKEY_24('\ufabf'),
    STAR_12('\uf716'),
    STAR_16('\uf717'),
    STAR_20('\uf718'),
    STAR_24('\uf719'),
    STAR_28('\uf71a'),
    STAR_ADD_16('\uf71b'),
    STAR_ADD_20('\uf71c'),
    STAR_ADD_24('\uf71d'),
    STAR_ARROW_RIGHT_24('\uf71e'),
    STAR_ARROW_RIGHT_START_24('\uf71f'),
    STAR_EDIT_24('\ufac0'),
    STAR_EMPHASIS_24('\uf720'),
    STAR_HALF_12('\uf721'),
    STAR_HALF_16('\uf722'),
    STAR_HALF_20('\uf723'),
    STAR_HALF_24('\uf724'),
    STAR_HALF_28('\uf725'),
    STAR_OFF_12('\uf726'),
    STAR_OFF_16('\uf727'),
    STAR_OFF_20('\uf728'),
    STAR_OFF_24('\uf729'),
    STAR_OFF_28('\uf72a'),
    STAR_ONE_QUARTER_12('\uf72b'),
    STAR_ONE_QUARTER_16('\uf72c'),
    STAR_ONE_QUARTER_20('\uf72d'),
    STAR_ONE_QUARTER_24('\uf72e'),
    STAR_ONE_QUARTER_28('\uf72f'),
    STAR_PROHIBITED_16('\uf730'),
    STAR_PROHIBITED_20('\uf731'),
    STAR_PROHIBITED_24('\uf732'),
    STAR_SETTINGS_24('\uf733'),
    STAR_THREE_QUARTER_12('\uf734'),
    STAR_THREE_QUARTER_16('\uf735'),
    STAR_THREE_QUARTER_20('\uf736'),
    STAR_THREE_QUARTER_24('\uf737'),
    STAR_THREE_QUARTER_28('\uf738'),
    STATUS_16('\uf739'),
    STATUS_20('\uf73a'),
    STATUS_24('\uf73b'),
    STETHOSCOPE_20('\uf73c'),
    STETHOSCOPE_24('\uf73d'),
    STICKER_20('\uf73e'),
    STICKER_24('\uf73f'),
    STICKER_ADD_24('\uf740'),
    STOP_16('\uf741'),
    STOP_20('\uf742'),
    STOP_24('\uf743'),
    STORAGE_24('\uf744'),
    STORE_16('\uf745'),
    STORE_20('\uf746'),
    STORE_24('\uf747'),
    STORE_MICROSOFT_16('\uf748'),
    STORE_MICROSOFT_20('\uf749'),
    STORE_MICROSOFT_24('\uf74a'),
    STYLE_GUIDE_24('\uf74b'),
    SUBWAY_20('\uf74d'),
    SUBWAY_24('\uf74e'),
    SUB_GRID_24('\uf74c'),
    SUGGESTION_24('\uf74f'),
    SURFACE_EARBUDS_20('\uf750'),
    SURFACE_EARBUDS_24('\uf751'),
    SURFACE_HUB_20('\uf752'),
    SURFACE_HUB_24('\uf753'),
    SWIPE_DOWN_24('\uf754'),
    SWIPE_RIGHT_24('\uf755'),
    SWIPE_UP_24('\uf756'),
    SYMBOLS_24('\uf757'),
    SYNC_OFF_16('\uf758'),
    SYNC_OFF_20('\uf759'),
    SYSTEM_24('\uf75a'),
    TABLET_20('\uf791'),
    TABLET_24('\uf792'),
    TABLE_16('\ufac3'),
    TABLE_20('\uf775'),
    TABLE_24('\uf776'),
    TABLE_28('\ufac4'),
    TABLE_48('\ufac5'),
    TABLE_ADD_24('\uf777'),
    TABLE_CELLS_MERGE_20('\uf778'),
    TABLE_CELLS_MERGE_24('\uf779'),
    TABLE_CELLS_SPLIT_20('\uf77a'),
    TABLE_CELLS_SPLIT_24('\uf77b'),
    TABLE_COLUMN_DELETE_24('\uf77c'),
    TABLE_COLUMN_INSERT_24('\uf77d'),
    TABLE_COLUMN_RESIZE_24('\uf77e'),
    TABLE_DELETE_24('\uf77f'),
    TABLE_EDIT_24('\uf780'),
    TABLE_FREEZE_24('\uf781'),
    TABLE_FREEZE_COLUMN_24('\uf782'),
    TABLE_FREEZE_ROW_24('\uf783'),
    TABLE_INSERT_DOWN_24('\uf784'),
    TABLE_INSERT_LEFT_24('\uf785'),
    TABLE_INSERT_RIGHT_24('\uf786'),
    TABLE_INSERT_UP_24('\uf787'),
    TABLE_MOVE_DOWN_24('\uf788'),
    TABLE_MOVE_LEFT_24('\uf789'),
    TABLE_MOVE_RIGHT_24('\uf78a'),
    TABLE_MOVE_UP_24('\uf78b'),
    TABLE_ROW_DELETE_24('\uf78c'),
    TABLE_ROW_INSERT_24('\uf78d'),
    TABLE_ROW_RESIZE_24('\uf78e'),
    TABLE_SETTINGS_24('\uf78f'),
    TABLE_SIMPLE_16('\ufac6'),
    TABLE_SIMPLE_20('\ufac7'),
    TABLE_SIMPLE_24('\ufac8'),
    TABLE_SIMPLE_28('\ufac9'),
    TABLE_SIMPLE_48('\ufaca'),
    TABLE_SWITCH_24('\uf790'),
    TABS_24('\uf793'),
    TAB_16('\uf75b'),
    TAB_20('\uf75c'),
    TAB_24('\uf75d'),
    TAB_28('\uf75e'),
    TAB_DESKTOP_20('\uf75f'),
    TAB_DESKTOP_ARROW_CLOCKWISE_16('\uf760'),
    TAB_DESKTOP_ARROW_CLOCKWISE_20('\uf761'),
    TAB_DESKTOP_ARROW_CLOCKWISE_24('\uf762'),
    TAB_DESKTOP_ARROW_LEFT_20('\ufac1'),
    TAB_DESKTOP_CLOCK_20('\uf763'),
    TAB_DESKTOP_COPY_20('\uf764'),
    TAB_DESKTOP_IMAGE_16('\uf765'),
    TAB_DESKTOP_IMAGE_20('\uf766'),
    TAB_DESKTOP_IMAGE_24('\uf767'),
    TAB_DESKTOP_MULTIPLE_20('\uf768'),
    TAB_DESKTOP_NEW_PAGE_20('\uf769'),
    TAB_INPRIVATE_ACCOUNT_20('\uf76e'),
    TAB_INPRIVATE_ACCOUNT_24('\uf76f'),
    TAB_IN_PRIVATE_16('\uf76a'),
    TAB_IN_PRIVATE_20('\uf76b'),
    TAB_IN_PRIVATE_24('\uf76c'),
    TAB_IN_PRIVATE_28('\uf76d'),
    TAB_NEW_20('\uf770'),
    TAB_NEW_24('\uf771'),
    TAB_PROHIBITED_24('\ufac2'),
    TAB_SWEEP_24('\uf772'),
    TAB_TRACKING_PREVENTION_20('\uf773'),
    TAB_TRACKING_PREVENTION_24('\uf774'),
    TAG_16('\ufacb'),
    TAG_20('\uf794'),
    TAG_24('\uf795'),
    TAP_DOUBLE_24('\uf796'),
    TAP_SINGLE_24('\uf797'),
    TARGET_16('\uf798'),
    TARGET_20('\uf799'),
    TARGET_24('\uf79a'),
    TARGET_EDIT_16('\uf79b'),
    TARGET_EDIT_20('\uf79c'),
    TARGET_EDIT_24('\uf79d'),
    TASKS_APP_20('\ufacc'),
    TASKS_APP_24('\uf7a2'),
    TASKS_APP_28('\uf7a3'),
    TASK_LIST_20('\uf79e'),
    TASK_LIST_24('\uf79f'),
    TASK_LIST_ADD_20('\uf7a0'),
    TASK_LIST_ADD_24('\uf7a1'),
    TEAM_ADD_24('\uf7a4'),
    TEAM_DELETE_24('\uf7a5'),
    TEDDY_24('\uf7a6'),
    TEMPERATURE_20('\uf7a7'),
    TEMPERATURE_24('\uf7a8'),
    TENT_12('\ufacd'),
    TENT_16('\uface'),
    TENT_20('\ufacf'),
    TENT_24('\uf7a9'),
    TENT_28('\ufad0'),
    TENT_48('\ufad1'),
    TEST_CALL_24('\uf7aa'),
    TEXTBOX_20('\uf828'),
    TEXTBOX_24('\uf829'),
    TEXTBOX_ALIGN_20('\uf82a'),
    TEXTBOX_ALIGN_24('\uf82b'),
    TEXTBOX_ALIGN_BOTTOM_20('\uf82c'),
    TEXTBOX_ALIGN_BOTTOM_24('\uf82d'),
    TEXTBOX_ALIGN_MIDDLE_20('\uf82e'),
    TEXTBOX_ALIGN_MIDDLE_24('\uf82f'),
    TEXTBOX_ALIGN_TOP_20('\uf830'),
    TEXTBOX_ALIGN_TOP_24('\uf831'),
    TEXTBOX_VERTICAL_20('\uf832'),
    TEXTBOX_VERTICAL_24('\uf833'),
    TEXT_24('\uf7ab'),
    TEXT_ADD_24('\uf7ac'),
    TEXT_ADD_SPACE_AFTER_20('\uf7ad'),
    TEXT_ADD_SPACE_AFTER_24('\uf7ae'),
    TEXT_ADD_SPACE_BEFORE_20('\uf7af'),
    TEXT_ADD_SPACE_BEFORE_24('\uf7b0'),
    TEXT_ALIGN_CENTER_20('\uf7b1'),
    TEXT_ALIGN_CENTER_24('\uf7b2'),
    TEXT_ALIGN_DISTRIBUTED_20('\uf7b3'),
    TEXT_ALIGN_DISTRIBUTED_24('\uf7b4'),
    TEXT_ALIGN_JUSTIFY_20('\uf7b5'),
    TEXT_ALIGN_JUSTIFY_24('\uf7b6'),
    TEXT_ALIGN_LEFT_20('\uf7b7'),
    TEXT_ALIGN_LEFT_24('\uf7b8'),
    TEXT_ALIGN_RIGHT_20('\uf7b9'),
    TEXT_ALIGN_RIGHT_24('\uf7ba'),
    TEXT_ASTERISK_20('\uf7bb'),
    TEXT_BOLD_16('\ufad2'),
    TEXT_BOLD_20('\uf7bc'),
    TEXT_BOLD_24('\uf7bd'),
    TEXT_BULLET_LIST_20('\uf7be'),
    TEXT_BULLET_LIST_24('\uf7bf'),
    TEXT_BULLET_LIST_ADD_24('\uf7c0'),
    TEXT_BULLET_LIST_SQUARE_24('\uf7c1'),
    TEXT_BULLET_LIST_SQUARE_WARNING_16('\uf7c2'),
    TEXT_BULLET_LIST_SQUARE_WARNING_20('\uf7c3'),
    TEXT_BULLET_LIST_SQUARE_WARNING_24('\uf7c4'),
    TEXT_BULLET_LIST_TREE_16('\uf7c5'),
    TEXT_BULLET_LIST_TREE_20('\uf7c6'),
    TEXT_BULLET_LIST_TREE_24('\uf7c7'),
    TEXT_CHANGE_ACCEPT_20('\uf7c8'),
    TEXT_CHANGE_ACCEPT_24('\uf7c9'),
    TEXT_CHANGE_CASE_20('\uf7ca'),
    TEXT_CHANGE_CASE_24('\uf7cb'),
    TEXT_CHANGE_NEXT_20('\uf7cc'),
    TEXT_CHANGE_NEXT_24('\uf7cd'),
    TEXT_CHANGE_PREVIOUS_20('\uf7ce'),
    TEXT_CHANGE_PREVIOUS_24('\uf7cf'),
    TEXT_CHANGE_REJECT_20('\uf7d0'),
    TEXT_CHANGE_REJECT_24('\uf7d1'),
    TEXT_CHANGE_SETTINGS_20('\uf7d2'),
    TEXT_CHANGE_SETTINGS_24('\uf7d3'),
    TEXT_CLEAR_FORMATTING_20('\uf7d4'),
    TEXT_CLEAR_FORMATTING_24('\uf7d5'),
    TEXT_COLLAPSE_24('\uf7d6'),
    TEXT_COLOR_16('\ufad3'),
    TEXT_COLOR_20('\uf7d7'),
    TEXT_COLOR_24('\uf7d8'),
    TEXT_COLUMN_ONE_20('\uf7d9'),
    TEXT_COLUMN_ONE_24('\uf7da'),
    TEXT_COLUMN_ONE_NARROW_20('\ufad4'),
    TEXT_COLUMN_ONE_NARROW_24('\ufad5'),
    TEXT_COLUMN_ONE_WIDE_20('\ufad6'),
    TEXT_COLUMN_ONE_WIDE_24('\ufad7'),
    TEXT_COLUMN_THREE_20('\uf7db'),
    TEXT_COLUMN_THREE_24('\uf7dc'),
    TEXT_COLUMN_TWO_20('\uf7dd'),
    TEXT_COLUMN_TWO_24('\uf7de'),
    TEXT_COLUMN_TWO_LEFT_20('\uf7df'),
    TEXT_COLUMN_TWO_LEFT_24('\uf7e0'),
    TEXT_COLUMN_TWO_RIGHT_20('\uf7e1'),
    TEXT_COLUMN_TWO_RIGHT_24('\uf7e2'),
    TEXT_CONTINUOUS_24('\ufad8'),
    TEXT_DESCRIPTION_20('\uf7e3'),
    TEXT_DESCRIPTION_24('\uf7e4'),
    TEXT_DIRECTION_20('\uf7e5'),
    TEXT_DIRECTION_24('\uf7e6'),
    TEXT_DIRECTION_HORIZONTAL_LTR_20('\uf7e7'),
    TEXT_DIRECTION_HORIZONTAL_LTR_24('\uf7e8'),
    TEXT_DIRECTION_ROTATE_270_20('\uf7e9'),
    TEXT_DIRECTION_ROTATE_270_24('\uf7ea'),
    TEXT_DIRECTION_ROTATE_270_AC_20('\uf7eb'),
    TEXT_DIRECTION_ROTATE_270_AC_24('\uf7ec'),
    TEXT_DIRECTION_ROTATE_90_20('\uf7ed'),
    TEXT_DIRECTION_ROTATE_90_24('\uf7ee'),
    TEXT_DIRECTION_VERTICAL_20('\uf7ef'),
    TEXT_DIRECTION_VERTICAL_24('\uf7f0'),
    TEXT_EDIT_STYLE_20('\uf7f1'),
    TEXT_EDIT_STYLE_24('\uf7f2'),
    TEXT_EFFECTS_20('\uf7f3'),
    TEXT_EFFECTS_24('\uf7f4'),
    TEXT_EXPAND_24('\uf7f5'),
    TEXT_FIELD_16('\uf7f6'),
    TEXT_FIELD_20('\uf7f7'),
    TEXT_FIELD_24('\uf7f8'),
    TEXT_FIRST_LINE_20('\uf7f9'),
    TEXT_FIRST_LINE_24('\uf7fa'),
    TEXT_FONT_16('\uf7fb'),
    TEXT_FONT_20('\uf7fc'),
    TEXT_FONT_24('\uf7fd'),
    TEXT_FONT_SIZE_20('\uf7fe'),
    TEXT_FONT_SIZE_24('\uf7ff'),
    TEXT_FOOTNOTE_20('\uf800'),
    TEXT_FOOTNOTE_24('\uf801'),
    TEXT_GRAMMAR_OPTIONS_16('\uf802'),
    TEXT_GRAMMAR_OPTIONS_20('\uf803'),
    TEXT_GRAMMAR_OPTIONS_24('\uf804'),
    TEXT_HANGING_20('\uf805'),
    TEXT_HANGING_24('\uf806'),
    TEXT_HEADER_1_20('\uf807'),
    TEXT_HEADER_2_20('\uf808'),
    TEXT_HEADER_3_20('\uf809'),
    TEXT_INDENT_DECREASE_20('\ufad9'),
    TEXT_INDENT_DECREASE_24('\uf80a'),
    TEXT_INDENT_INCREASE_20('\ufada'),
    TEXT_INDENT_INCREASE_24('\uf80b'),
    TEXT_ITALIC_16('\ufadb'),
    TEXT_ITALIC_20('\uf80c'),
    TEXT_ITALIC_24('\uf80d'),
    TEXT_LINE_SPACING_20('\uf80e'),
    TEXT_LINE_SPACING_24('\uf80f'),
    TEXT_NUMBER_FORMAT_20('\uf810'),
    TEXT_NUMBER_FORMAT_24('\uf811'),
    TEXT_NUMBER_LIST_LTR_20('\uf812'),
    TEXT_NUMBER_LIST_LTR_24('\uf813'),
    TEXT_NUMBER_LIST_RTL_24('\uf814'),
    TEXT_PARAGRAPH_SETTINGS_20('\uf815'),
    TEXT_PARAGRAPH_SETTINGS_24('\uf816'),
    TEXT_PROOFING_TOOLS_20('\uf817'),
    TEXT_PROOFING_TOOLS_24('\uf818'),
    TEXT_QUOTE_20('\uf819'),
    TEXT_QUOTE_24('\uf81a'),
    TEXT_SORT_ASCENDING_20('\uf81b'),
    TEXT_SORT_DESCENDING_20('\uf81c'),
    TEXT_STRIKETHROUGH_16('\ufadc'),
    TEXT_STRIKETHROUGH_20('\uf81d'),
    TEXT_STRIKETHROUGH_24('\uf81e'),
    TEXT_SUBSCRIPT_20('\uf81f'),
    TEXT_SUBSCRIPT_24('\uf820'),
    TEXT_SUPERSCRIPT_20('\uf821'),
    TEXT_SUPERSCRIPT_24('\uf822'),
    TEXT_UNDERLINE_16('\ufadd'),
    TEXT_UNDERLINE_20('\uf823'),
    TEXT_UNDERLINE_24('\uf824'),
    TEXT_WORD_COUNT_20('\uf825'),
    TEXT_WORD_COUNT_24('\uf826'),
    TEXT_WRAP_24('\uf827'),
    TEXT_WRAP_BEHIND_20('\ufade'),
    TEXT_WRAP_BEHIND_24('\ufadf'),
    TEXT_WRAP_FRONT_20('\ufae0'),
    TEXT_WRAP_FRONT_24('\ufae1'),
    TEXT_WRAP_LINE_20('\ufae2'),
    TEXT_WRAP_LINE_24('\ufae3'),
    TEXT_WRAP_SQUARE_20('\ufae4'),
    TEXT_WRAP_SQUARE_24('\ufae5'),
    TEXT_WRAP_THROUGH_20('\ufae6'),
    TEXT_WRAP_THROUGH_24('\ufae7'),
    TEXT_WRAP_TIGHT_20('\ufae8'),
    TEXT_WRAP_TIGHT_24('\ufae9'),
    TEXT_WRAP_TOP_BOTTOM_20('\ufaea'),
    TEXT_WRAP_TOP_BOTTOM_24('\ufaeb'),
    THINKING_20('\uf834'),
    THINKING_24('\uf835'),
    THUMB_DISLIKE_20('\uf836'),
    THUMB_DISLIKE_24('\uf837'),
    THUMB_LIKE_20('\uf838'),
    THUMB_LIKE_24('\uf839'),
    TICKET_20('\uf83a'),
    TICKET_24('\uf83b'),
    TICKET_DIAGONAL_16('\ufaec'),
    TICKET_DIAGONAL_20('\ufaed'),
    TICKET_DIAGONAL_24('\ufaee'),
    TICKET_DIAGONAL_28('\ufaef'),
    TIMELINE_24('\uf83e'),
    TIMER_10_24('\uf83f'),
    TIMER_16('\ufaf0'),
    TIMER_20('\ufaf1'),
    TIMER_24('\uf840'),
    TIMER_2_24('\uf841'),
    TIMER_OFF_24('\uf842'),
    TIME_AND_WEATHER_24('\uf83c'),
    TIME_PICKER_24('\uf83d'),
    TOGGLE_LEFT_16('\ufaf2'),
    TOGGLE_LEFT_20('\ufaf3'),
    TOGGLE_LEFT_24('\ufaf4'),
    TOGGLE_LEFT_28('\ufaf5'),
    TOGGLE_LEFT_48('\ufaf6'),
    TOGGLE_RIGHT_16('\uf843'),
    TOGGLE_RIGHT_20('\uf844'),
    TOGGLE_RIGHT_24('\uf845'),
    TOGGLE_RIGHT_28('\ufaf7'),
    TOGGLE_RIGHT_48('\ufaf8'),
    TOOLBOX_16('\uf846'),
    TOOLBOX_20('\uf847'),
    TOOLBOX_24('\uf848'),
    TOOLBOX_28('\uf849'),
    TOP_SPEED_24('\uf84a'),
    TRANSLATE_20('\uf84b'),
    TRANSLATE_24('\uf84c'),
    TROPHY_16('\uf84d'),
    TROPHY_20('\uf84e'),
    TROPHY_24('\uf84f'),
    TV_16('\ufaf9'),
    TV_20('\ufafa'),
    TV_24('\ufafb'),
    TV_28('\ufafc'),
    TV_48('\ufafd'),
    UNINSTALL_APP_24('\uf850'),
    UNLOCK_20('\uf851'),
    UNLOCK_24('\uf852'),
    UNLOCK_28('\uf853'),
    UPLOAD_24('\uf854'),
    USB_PORT_20('\uf855'),
    USB_PORT_24('\uf856'),
    USB_STICK_20('\uf857'),
    USB_STICK_24('\uf858'),
    VAULT_16('\uf859'),
    VAULT_20('\uf85a'),
    VAULT_24('\uf85b'),
    VEHICLE_BICYCLE_16('\ufafe'),
    VEHICLE_BICYCLE_20('\ufaff'),
    VEHICLE_BICYCLE_24('\uf85c'),
    VEHICLE_BUS_16('\ufb00'),
    VEHICLE_BUS_20('\ufb01'),
    VEHICLE_BUS_24('\uf85d'),
    VEHICLE_CAB_24('\uf85e'),
    VEHICLE_CAR_16('\uf85f'),
    VEHICLE_CAR_20('\uf860'),
    VEHICLE_CAR_24('\uf861'),
    VEHICLE_CAR_28('\ufb02'),
    VEHICLE_CAR_48('\ufb03'),
    VEHICLE_SHIP_16('\ufb04'),
    VEHICLE_SHIP_20('\ufb05'),
    VEHICLE_SHIP_24('\ufb06'),
    VEHICLE_SUBWAY_16('\ufb07'),
    VEHICLE_SUBWAY_20('\ufb08'),
    VEHICLE_SUBWAY_24('\ufb09'),
    VEHICLE_TRUCK_16('\ufb0a'),
    VEHICLE_TRUCK_20('\ufb0b'),
    VEHICLE_TRUCK_24('\uf862'),
    VIDEO_16('\uf863'),
    VIDEO_20('\uf864'),
    VIDEO_24('\uf865'),
    VIDEO_28('\uf866'),
    VIDEO_BACKGROUND_EFFECT_24('\uf867'),
    VIDEO_CLIP_20('\ufb0c'),
    VIDEO_CLIP_24('\uf868'),
    VIDEO_OFF_20('\uf869'),
    VIDEO_OFF_24('\uf86a'),
    VIDEO_OFF_28('\uf86b'),
    VIDEO_PERSON_24('\uf86c'),
    VIDEO_PERSON_OFF_24('\uf86d'),
    VIDEO_PERSON_STAR_24('\uf86e'),
    VIDEO_PLAY_PAUSE_24('\uf86f'),
    VIDEO_SECURITY_20('\uf870'),
    VIDEO_SECURITY_24('\uf871'),
    VIDEO_SWITCH_24('\uf872'),
    VIEW_DESKTOP_20('\uf873'),
    VIEW_DESKTOP_24('\uf874'),
    VIEW_DESKTOP_MOBILE_20('\uf875'),
    VIEW_DESKTOP_MOBILE_24('\uf876'),
    VISUAL_SEARCH_16('\uf877'),
    VISUAL_SEARCH_20('\uf878'),
    VISUAL_SEARCH_24('\uf879'),
    VOICEMAIL_16('\uf87a'),
    VOICEMAIL_20('\uf87b'),
    VOICEMAIL_24('\uf87c'),
    VOTE_20('\ufb0d'),
    VOTE_24('\ufb0e'),
    WALKIE_TALKIE_24('\uf87d'),
    WALKIE_TALKIE_28('\uf87e'),
    WALLPAPER_24('\uf87f'),
    WARNING_16('\uf880'),
    WARNING_20('\uf881'),
    WARNING_24('\uf882'),
    WEATHER_BLOWING_SNOW_20('\uf883'),
    WEATHER_BLOWING_SNOW_24('\uf884'),
    WEATHER_BLOWING_SNOW_48('\uf885'),
    WEATHER_CLOUDY_20('\uf886'),
    WEATHER_CLOUDY_24('\uf887'),
    WEATHER_CLOUDY_48('\uf888'),
    WEATHER_DRIZZLE_20('\ufb0f'),
    WEATHER_DRIZZLE_24('\ufb10'),
    WEATHER_DRIZZLE_48('\ufb11'),
    WEATHER_DUSTSTORM_20('\uf889'),
    WEATHER_DUSTSTORM_24('\uf88a'),
    WEATHER_DUSTSTORM_48('\uf88b'),
    WEATHER_FOG_20('\uf88c'),
    WEATHER_FOG_24('\uf88d'),
    WEATHER_FOG_48('\uf88e'),
    WEATHER_HAIL_DAY_20('\uf88f'),
    WEATHER_HAIL_DAY_24('\uf890'),
    WEATHER_HAIL_DAY_48('\uf891'),
    WEATHER_HAIL_NIGHT_20('\uf892'),
    WEATHER_HAIL_NIGHT_24('\uf893'),
    WEATHER_HAIL_NIGHT_48('\uf894'),
    WEATHER_HAZE_20('\ufb12'),
    WEATHER_HAZE_24('\ufb13'),
    WEATHER_HAZE_48('\ufb14'),
    WEATHER_MOON_16('\ufb15'),
    WEATHER_MOON_20('\uf895'),
    WEATHER_MOON_24('\uf896'),
    WEATHER_MOON_28('\ufb16'),
    WEATHER_MOON_48('\uf897'),
    WEATHER_MOON_OFF_16('\ufb17'),
    WEATHER_MOON_OFF_20('\ufb18'),
    WEATHER_MOON_OFF_24('\ufb19'),
    WEATHER_MOON_OFF_28('\ufb1a'),
    WEATHER_MOON_OFF_48('\ufb1b'),
    WEATHER_PARTLY_CLOUDY_DAY_20('\uf898'),
    WEATHER_PARTLY_CLOUDY_DAY_24('\uf899'),
    WEATHER_PARTLY_CLOUDY_DAY_48('\uf89a'),
    WEATHER_PARTLY_CLOUDY_NIGHT_20('\uf89b'),
    WEATHER_PARTLY_CLOUDY_NIGHT_24('\uf89c'),
    WEATHER_PARTLY_CLOUDY_NIGHT_48('\uf89d'),
    WEATHER_RAIN_20('\uf89e'),
    WEATHER_RAIN_24('\uf89f'),
    WEATHER_RAIN_48('\uf8a0'),
    WEATHER_RAIN_SHOWERS_DAY_20('\uf8a1'),
    WEATHER_RAIN_SHOWERS_DAY_24('\uf8a2'),
    WEATHER_RAIN_SHOWERS_DAY_48('\uf8a3'),
    WEATHER_RAIN_SHOWERS_NIGHT_20('\uf8a4'),
    WEATHER_RAIN_SHOWERS_NIGHT_24('\uf8a5'),
    WEATHER_RAIN_SHOWERS_NIGHT_48('\uf8a6'),
    WEATHER_RAIN_SNOW_20('\uf8a7'),
    WEATHER_RAIN_SNOW_24('\uf8a8'),
    WEATHER_RAIN_SNOW_48('\uf8a9'),
    WEATHER_SNOWFLAKE_20('\uf8b3'),
    WEATHER_SNOWFLAKE_24('\uf8b4'),
    WEATHER_SNOWFLAKE_48('\uf8b5'),
    WEATHER_SNOW_20('\uf8aa'),
    WEATHER_SNOW_24('\uf8ab'),
    WEATHER_SNOW_48('\uf8ac'),
    WEATHER_SNOW_SHOWER_DAY_20('\uf8ad'),
    WEATHER_SNOW_SHOWER_DAY_24('\uf8ae'),
    WEATHER_SNOW_SHOWER_DAY_48('\uf8af'),
    WEATHER_SNOW_SHOWER_NIGHT_20('\uf8b0'),
    WEATHER_SNOW_SHOWER_NIGHT_24('\uf8b1'),
    WEATHER_SNOW_SHOWER_NIGHT_48('\uf8b2'),
    WEATHER_SQUALLS_20('\uf8b6'),
    WEATHER_SQUALLS_24('\uf8b7'),
    WEATHER_SQUALLS_48('\uf8b8'),
    WEATHER_SUNNY_20('\uf8b9'),
    WEATHER_SUNNY_24('\uf8ba'),
    WEATHER_SUNNY_48('\uf8bb'),
    WEATHER_SUNNY_HIGH_20('\ufb1c'),
    WEATHER_SUNNY_HIGH_24('\ufb1d'),
    WEATHER_SUNNY_HIGH_48('\ufb1e'),
    WEATHER_SUNNY_LOW_20('\ufb1f'),
    WEATHER_SUNNY_LOW_24('\ufb20'),
    WEATHER_SUNNY_LOW_48('\ufb21'),
    WEATHER_THUNDERSTORM_20('\uf8bc'),
    WEATHER_THUNDERSTORM_24('\uf8bd'),
    WEATHER_THUNDERSTORM_48('\uf8be'),
    WEB_ASSET_24('\uf8bf'),
    WEEKEND_12('\uf8c0'),
    WEEKEND_24('\uf8c1'),
    WHITEBOARD_20('\uf8c2'),
    WHITEBOARD_24('\uf8c3'),
    WIFI_1_20('\uf8c4'),
    WIFI_1_24('\uf8c5'),
    WIFI_2_20('\uf8c6'),
    WIFI_2_24('\uf8c7'),
    WIFI_3_20('\uf8c8'),
    WIFI_3_24('\uf8c9'),
    WIFI_4_20('\uf8ca'),
    WIFI_4_24('\uf8cb'),
    WIFI_PROTECTED_24('\uf8cc'),
    WINDOW_20('\uf8cd'),
    WINDOW_AD_20('\uf8ce'),
    WINDOW_DEV_TOOLS_16('\uf8cf'),
    WINDOW_DEV_TOOLS_20('\uf8d0'),
    WINDOW_DEV_TOOLS_24('\uf8d1'),
    WINDOW_HORIZONTAL_20('\ufb22'),
    WINDOW_INPRIVATE_20('\uf8d2'),
    WINDOW_INPRIVATE_ACCOUNT_20('\uf8d3'),
    WINDOW_MULTIPLE_20('\uf8d4'),
    WINDOW_NEW_16('\ufb23'),
    WINDOW_NEW_20('\uf8d5'),
    WINDOW_NEW_24('\ufb24'),
    WINDOW_SHIELD_16('\uf8d6'),
    WINDOW_SHIELD_20('\uf8d7'),
    WINDOW_SHIELD_24('\uf8d8'),
    WINDOW_VERTICAL_20('\ufb25'),
    WRENCH_16('\ufb26'),
    WRENCH_20('\ufb27'),
    WRENCH_24('\uf8d9'),
    XBOX_CONSOLE_20('\uf8da'),
    XBOX_CONSOLE_24('\uf8db'),
    ZOOM_IN_20('\uf8dc'),
    ZOOM_IN_24('\uf8dd'),
    ZOOM_OUT_20('\uf8de'),
    ZOOM_OUT_24('\uf8df');

    public static FluentUiFilledMZ findByDescription(String description) {
        for (FluentUiFilledMZ font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    FluentUiFilledMZ(int code) {
        this.description = "fltfmz-" + name().toLowerCase().replace("_", "-");
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}