/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.fluentui;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum FluentUiRegularAL implements Ikon {
    ACCESSIBILITY_16('\uf102'),
    ACCESSIBILITY_20('\uf103'),
    ACCESSIBILITY_24('\uf104'),
    ACCESSIBILITY_28('\uf105'),
    ACCESS_TIME_24('\uf101'),
    ACTIVITY_24('\uf106'),
    ADD_12('\uf107'),
    ADD_16('\uf108'),
    ADD_20('\uf109'),
    ADD_24('\uf10a'),
    ADD_28('\uf10b'),
    ADD_CIRCLE_20('\uf10c'),
    ADD_CIRCLE_24('\uf10d'),
    ADD_CIRCLE_28('\uf10e'),
    ADD_SQUARE_24('\uf8ca'),
    AIRPLANE_20('\uf10f'),
    AIRPLANE_24('\uf110'),
    AIRPLANE_TAKE_OFF_16('\uf111'),
    AIRPLANE_TAKE_OFF_20('\uf112'),
    AIRPLANE_TAKE_OFF_24('\uf113'),
    ALERT_20('\uf114'),
    ALERT_24('\uf115'),
    ALERT_28('\uf116'),
    ALERT_OFF_16('\uf117'),
    ALERT_OFF_20('\uf118'),
    ALERT_OFF_24('\uf119'),
    ALERT_OFF_28('\uf11a'),
    ALERT_ON_24('\uf11b'),
    ALERT_SNOOZE_20('\uf11c'),
    ALERT_SNOOZE_24('\uf11d'),
    ALERT_URGENT_20('\uf11e'),
    ALERT_URGENT_24('\uf11f'),
    ANIMAL_DOG_20('\uf120'),
    ANIMAL_DOG_24('\uf121'),
    APPROVALS_APP_24('\uf130'),
    APPROVALS_APP_28('\uf131'),
    APPS_16('\uf132'),
    APPS_20('\uf133'),
    APPS_24('\uf134'),
    APPS_28('\uf135'),
    APPS_ADD_IN_20('\uf136'),
    APPS_ADD_IN_24('\uf137'),
    APPS_LIST_20('\uf8cb'),
    APPS_LIST_24('\uf138'),
    APP_FOLDER_20('\uf122'),
    APP_FOLDER_24('\uf123'),
    APP_GENERIC_24('\uf124'),
    APP_RECENT_24('\uf125'),
    APP_SPAN_16('\uf126'),
    APP_SPAN_20('\uf127'),
    APP_SPAN_24('\uf128'),
    APP_SPAN_28('\uf129'),
    APP_STORE_24('\uf12a'),
    APP_TITLE_24('\uf12b'),
    APP_UNSPAN_16('\uf12c'),
    APP_UNSPAN_20('\uf12d'),
    APP_UNSPAN_24('\uf12e'),
    APP_UNSPAN_28('\uf12f'),
    ARCHIVE_16('\uf8cc'),
    ARCHIVE_20('\uf139'),
    ARCHIVE_24('\uf13a'),
    ARCHIVE_28('\uf13b'),
    ARCHIVE_48('\uf13c'),
    ARROWS_BIDIRECTIONAL_24('\uf1a6'),
    ARROW_AUTOFIT_HEIGHT_24('\uf8cd'),
    ARROW_AUTOFIT_WIDTH_24('\uf8ce'),
    ARROW_CLOCKWISE_20('\uf13d'),
    ARROW_CLOCKWISE_24('\uf13e'),
    ARROW_COUNTERCLOCKWISE_20('\uf13f'),
    ARROW_COUNTERCLOCKWISE_24('\uf140'),
    ARROW_COUNTERCLOCKWISE_28('\uf8cf'),
    ARROW_CURVE_DOWN_LEFT_20('\uf141'),
    ARROW_CURVE_DOWN_RIGHT_20('\uf142'),
    ARROW_CURVE_RIGHT_20('\uf143'),
    ARROW_CURVE_RIGHT_24('\uf144'),
    ARROW_CURVE_UP_LEFT_20('\uf145'),
    ARROW_CURVE_UP_RIGHT_20('\uf146'),
    ARROW_DOWNLOAD_16('\uf14f'),
    ARROW_DOWNLOAD_20('\uf150'),
    ARROW_DOWNLOAD_24('\uf151'),
    ARROW_DOWNLOAD_48('\uf152'),
    ARROW_DOWN_12('\uf8d0'),
    ARROW_DOWN_16('\uf147'),
    ARROW_DOWN_20('\uf148'),
    ARROW_DOWN_24('\uf149'),
    ARROW_DOWN_28('\uf14a'),
    ARROW_DOWN_LEFT_16('\uf8d1'),
    ARROW_DOWN_LEFT_24('\uf14b'),
    ARROW_DOWN_RIGHT_CIRCLE_16('\uf14c'),
    ARROW_DOWN_RIGHT_CIRCLE_24('\uf14d'),
    ARROW_DOWN_SQUARE_24('\uf14e'),
    ARROW_ENTER_24('\uf153'),
    ARROW_EXPAND_24('\uf154'),
    ARROW_EXPORT_20('\uf155'),
    ARROW_EXPORT_RTL_20('\uf8d2'),
    ARROW_FIT_HEIGHT_24('\uf8d3'),
    ARROW_FIT_WIDTH_24('\uf8d4'),
    ARROW_FORWARD_16('\uf156'),
    ARROW_FORWARD_20('\uf157'),
    ARROW_FORWARD_24('\uf158'),
    ARROW_HOOK_DOWN_LEFT_16('\uf8d5'),
    ARROW_HOOK_DOWN_LEFT_20('\uf8d6'),
    ARROW_HOOK_DOWN_LEFT_24('\uf8d7'),
    ARROW_HOOK_DOWN_LEFT_28('\uf8d8'),
    ARROW_HOOK_DOWN_RIGHT_16('\uf8d9'),
    ARROW_HOOK_DOWN_RIGHT_20('\uf8da'),
    ARROW_HOOK_DOWN_RIGHT_24('\uf8db'),
    ARROW_HOOK_DOWN_RIGHT_28('\uf8dc'),
    ARROW_HOOK_UP_LEFT_16('\uf8dd'),
    ARROW_HOOK_UP_LEFT_20('\uf8de'),
    ARROW_HOOK_UP_LEFT_24('\uf8df'),
    ARROW_HOOK_UP_LEFT_28('\uf8e0'),
    ARROW_HOOK_UP_RIGHT_16('\uf8e1'),
    ARROW_HOOK_UP_RIGHT_20('\uf8e2'),
    ARROW_HOOK_UP_RIGHT_24('\uf8e3'),
    ARROW_HOOK_UP_RIGHT_28('\uf8e4'),
    ARROW_IMPORT_20('\uf159'),
    ARROW_IMPORT_24('\uf15a'),
    ARROW_LEFT_20('\uf15b'),
    ARROW_LEFT_24('\uf15c'),
    ARROW_LEFT_28('\uf15d'),
    ARROW_MAXIMIZE_16('\uf15e'),
    ARROW_MAXIMIZE_20('\uf15f'),
    ARROW_MAXIMIZE_24('\uf160'),
    ARROW_MAXIMIZE_28('\uf161'),
    ARROW_MAXIMIZE_VERTICAL_20('\uf162'),
    ARROW_MAXIMIZE_VERTICAL_24('\uf163'),
    ARROW_MINIMIZE_16('\uf164'),
    ARROW_MINIMIZE_20('\uf165'),
    ARROW_MINIMIZE_24('\uf166'),
    ARROW_MINIMIZE_28('\uf167'),
    ARROW_MINIMIZE_VERTICAL_24('\uf168'),
    ARROW_MOVE_20('\uf8e5'),
    ARROW_MOVE_24('\uf169'),
    ARROW_NEXT_20('\uf16a'),
    ARROW_NEXT_24('\uf16b'),
    ARROW_PREVIOUS_20('\uf16c'),
    ARROW_PREVIOUS_24('\uf16d'),
    ARROW_REDO_20('\uf16e'),
    ARROW_REDO_24('\uf16f'),
    ARROW_REDO_32('\uf8e6'),
    ARROW_REDO_48('\uf8e7'),
    ARROW_REPEAT_ALL_16('\uf170'),
    ARROW_REPEAT_ALL_20('\uf171'),
    ARROW_REPEAT_ALL_24('\uf172'),
    ARROW_REPEAT_ALL_OFF_16('\uf173'),
    ARROW_REPEAT_ALL_OFF_20('\uf174'),
    ARROW_REPEAT_ALL_OFF_24('\uf175'),
    ARROW_REPLY_16('\uf176'),
    ARROW_REPLY_20('\uf177'),
    ARROW_REPLY_24('\uf178'),
    ARROW_REPLY_48('\uf179'),
    ARROW_REPLY_ALL_16('\uf17a'),
    ARROW_REPLY_ALL_20('\uf17b'),
    ARROW_REPLY_ALL_24('\uf17c'),
    ARROW_REPLY_ALL_48('\uf17d'),
    ARROW_REPLY_DOWN_16('\uf17e'),
    ARROW_REPLY_DOWN_20('\uf17f'),
    ARROW_REPLY_DOWN_24('\uf180'),
    ARROW_RIGHT_20('\uf181'),
    ARROW_RIGHT_24('\uf182'),
    ARROW_RIGHT_28('\uf183'),
    ARROW_RIGHT_CIRCLE_24('\uf184'),
    ARROW_ROTATE_CLOCKWISE_20('\uf185'),
    ARROW_ROTATE_CLOCKWISE_24('\uf186'),
    ARROW_ROTATE_COUNTERCLOCKWISE_20('\uf187'),
    ARROW_ROTATE_COUNTERCLOCKWISE_24('\uf188'),
    ARROW_ROTATE_ICON_24('\uf189'),
    ARROW_ROTATE_LEFT_24('\uf8e8'),
    ARROW_ROTATE_RIGHT_20('\uf8e9'),
    ARROW_ROTATE_RIGHT_24('\uf8ea'),
    ARROW_SORT_20('\uf18a'),
    ARROW_SORT_24('\uf18b'),
    ARROW_SORT_28('\uf18c'),
    ARROW_SWAP_20('\uf18d'),
    ARROW_SWAP_24('\uf18e'),
    ARROW_SYNC_12('\uf18f'),
    ARROW_SYNC_20('\uf190'),
    ARROW_SYNC_24('\uf191'),
    ARROW_SYNC_CIRCLE_16('\uf192'),
    ARROW_SYNC_CIRCLE_20('\uf193'),
    ARROW_SYNC_CIRCLE_24('\uf194'),
    ARROW_SYNC_OFF_12('\uf195'),
    ARROW_TRENDING_16('\uf196'),
    ARROW_TRENDING_20('\uf197'),
    ARROW_TRENDING_24('\uf198'),
    ARROW_UNDO_20('\uf199'),
    ARROW_UNDO_24('\uf19a'),
    ARROW_UPLOAD_20('\uf1a4'),
    ARROW_UPLOAD_24('\uf1a5'),
    ARROW_UP_20('\uf19b'),
    ARROW_UP_24('\uf19c'),
    ARROW_UP_28('\uf19d'),
    ARROW_UP_CIRCLE_16('\uf19e'),
    ARROW_UP_CIRCLE_20('\uf19f'),
    ARROW_UP_CIRCLE_24('\uf1a0'),
    ARROW_UP_LEFT_24('\uf1a1'),
    ARROW_UP_LEFT_CIRCLE_24('\uf1a2'),
    ARROW_UP_RIGHT_16('\uf8eb'),
    ARROW_UP_RIGHT_24('\uf1a3'),
    ASSIGNMENTS_24('\uf1a7'),
    ATTACH_16('\uf1a8'),
    ATTACH_20('\uf1a9'),
    ATTACH_24('\uf1aa'),
    ATTACH_ARROW_RIGHT_20('\uf8ec'),
    ATTACH_ARROW_RIGHT_24('\uf8ed'),
    ATTACH_FORWARD_20('\uf1ab'),
    ATTACH_FORWARD_24('\uf1ac'),
    ATTACH_TEXT_24('\uf8ee'),
    ATTACH_WITH_TEXT_24('\uf1ad'),
    AUTOCORRECT_24('\uf1ae'),
    AUTOFIT_CONTENT_24('\uf8ef'),
    AUTOSUM_20('\uf1af'),
    AUTOSUM_24('\uf1b0'),
    BACKPACK_12('\uf8f0'),
    BACKPACK_16('\uf8f1'),
    BACKPACK_20('\uf8f2'),
    BACKPACK_24('\uf8f3'),
    BACKPACK_28('\uf8f4'),
    BACKPACK_48('\uf8f5'),
    BACKSPACE_20('\uf1b1'),
    BACKSPACE_24('\uf1b2'),
    BACKWARD_20('\uf1b3'),
    BACKWARD_24('\uf1b4'),
    BADGE_24('\uf1b5'),
    BALLOON_16('\uf8f6'),
    BALLOON_20('\uf1b6'),
    BALLOON_24('\uf1b7'),
    BANK_16('\uf1b8'),
    BANK_20('\uf1b9'),
    BANK_24('\uf1ba'),
    BATTERY_0_20('\uf1bb'),
    BATTERY_0_24('\uf1bc'),
    BATTERY_1_20('\uf1bd'),
    BATTERY_1_24('\uf1be'),
    BATTERY_2_20('\uf1bf'),
    BATTERY_2_24('\uf1c0'),
    BATTERY_3_20('\uf1c1'),
    BATTERY_3_24('\uf1c2'),
    BATTERY_4_20('\uf1c3'),
    BATTERY_4_24('\uf1c4'),
    BATTERY_5_20('\uf1c5'),
    BATTERY_5_24('\uf1c6'),
    BATTERY_6_20('\uf1c7'),
    BATTERY_6_24('\uf1c8'),
    BATTERY_7_20('\uf1c9'),
    BATTERY_7_24('\uf1ca'),
    BATTERY_8_20('\uf1cb'),
    BATTERY_8_24('\uf1cc'),
    BATTERY_9_20('\uf1cd'),
    BATTERY_9_24('\uf1ce'),
    BATTERY_CHARGE_20('\uf1cf'),
    BATTERY_CHARGE_24('\uf1d0'),
    BATTERY_FULL_20('\uf1d1'),
    BATTERY_FULL_24('\uf1d2'),
    BATTERY_SAVER_20('\uf1d3'),
    BATTERY_SAVER_24('\uf1d4'),
    BATTERY_WARNING_24('\uf1d5'),
    BEAKER_16('\uf1d6'),
    BEAKER_20('\uf1d7'),
    BEAKER_24('\uf1d8'),
    BED_16('\uf8f7'),
    BED_20('\uf1d9'),
    BED_24('\uf1da'),
    BLOCK_16('\uf1db'),
    BLOCK_20('\uf1dc'),
    BLOCK_24('\uf1dd'),
    BLUETOOTH_20('\uf1de'),
    BLUETOOTH_24('\uf1df'),
    BLUETOOTH_28('\uf8f8'),
    BLUETOOTH_CONNECTED_24('\uf1e0'),
    BLUETOOTH_DISABLED_24('\uf1e1'),
    BLUETOOTH_SEARCHING_24('\uf1e2'),
    BLUR_16('\uf8f9'),
    BLUR_20('\uf8fa'),
    BLUR_24('\uf8fb'),
    BLUR_28('\uf8fc'),
    BOARD_24('\uf1e3'),
    BOOKMARK_16('\uf1f4'),
    BOOKMARK_20('\uf1f5'),
    BOOKMARK_24('\uf1f6'),
    BOOKMARK_28('\uf1f7'),
    BOOKMARK_OFF_24('\uf1f8'),
    BOOK_20('\uf8fd'),
    BOOK_24('\uf8fe'),
    BOOK_ADD_20('\uf8ff'),
    BOOK_ADD_24('\uf900'),
    BOOK_CLOCK_24('\uf901'),
    BOOK_COINS_24('\uf902'),
    BOOK_COMPASS_24('\uf903'),
    BOOK_DATABASE_24('\uf904'),
    BOOK_EXCLAMATION_MARK_24('\uf905'),
    BOOK_FORMULA_COMPATIBILITY_24('\uf1e4'),
    BOOK_FORMULA_DATABASE_24('\uf1e5'),
    BOOK_FORMULA_DATE_24('\uf1e6'),
    BOOK_FORMULA_ENGINEERING_24('\uf1e7'),
    BOOK_FORMULA_FINANCIAL_24('\uf1e8'),
    BOOK_FORMULA_INFORMATION_24('\uf1e9'),
    BOOK_FORMULA_LOGICAL_24('\uf1ea'),
    BOOK_FORMULA_LOOKUP_24('\uf1eb'),
    BOOK_FORMULA_MATH_24('\uf1ec'),
    BOOK_FORMULA_RECENT_24('\uf1ed'),
    BOOK_FORMULA_STATISTICS_24('\uf1ee'),
    BOOK_FORMULA_TEXT_24('\uf1ef'),
    BOOK_GLOBE_24('\uf1f0'),
    BOOK_INFORMATION_24('\uf906'),
    BOOK_LETTER_24('\uf907'),
    BOOK_NUMBER_16('\uf1f1'),
    BOOK_NUMBER_20('\uf1f2'),
    BOOK_NUMBER_24('\uf1f3'),
    BOOK_OPEN_20('\uf908'),
    BOOK_OPEN_24('\uf909'),
    BOOK_OPEN_GLOBE_24('\uf90a'),
    BOOK_PULSE_24('\uf90b'),
    BOOK_QUESTION_MARK_24('\uf90c'),
    BOOK_SEARCH_24('\uf90d'),
    BOOK_STAR_24('\uf90e'),
    BOOK_THETA_24('\uf90f'),
    BORDER_ALL_24('\uf910'),
    BORDER_BOTTOM_24('\uf911'),
    BORDER_BOTTOM_DOUBLE_24('\uf912'),
    BORDER_BOTTOM_THICK_24('\uf913'),
    BORDER_LEFT_24('\uf914'),
    BORDER_NONE_24('\uf915'),
    BORDER_OUTSIDE_24('\uf916'),
    BORDER_OUTSIDE_THICK_24('\uf917'),
    BORDER_RIGHT_24('\uf918'),
    BORDER_TOP_24('\uf919'),
    BORDER_TOP_BOTTOM_24('\uf91a'),
    BORDER_TOP_BOTTOM_DOUBLE_24('\uf91b'),
    BORDER_TOP_BOTTOM_THICK_24('\uf91c'),
    BOT_24('\uf1f9'),
    BOT_ADD_24('\uf1fa'),
    BRANCH_24('\uf1fb'),
    BRIEFCASE_12('\uf91d'),
    BRIEFCASE_20('\uf1fc'),
    BRIEFCASE_24('\uf1fd'),
    BRIEFCASE_32('\uf91e'),
    BRIEFCASE_ADD_24('\uf91f'),
    BRIEFCASE_ADD_32('\uf920'),
    BRING_TO_FRONT_20('\uf1fe'),
    BRING_TO_FRONT_24('\uf1ff'),
    BROAD_ACTIVITY_FEED_24('\uf200'),
    BROOM_20('\uf201'),
    BROOM_24('\uf202'),
    BUG_16('\uf921'),
    BUG_20('\uf922'),
    BUG_24('\uf923'),
    BUG_REPORT_24('\uf203'),
    BUILDING_1_24('\uf204'),
    BUILDING_24('\uf205'),
    BUILDING_2_16('\uf206'),
    BUILDING_2_20('\uf207'),
    BUILDING_2_24('\uf208'),
    BUILDING_BANK_16('\uf924'),
    BUILDING_BANK_20('\uf925'),
    BUILDING_BANK_24('\uf926'),
    BUILDING_GOVERNMENT_24('\uf927'),
    BUILDING_GOVERNMENT_32('\uf928'),
    BUILDING_MULTIPLE_24('\uf929'),
    BUILDING_RETAIL_24('\uf209'),
    BUILDING_SHOP_16('\uf92a'),
    BUILDING_SHOP_20('\uf92b'),
    BUILDING_SHOP_24('\uf92c'),
    BUILDING_SKYSCRAPER_16('\uf92d'),
    BUILDING_SKYSCRAPER_20('\uf92e'),
    BUILDING_SKYSCRAPER_24('\uf92f'),
    CALCULATOR_20('\uf20a'),
    CALENDAR_20('\uf20b'),
    CALENDAR_24('\uf20c'),
    CALENDAR_28('\uf20d'),
    CALENDAR_3_DAY_20('\uf20e'),
    CALENDAR_3_DAY_24('\uf20f'),
    CALENDAR_3_DAY_28('\uf210'),
    CALENDAR_ADD_20('\uf211'),
    CALENDAR_ADD_24('\uf212'),
    CALENDAR_AGENDA_20('\uf213'),
    CALENDAR_AGENDA_24('\uf214'),
    CALENDAR_AGENDA_28('\uf215'),
    CALENDAR_ARROW_RIGHT_20('\uf216'),
    CALENDAR_ASSISTANT_20('\uf217'),
    CALENDAR_ASSISTANT_24('\uf218'),
    CALENDAR_CANCEL_16('\uf930'),
    CALENDAR_CANCEL_20('\uf219'),
    CALENDAR_CANCEL_24('\uf21a'),
    CALENDAR_CHECKMARK_16('\uf21b'),
    CALENDAR_CHECKMARK_20('\uf21c'),
    CALENDAR_CHECKMARK_24('\uf8c9'),
    CALENDAR_CLOCK_16('\uf931'),
    CALENDAR_CLOCK_20('\uf21d'),
    CALENDAR_CLOCK_24('\uf21e'),
    CALENDAR_DATE_20('\uf21f'),
    CALENDAR_DATE_24('\uf220'),
    CALENDAR_DATE_28('\uf221'),
    CALENDAR_DAY_20('\uf222'),
    CALENDAR_DAY_24('\uf223'),
    CALENDAR_DAY_28('\uf224'),
    CALENDAR_EMPTY_16('\uf225'),
    CALENDAR_EMPTY_20('\uf226'),
    CALENDAR_EMPTY_24('\uf227'),
    CALENDAR_EMPTY_28('\uf228'),
    CALENDAR_LATER_24('\uf229'),
    CALENDAR_MENTION_20('\uf932'),
    CALENDAR_MONTH_20('\uf22a'),
    CALENDAR_MONTH_24('\uf22b'),
    CALENDAR_MONTH_28('\uf22c'),
    CALENDAR_MULTIPLE_20('\uf22d'),
    CALENDAR_MULTIPLE_24('\uf22e'),
    CALENDAR_OVERDUE_24('\uf22f'),
    CALENDAR_PERSON_20('\uf230'),
    CALENDAR_PERSON_24('\uf933'),
    CALENDAR_QUESTION_MARK_16('\uf934'),
    CALENDAR_QUESTION_MARK_20('\uf935'),
    CALENDAR_QUESTION_MARK_24('\uf936'),
    CALENDAR_REPLY_16('\uf231'),
    CALENDAR_REPLY_20('\uf232'),
    CALENDAR_REPLY_24('\uf233'),
    CALENDAR_REPLY_28('\uf234'),
    CALENDAR_SETTINGS_20('\uf235'),
    CALENDAR_STAR_20('\uf236'),
    CALENDAR_STAR_24('\uf237'),
    CALENDAR_SYNC_16('\uf238'),
    CALENDAR_SYNC_20('\uf239'),
    CALENDAR_SYNC_24('\uf23a'),
    CALENDAR_TODAY_16('\uf23b'),
    CALENDAR_TODAY_20('\uf23c'),
    CALENDAR_TODAY_24('\uf23d'),
    CALENDAR_TODAY_28('\uf23e'),
    CALENDAR_WEEK_NUMBERS_24('\uf23f'),
    CALENDAR_WEEK_START_20('\uf240'),
    CALENDAR_WEEK_START_24('\uf241'),
    CALENDAR_WEEK_START_28('\uf242'),
    CALENDAR_WORK_WEEK_16('\uf243'),
    CALENDAR_WORK_WEEK_20('\uf244'),
    CALENDAR_WORK_WEEK_24('\uf245'),
    CALLIGRAPHY_PEN_20('\uf252'),
    CALLIGRAPHY_PEN_24('\uf253'),
    CALL_ADD_24('\uf246'),
    CALL_BLOCKED_16('\uf937'),
    CALL_BLOCKED_20('\uf938'),
    CALL_BLOCKED_24('\uf939'),
    CALL_BLOCKED_28('\uf93a'),
    CALL_BLOCKED_48('\uf93b'),
    CALL_END_20('\uf247'),
    CALL_END_24('\uf248'),
    CALL_END_28('\uf249'),
    CALL_FORWARD_16('\uf93c'),
    CALL_FORWARD_20('\uf93d'),
    CALL_FORWARD_24('\uf24a'),
    CALL_FORWARD_28('\uf93e'),
    CALL_FORWARD_48('\uf93f'),
    CALL_INBOUND_16('\uf24b'),
    CALL_INBOUND_20('\uf940'),
    CALL_INBOUND_24('\uf24c'),
    CALL_INBOUND_28('\uf941'),
    CALL_INBOUND_48('\uf942'),
    CALL_MISSED_16('\uf24d'),
    CALL_MISSED_24('\uf24e'),
    CALL_MISSED_28('\uf943'),
    CALL_MISSED_48('\uf944'),
    CALL_OUTBOUND_16('\uf24f'),
    CALL_OUTBOUND_20('\uf945'),
    CALL_OUTBOUND_24('\uf250'),
    CALL_OUTBOUND_28('\uf946'),
    CALL_OUTBOUND_48('\uf947'),
    CALL_PARK_16('\uf948'),
    CALL_PARK_20('\uf949'),
    CALL_PARK_24('\uf251'),
    CALL_PARK_28('\uf94a'),
    CALL_PARK_48('\uf94b'),
    CAMERA_20('\uf254'),
    CAMERA_24('\uf255'),
    CAMERA_28('\uf256'),
    CAMERA_ADD_20('\uf257'),
    CAMERA_ADD_24('\uf258'),
    CAMERA_ADD_48('\uf259'),
    CAMERA_EDIT_20('\uf94c'),
    CAMERA_SWITCH_24('\uf25a'),
    CARET_12('\uf25b'),
    CARET_16('\uf25c'),
    CARET_20('\uf25d'),
    CARET_24('\uf25e'),
    CARET_DOWN_12('\uf25f'),
    CARET_DOWN_16('\uf260'),
    CARET_DOWN_20('\uf261'),
    CARET_DOWN_24('\uf262'),
    CARET_LEFT_12('\uf263'),
    CARET_LEFT_16('\uf264'),
    CARET_LEFT_20('\uf265'),
    CARET_LEFT_24('\uf266'),
    CARET_RIGHT_12('\uf267'),
    CARET_RIGHT_16('\uf268'),
    CARET_RIGHT_20('\uf269'),
    CARET_RIGHT_24('\uf26a'),
    CARET_UP_12('\uf94d'),
    CARET_UP_16('\uf94e'),
    CARET_UP_20('\uf94f'),
    CARET_UP_24('\uf950'),
    CART_16('\uf951'),
    CART_20('\uf952'),
    CART_24('\uf26b'),
    CAST_20('\uf26c'),
    CAST_24('\uf26d'),
    CAST_28('\uf26e'),
    CELLULAR_3G_24('\uf26f'),
    CELLULAR_4G_24('\uf270'),
    CELLULAR_DATA_1_20('\uf271'),
    CELLULAR_DATA_1_24('\uf272'),
    CELLULAR_DATA_2_20('\uf273'),
    CELLULAR_DATA_2_24('\uf274'),
    CELLULAR_DATA_3_20('\uf275'),
    CELLULAR_DATA_3_24('\uf276'),
    CELLULAR_DATA_4_20('\uf277'),
    CELLULAR_DATA_4_24('\uf278'),
    CELLULAR_DATA_5_20('\uf279'),
    CELLULAR_DATA_5_24('\uf27a'),
    CELLULAR_DATA_OFF_24('\uf27b'),
    CELLULAR_OFF_24('\uf27c'),
    CELLULAR_UNAVAILABLE_24('\uf27d'),
    CENTER_HORIZONTALLY_24('\uf953'),
    CENTER_VERTICALLY_24('\uf954'),
    CERTIFICATE_20('\uf27e'),
    CERTIFICATE_24('\uf27f'),
    CHANNEL_16('\uf280'),
    CHANNEL_20('\uf281'),
    CHANNEL_24('\uf282'),
    CHANNEL_28('\uf955'),
    CHANNEL_48('\uf956'),
    CHANNEL_ADD_16('\uf957'),
    CHANNEL_ADD_20('\uf958'),
    CHANNEL_ADD_24('\uf959'),
    CHANNEL_ADD_28('\uf95a'),
    CHANNEL_ADD_48('\uf95b'),
    CHANNEL_ALERT_16('\uf95c'),
    CHANNEL_ALERT_20('\uf95d'),
    CHANNEL_ALERT_24('\uf95e'),
    CHANNEL_ALERT_28('\uf95f'),
    CHANNEL_ALERT_48('\uf960'),
    CHANNEL_ARROW_LEFT_16('\uf961'),
    CHANNEL_ARROW_LEFT_20('\uf962'),
    CHANNEL_ARROW_LEFT_24('\uf963'),
    CHANNEL_ARROW_LEFT_28('\uf964'),
    CHANNEL_ARROW_LEFT_48('\uf965'),
    CHANNEL_DISMISS_16('\uf966'),
    CHANNEL_DISMISS_20('\uf967'),
    CHANNEL_DISMISS_24('\uf968'),
    CHANNEL_DISMISS_28('\uf969'),
    CHANNEL_DISMISS_48('\uf96a'),
    CHANNEL_FOLLOW_24('\uf283'),
    CHANNEL_NOTIFICATIONS_24('\uf284'),
    CHANNEL_UNFOLLOW_24('\uf285'),
    CHAT_16('\uf96b'),
    CHAT_20('\uf286'),
    CHAT_24('\uf287'),
    CHAT_28('\uf288'),
    CHAT_BUBBLES_QUESTION_24('\uf289'),
    CHAT_HELP_24('\uf28a'),
    CHAT_OFF_24('\uf28b'),
    CHAT_WARNING_24('\uf28c'),
    CHECKBOX_CHECKED_20('\uf28d'),
    CHECKBOX_CHECKED_24('\uf28e'),
    CHECKBOX_UNCHECKED_12('\uf28f'),
    CHECKBOX_UNCHECKED_16('\uf290'),
    CHECKBOX_UNCHECKED_20('\uf291'),
    CHECKBOX_UNCHECKED_24('\uf292'),
    CHECKMARK_12('\uf293'),
    CHECKMARK_16('\uf96c'),
    CHECKMARK_20('\uf294'),
    CHECKMARK_24('\uf295'),
    CHECKMARK_28('\uf296'),
    CHECKMARK_CIRCLE_16('\uf297'),
    CHECKMARK_CIRCLE_20('\uf298'),
    CHECKMARK_CIRCLE_24('\uf299'),
    CHECKMARK_CIRCLE_48('\uf29a'),
    CHECKMARK_LOCK_16('\uf29b'),
    CHECKMARK_LOCK_20('\uf29c'),
    CHECKMARK_LOCK_24('\uf29d'),
    CHECKMARK_SQUARE_24('\uf29e'),
    CHECKMARK_UNDERLINE_CIRCLE_16('\uf29f'),
    CHECKMARK_UNDERLINE_CIRCLE_20('\uf2a0'),
    CHEVRON_DOWN_12('\uf2a1'),
    CHEVRON_DOWN_16('\uf2a2'),
    CHEVRON_DOWN_20('\uf2a3'),
    CHEVRON_DOWN_24('\uf2a4'),
    CHEVRON_DOWN_28('\uf2a5'),
    CHEVRON_DOWN_48('\uf2a6'),
    CHEVRON_DOWN_CIRCLE_24('\uf2a7'),
    CHEVRON_LEFT_12('\uf2a8'),
    CHEVRON_LEFT_16('\uf2a9'),
    CHEVRON_LEFT_20('\uf2aa'),
    CHEVRON_LEFT_24('\uf2ab'),
    CHEVRON_LEFT_28('\uf2ac'),
    CHEVRON_LEFT_48('\uf2ad'),
    CHEVRON_RIGHT_12('\uf2ae'),
    CHEVRON_RIGHT_16('\uf2af'),
    CHEVRON_RIGHT_20('\uf2b0'),
    CHEVRON_RIGHT_24('\uf2b1'),
    CHEVRON_RIGHT_28('\uf2b2'),
    CHEVRON_RIGHT_48('\uf2b3'),
    CHEVRON_RIGHT_CIRCLE_24('\uf96d'),
    CHEVRON_UP_12('\uf2b4'),
    CHEVRON_UP_16('\uf2b5'),
    CHEVRON_UP_20('\uf2b6'),
    CHEVRON_UP_24('\uf2b7'),
    CHEVRON_UP_28('\uf2b8'),
    CHEVRON_UP_48('\uf2b9'),
    CIRCLE_16('\uf2ba'),
    CIRCLE_20('\uf2bb'),
    CIRCLE_24('\uf2bc'),
    CIRCLE_HALF_FILL_20('\uf2bd'),
    CIRCLE_HALF_FILL_24('\uf2be'),
    CIRCLE_LINE_24('\uf2bf'),
    CIRCLE_SMALL_24('\uf2c0'),
    CITY_16('\uf2c1'),
    CITY_20('\uf2c2'),
    CITY_24('\uf2c3'),
    CLASSIFICATION_16('\uf2c5'),
    CLASSIFICATION_20('\uf2c6'),
    CLASSIFICATION_24('\uf2c7'),
    CLASS_24('\uf2c4'),
    CLEAR_FORMATTING_24('\uf2c8'),
    CLIPBOARD_20('\uf2c9'),
    CLIPBOARD_24('\uf2ca'),
    CLIPBOARD_CODE_16('\uf2cb'),
    CLIPBOARD_CODE_20('\uf2cc'),
    CLIPBOARD_CODE_24('\uf2cd'),
    CLIPBOARD_LETTER_16('\uf2ce'),
    CLIPBOARD_LETTER_20('\uf2cf'),
    CLIPBOARD_LETTER_24('\uf2d0'),
    CLIPBOARD_LINK_16('\uf2d1'),
    CLIPBOARD_LINK_20('\uf2d2'),
    CLIPBOARD_LINK_24('\uf2d3'),
    CLIPBOARD_MORE_24('\uf2d4'),
    CLIPBOARD_PASTE_16('\uf96e'),
    CLIPBOARD_PASTE_20('\uf2d5'),
    CLIPBOARD_PASTE_24('\uf2d6'),
    CLIPBOARD_SEARCH_20('\uf2d7'),
    CLIPBOARD_SEARCH_24('\uf2d8'),
    CLIPBOARD_TEXT_20('\uf2d9'),
    CLIPBOARD_TEXT_24('\uf2da'),
    CLOCK_12('\uf2db'),
    CLOCK_16('\uf2dc'),
    CLOCK_20('\uf2dd'),
    CLOCK_24('\uf2de'),
    CLOCK_28('\uf2df'),
    CLOCK_48('\uf2e0'),
    CLOCK_ALARM_20('\uf2e1'),
    CLOCK_ALARM_24('\uf2e2'),
    CLOCK_DISMISS_24('\uf96f'),
    CLOSED_CAPTION_16('\uf970'),
    CLOSED_CAPTION_20('\uf971'),
    CLOSED_CAPTION_24('\uf2e3'),
    CLOSED_CAPTION_28('\uf972'),
    CLOSED_CAPTION_48('\uf973'),
    CLOUD_20('\uf2e4'),
    CLOUD_24('\uf2e5'),
    CLOUD_48('\uf2e6'),
    CLOUD_BACKUP_24('\uf2e7'),
    CLOUD_BACKUP_48('\uf2e8'),
    CLOUD_DOWNLOAD_24('\uf2e9'),
    CLOUD_DOWNLOAD_32('\uf974'),
    CLOUD_DOWNLOAD_48('\uf975'),
    CLOUD_OFFLINE_24('\uf2ec'),
    CLOUD_OFF_24('\uf2ea'),
    CLOUD_OFF_48('\uf2eb'),
    CLOUD_SYNC_COMPLETE_24('\uf2ed'),
    CLOUD_SYNC_COMPLETE_48('\uf2ee'),
    CODE_20('\uf2ef'),
    CODE_24('\uf2f0'),
    COLLECTIONS_20('\uf2f1'),
    COLLECTIONS_24('\uf2f2'),
    COLLECTIONS_ADD_20('\uf2f3'),
    COLLECTIONS_ADD_24('\uf2f4'),
    COLOR_20('\uf2f5'),
    COLOR_24('\uf2f6'),
    COLOR_BACKGROUND_20('\uf2f7'),
    COLOR_BACKGROUND_24('\uf2f8'),
    COLOR_BACKGROUND_ACCENT_20('\uf976'),
    COLOR_BACKGROUND_ACCENT_24('\uf977'),
    COLOR_FILL_20('\uf2f9'),
    COLOR_FILL_24('\uf2fa'),
    COLOR_FILL_ACCENT_20('\uf978'),
    COLOR_FILL_ACCENT_24('\uf979'),
    COLOR_LINE_16('\uf97a'),
    COLOR_LINE_20('\uf2fb'),
    COLOR_LINE_24('\uf2fc'),
    COLOR_LINE_ACCENT_16('\uf97b'),
    COLOR_LINE_ACCENT_20('\uf97c'),
    COLOR_LINE_ACCENT_24('\uf97d'),
    COLUMN_TRIPLE_24('\uf2fd'),
    COMMENT_12('\uf97e'),
    COMMENT_16('\uf2fe'),
    COMMENT_20('\uf2ff'),
    COMMENT_24('\uf300'),
    COMMENT_28('\uf97f'),
    COMMENT_48('\uf980'),
    COMMENT_ADD_12('\uf981'),
    COMMENT_ADD_16('\uf982'),
    COMMENT_ADD_20('\uf983'),
    COMMENT_ADD_24('\uf301'),
    COMMENT_ADD_28('\uf984'),
    COMMENT_ADD_48('\uf985'),
    COMMENT_ARROW_LEFT_12('\uf986'),
    COMMENT_ARROW_LEFT_16('\uf987'),
    COMMENT_ARROW_LEFT_20('\uf988'),
    COMMENT_ARROW_LEFT_28('\uf989'),
    COMMENT_ARROW_LEFT_48('\uf98a'),
    COMMENT_ARROW_RIGHT_12('\uf98b'),
    COMMENT_ARROW_RIGHT_16('\uf98c'),
    COMMENT_ARROW_RIGHT_20('\uf98d'),
    COMMENT_ARROW_RIGHT_28('\uf98e'),
    COMMENT_ARROW_RIGHT_48('\uf98f'),
    COMMENT_CHECKMARK_12('\uf990'),
    COMMENT_CHECKMARK_16('\uf991'),
    COMMENT_CHECKMARK_20('\uf992'),
    COMMENT_CHECKMARK_24('\uf993'),
    COMMENT_CHECKMARK_28('\uf994'),
    COMMENT_CHECKMARK_48('\uf995'),
    COMMENT_DELETE_24('\uf302'),
    COMMENT_EDIT_20('\uf996'),
    COMMENT_EDIT_24('\uf997'),
    COMMENT_MENTION_16('\uf303'),
    COMMENT_MENTION_20('\uf304'),
    COMMENT_MENTION_24('\uf305'),
    COMMENT_MULTIPLE_16('\uf306'),
    COMMENT_MULTIPLE_20('\uf307'),
    COMMENT_MULTIPLE_24('\uf308'),
    COMMENT_NEXT_24('\uf309'),
    COMMENT_OFF_16('\uf998'),
    COMMENT_OFF_20('\uf999'),
    COMMENT_OFF_24('\uf99a'),
    COMMENT_OFF_28('\uf99b'),
    COMMENT_OFF_48('\uf99c'),
    COMMENT_PREVIOUS_24('\uf30a'),
    COMMENT_RESOLVE_24('\uf30b'),
    COMMUNICATION_16('\uf30c'),
    COMMUNICATION_20('\uf30d'),
    COMMUNICATION_24('\uf30e'),
    COMPASS_NORTHWEST_16('\uf30f'),
    COMPASS_NORTHWEST_20('\uf310'),
    COMPASS_NORTHWEST_24('\uf311'),
    COMPASS_NORTHWEST_28('\uf312'),
    COMPOSE_16('\uf313'),
    COMPOSE_20('\uf314'),
    COMPOSE_24('\uf315'),
    COMPOSE_28('\uf316'),
    CONFERENCE_ROOM_16('\uf317'),
    CONFERENCE_ROOM_20('\uf318'),
    CONFERENCE_ROOM_24('\uf319'),
    CONFERENCE_ROOM_28('\uf31a'),
    CONFERENCE_ROOM_48('\uf31b'),
    CONNECTOR_16('\uf31c'),
    CONNECTOR_20('\uf31d'),
    CONNECTOR_24('\uf31e'),
    CONTACTS_24('\uf322'),
    CONTACT_CARD_20('\uf31f'),
    CONTACT_CARD_24('\uf320'),
    CONTACT_CARD_GROUP_16('\uf99d'),
    CONTACT_CARD_GROUP_20('\uf99e'),
    CONTACT_CARD_GROUP_24('\uf321'),
    CONTACT_CARD_GROUP_28('\uf99f'),
    CONTACT_CARD_GROUP_48('\uf9a0'),
    CONTENT_SETTINGS_16('\uf323'),
    CONTENT_SETTINGS_20('\uf324'),
    CONTENT_SETTINGS_24('\uf325'),
    CONVERT_RANGE_24('\uf9a1'),
    CONVERT_TO_TABLE_24('\uf326'),
    CONVERT_TO_TEXT_24('\uf327'),
    COOKIES_20('\uf328'),
    COOKIES_24('\uf329'),
    COPY_16('\uf32a'),
    COPY_20('\uf32b'),
    COPY_24('\uf32c'),
    COPY_ADD_24('\uf9a2'),
    COPY_IMAGE_24('\uf32d'),
    COPY_LINK_24('\uf32e'),
    COPY_MOVE_16('\uf32f'),
    COPY_MOVE_24('\uf330'),
    COPY_SELECT_20('\uf9a3'),
    COUCH_12('\uf9a4'),
    COUCH_24('\uf9a5'),
    CROP_20('\uf9a6'),
    CROP_24('\uf331'),
    CROP_INTERIM_24('\uf332'),
    CROP_INTERIM_OFF_24('\uf333'),
    CUBE_16('\uf334'),
    CUBE_20('\uf335'),
    CUBE_24('\uf336'),
    CURRENCY_16('\uf337'),
    CURRENCY_20('\uf338'),
    CURRENCY_24('\uf339'),
    CURRENCY_DOLLAR_RUPEE_16('\uf9a7'),
    CURRENCY_DOLLAR_RUPEE_20('\uf9a8'),
    CURRENCY_DOLLAR_RUPEE_24('\uf9a9'),
    CURSOR_20('\uf9aa'),
    CURSOR_24('\uf9ab'),
    CURSOR_HOVER_16('\uf9ac'),
    CURSOR_HOVER_20('\uf9ad'),
    CURSOR_HOVER_24('\uf9ae'),
    CURSOR_HOVER_28('\uf9af'),
    CURSOR_HOVER_32('\uf9b0'),
    CURSOR_HOVER_48('\uf9b1'),
    CURSOR_HOVER_OFF_16('\uf9b2'),
    CURSOR_HOVER_OFF_20('\uf9b3'),
    CURSOR_HOVER_OFF_24('\uf9b4'),
    CURSOR_HOVER_OFF_28('\uf9b5'),
    CURSOR_HOVER_OFF_48('\uf9b6'),
    CUT_20('\uf33a'),
    CUT_24('\uf33b'),
    DARK_THEME_24('\uf33c'),
    DATA_AREA_24('\uf33d'),
    DATA_BAR_HORIZONTAL_24('\uf33e'),
    DATA_BAR_VERTICAL_20('\uf33f'),
    DATA_BAR_VERTICAL_24('\uf340'),
    DATA_BAR_VERTICAL_ADD_24('\uf9b7'),
    DATA_FUNNEL_24('\uf341'),
    DATA_HISTOGRAM_24('\uf342'),
    DATA_LINE_24('\uf343'),
    DATA_PIE_20('\uf344'),
    DATA_PIE_24('\uf345'),
    DATA_SCATTER_24('\uf346'),
    DATA_SUNBURST_24('\uf347'),
    DATA_TREEMAP_24('\uf348'),
    DATA_USAGE_20('\uf9b8'),
    DATA_USAGE_24('\uf349'),
    DATA_WATERFALL_24('\uf34a'),
    DATA_WHISKER_24('\uf34b'),
    DECIMAL_ARROW_LEFT_24('\uf9b9'),
    DECIMAL_ARROW_RIGHT_24('\uf9ba'),
    DELETE_16('\uf9bb'),
    DELETE_20('\uf34c'),
    DELETE_24('\uf34d'),
    DELETE_28('\uf34e'),
    DELETE_48('\uf34f'),
    DELETE_FOREVER_24('\uf350'),
    DELETE_FOREVER_28('\uf351'),
    DELETE_OFF_20('\uf352'),
    DELETE_OFF_24('\uf353'),
    DENTIST_12('\uf9bc'),
    DENTIST_16('\uf9bd'),
    DENTIST_20('\uf9be'),
    DENTIST_24('\uf354'),
    DENTIST_28('\uf9bf'),
    DENTIST_48('\uf9c0'),
    DESIGN_IDEAS_16('\uf355'),
    DESIGN_IDEAS_20('\uf356'),
    DESIGN_IDEAS_24('\uf357'),
    DESKTOP_16('\uf358'),
    DESKTOP_20('\uf359'),
    DESKTOP_24('\uf35a'),
    DESKTOP_28('\uf35b'),
    DEVELOPER_BOARD_24('\uf35c'),
    DEVICE_EQ_24('\uf35d'),
    DIALPAD_20('\uf35e'),
    DIALPAD_24('\uf35f'),
    DIALPAD_OFF_24('\uf360'),
    DICTIONARY_20('\uf361'),
    DICTIONARY_24('\uf362'),
    DICTIONARY_ADD_20('\uf363'),
    DICTIONARY_ADD_24('\uf364'),
    DIRECTIONS_20('\uf365'),
    DIRECTIONS_24('\uf366'),
    DISMISS_12('\uf367'),
    DISMISS_16('\uf368'),
    DISMISS_20('\uf369'),
    DISMISS_24('\uf36a'),
    DISMISS_28('\uf36b'),
    DISMISS_CIRCLE_16('\uf36c'),
    DISMISS_CIRCLE_20('\uf36d'),
    DISMISS_CIRCLE_24('\uf36e'),
    DISMISS_CIRCLE_28('\uf9c1'),
    DISMISS_CIRCLE_48('\uf36f'),
    DIVIDER_SHORT_24('\uf370'),
    DIVIDER_TALL_24('\uf371'),
    DOCK_24('\uf372'),
    DOCK_LEFT_16('\uf373'),
    DOCK_LEFT_20('\uf374'),
    DOCK_LEFT_24('\uf375'),
    DOCK_LEFT_28('\uf9c2'),
    DOCK_LEFT_48('\uf9c3'),
    DOCK_RIGHT_16('\uf9c4'),
    DOCK_RIGHT_20('\uf9c5'),
    DOCK_RIGHT_24('\uf9c6'),
    DOCK_RIGHT_28('\uf9c7'),
    DOCK_RIGHT_48('\uf9c8'),
    DOCK_ROW_24('\uf376'),
    DOCTOR_12('\uf9c9'),
    DOCTOR_16('\uf9ca'),
    DOCTOR_20('\uf9cb'),
    DOCTOR_24('\uf377'),
    DOCTOR_28('\uf9cc'),
    DOCTOR_48('\uf9cd'),
    DOCUMENT_16('\uf9ce'),
    DOCUMENT_20('\uf378'),
    DOCUMENT_24('\uf379'),
    DOCUMENT_28('\uf37a'),
    DOCUMENT_48('\uf9cf'),
    DOCUMENT_ADD_16('\uf9d0'),
    DOCUMENT_ADD_20('\uf9d1'),
    DOCUMENT_ADD_24('\uf9d2'),
    DOCUMENT_ADD_28('\uf9d3'),
    DOCUMENT_ADD_48('\uf9d4'),
    DOCUMENT_ARROW_LEFT_16('\uf9d5'),
    DOCUMENT_ARROW_LEFT_20('\uf9d6'),
    DOCUMENT_ARROW_LEFT_24('\uf9d7'),
    DOCUMENT_ARROW_LEFT_28('\uf9d8'),
    DOCUMENT_ARROW_LEFT_48('\uf9d9'),
    DOCUMENT_AUTOSAVE_24('\uf37b'),
    DOCUMENT_BRIEFCASE_20('\uf37c'),
    DOCUMENT_BRIEFCASE_24('\uf37d'),
    DOCUMENT_CATCH_UP_16('\uf9da'),
    DOCUMENT_CATCH_UP_20('\uf9db'),
    DOCUMENT_CATCH_UP_24('\uf37e'),
    DOCUMENT_COPY_16('\uf37f'),
    DOCUMENT_COPY_20('\uf380'),
    DOCUMENT_COPY_24('\uf381'),
    DOCUMENT_COPY_48('\uf382'),
    DOCUMENT_DISMISS_20('\uf383'),
    DOCUMENT_DISMISS_24('\uf384'),
    DOCUMENT_EDIT_16('\uf385'),
    DOCUMENT_EDIT_20('\uf386'),
    DOCUMENT_EDIT_24('\uf387'),
    DOCUMENT_ENDNOTE_20('\uf388'),
    DOCUMENT_ENDNOTE_24('\uf389'),
    DOCUMENT_ERROR_16('\uf38a'),
    DOCUMENT_ERROR_20('\uf38b'),
    DOCUMENT_ERROR_24('\uf38c'),
    DOCUMENT_FOOTER_24('\uf38d'),
    DOCUMENT_FOOTER_REMOVE_24('\uf38e'),
    DOCUMENT_HEADER_24('\uf38f'),
    DOCUMENT_HEADER_FOOTER_20('\uf390'),
    DOCUMENT_HEADER_FOOTER_24('\uf391'),
    DOCUMENT_HEADER_REMOVE_24('\uf392'),
    DOCUMENT_LANDSCAPE_20('\uf393'),
    DOCUMENT_LANDSCAPE_24('\uf394'),
    DOCUMENT_LANDSCAPE_DATA_24('\uf9dc'),
    DOCUMENT_LANDSCAPE_SPLIT_20('\uf9dd'),
    DOCUMENT_LANDSCAPE_SPLIT_HINT_20('\uf9de'),
    DOCUMENT_MARGINS_20('\uf395'),
    DOCUMENT_MARGINS_24('\uf396'),
    DOCUMENT_NONE_20('\uf397'),
    DOCUMENT_NONE_24('\uf398'),
    DOCUMENT_ONE_PAGE_20('\uf399'),
    DOCUMENT_ONE_PAGE_24('\uf39a'),
    DOCUMENT_PAGE_24('\uf39b'),
    DOCUMENT_PAGE_BOTTOM_CENTER_20('\uf39c'),
    DOCUMENT_PAGE_BOTTOM_CENTER_24('\uf39d'),
    DOCUMENT_PAGE_BOTTOM_LEFT_20('\uf39e'),
    DOCUMENT_PAGE_BOTTOM_LEFT_24('\uf39f'),
    DOCUMENT_PAGE_BOTTOM_RIGHT_20('\uf3a0'),
    DOCUMENT_PAGE_BOTTOM_RIGHT_24('\uf3a1'),
    DOCUMENT_PAGE_BREAK_20('\uf9df'),
    DOCUMENT_PAGE_BREAK_24('\uf3a2'),
    DOCUMENT_PAGE_NUMBER_20('\uf3a3'),
    DOCUMENT_PAGE_NUMBER_24('\uf3a4'),
    DOCUMENT_PAGE_TOP_CENTER_20('\uf3a5'),
    DOCUMENT_PAGE_TOP_CENTER_24('\uf3a6'),
    DOCUMENT_PAGE_TOP_LEFT_20('\uf3a7'),
    DOCUMENT_PAGE_TOP_LEFT_24('\uf3a8'),
    DOCUMENT_PAGE_TOP_RIGHT_20('\uf3a9'),
    DOCUMENT_PAGE_TOP_RIGHT_24('\uf3aa'),
    DOCUMENT_PDF_16('\uf3ab'),
    DOCUMENT_PDF_20('\uf3ac'),
    DOCUMENT_PDF_24('\uf3ad'),
    DOCUMENT_SEARCH_20('\uf3ae'),
    DOCUMENT_SEARCH_24('\uf3af'),
    DOCUMENT_TOOLBOX_20('\uf3b0'),
    DOCUMENT_TOOLBOX_24('\uf3b1'),
    DOCUMENT_TOP_CENTER_20('\uf3b2'),
    DOCUMENT_TOP_LEFT_20('\uf3b3'),
    DOCUMENT_TOP_RIGHT_20('\uf3b4'),
    DOCUMENT_UNKNOWN_16('\uf3b5'),
    DOCUMENT_UNKNOWN_20('\uf3b6'),
    DOCUMENT_UNKNOWN_24('\uf3b7'),
    DOCUMENT_WIDTH_20('\uf3b8'),
    DOCUMENT_WIDTH_24('\uf3b9'),
    DOUBLE_SWIPE_DOWN_24('\uf3ba'),
    DOUBLE_SWIPE_UP_24('\uf3bb'),
    DOUBLE_TAP_SWIPE_DOWN_24('\uf3bc'),
    DOUBLE_TAP_SWIPE_UP_24('\uf3bd'),
    DRAFTS_16('\uf3be'),
    DRAFTS_20('\uf3bf'),
    DRAFTS_24('\uf3c0'),
    DRAG_24('\uf3c1'),
    DRINK_24('\uf3c2'),
    DRINK_BEER_16('\uf9e0'),
    DRINK_BEER_20('\uf9e1'),
    DRINK_BEER_24('\uf3c3'),
    DRINK_COFFEE_16('\uf9e2'),
    DRINK_COFFEE_20('\uf3c4'),
    DRINK_COFFEE_24('\uf3c5'),
    DRINK_MARGARITA_16('\uf9e3'),
    DRINK_MARGARITA_20('\uf9e4'),
    DRINK_MARGARITA_24('\uf3c6'),
    DRINK_WINE_16('\uf9e5'),
    DRINK_WINE_20('\uf9e6'),
    DRINK_WINE_24('\uf3c7'),
    DUAL_SCREEN_24('\uf3c8'),
    DUAL_SCREEN_ADD_24('\uf3c9'),
    DUAL_SCREEN_ARROW_RIGHT_24('\uf3ca'),
    DUAL_SCREEN_CLOCK_24('\uf3cb'),
    DUAL_SCREEN_DESKTOP_24('\uf3cc'),
    DUAL_SCREEN_ERROR_24('\uf3cd'),
    DUAL_SCREEN_GROUP_24('\uf3ce'),
    DUAL_SCREEN_HEADER_24('\uf3cf'),
    DUAL_SCREEN_LOCK_24('\uf3d0'),
    DUAL_SCREEN_MIRROR_24('\uf3d1'),
    DUAL_SCREEN_PAGINATION_24('\uf3d2'),
    DUAL_SCREEN_SETTINGS_24('\uf3d3'),
    DUAL_SCREEN_SPAN_24('\uf9e7'),
    DUAL_SCREEN_STATUS_BAR_24('\uf3d4'),
    DUAL_SCREEN_TABLET_24('\uf3d5'),
    DUAL_SCREEN_UPDATE_24('\uf3d6'),
    DUAL_SCREEN_VERTICAL_SCROLL_24('\uf3d7'),
    DUAL_SCREEN_VIBRATE_24('\uf3d8'),
    EARTH_16('\uf3d9'),
    EARTH_20('\uf3da'),
    EARTH_24('\uf3db'),
    EDIT_16('\uf3dc'),
    EDIT_20('\uf3dd'),
    EDIT_24('\uf3de'),
    EDIT_32('\uf9e8'),
    EDIT_OFF_16('\uf9e9'),
    EDIT_OFF_24('\uf9ea'),
    EDIT_SETTINGS_24('\uf9eb'),
    EMOJI_16('\uf3df'),
    EMOJI_20('\uf3e0'),
    EMOJI_24('\uf3e1'),
    EMOJI_ADD_16('\uf9ec'),
    EMOJI_ADD_24('\uf3e2'),
    EMOJI_ANGRY_20('\uf3e3'),
    EMOJI_ANGRY_24('\uf3e4'),
    EMOJI_HAND_24('\uf9ed'),
    EMOJI_HAND_28('\uf9ee'),
    EMOJI_LAUGH_20('\uf3e5'),
    EMOJI_LAUGH_24('\uf3e6'),
    EMOJI_MEH_20('\uf3e7'),
    EMOJI_MEH_24('\uf3e8'),
    EMOJI_SAD_20('\uf3e9'),
    EMOJI_SAD_24('\uf3ea'),
    EMOJI_SURPRISE_20('\uf3eb'),
    EMOJI_SURPRISE_24('\uf3ec'),
    ERASER_20('\uf9ef'),
    ERASER_24('\uf9f0'),
    ERASER_MEDIUM_24('\uf9f1'),
    ERASER_SEGMENT_24('\uf9f2'),
    ERASER_SMALL_24('\uf9f3'),
    ERASER_TOOL_24('\uf3ef'),
    ERASE_20('\uf3ed'),
    ERASE_24('\uf3ee'),
    ERROR_CIRCLE_12('\uf9f4'),
    ERROR_CIRCLE_16('\uf3f0'),
    ERROR_CIRCLE_20('\uf3f1'),
    ERROR_CIRCLE_24('\uf3f2'),
    EXPORT_24('\uf3f3'),
    EXTENDED_DOCK_24('\uf3f4'),
    EXTENSION_20('\uf3f5'),
    EXTENSION_24('\uf3f6'),
    EYE_HIDE_20('\uf3f7'),
    EYE_HIDE_24('\uf3f8'),
    EYE_SHOW_12('\uf3f9'),
    EYE_SHOW_16('\uf3fa'),
    EYE_SHOW_20('\uf3fb'),
    EYE_SHOW_24('\uf3fc'),
    EYE_TRACKING_16('\uf9f5'),
    EYE_TRACKING_20('\uf9f6'),
    EYE_TRACKING_24('\uf9f7'),
    EYE_TRACKING_OFF_16('\uf9f8'),
    EYE_TRACKING_OFF_20('\uf9f9'),
    EYE_TRACKING_OFF_24('\uf9fa'),
    FAST_ACCELERATION_24('\uf3fd'),
    FAST_FORWARD_20('\uf3fe'),
    FAST_FORWARD_24('\uf3ff'),
    FAST_MODE_16('\uf400'),
    FAST_MODE_20('\uf401'),
    FAST_MODE_24('\uf402'),
    FAST_MODE_28('\uf403'),
    FAVORITES_20('\uf404'),
    FAVORITES_24('\uf405'),
    FILTER_20('\uf406'),
    FILTER_24('\uf407'),
    FILTER_28('\uf408'),
    FINGERPRINT_24('\uf409'),
    FINGERPRINT_48('\uf9ff'),
    FIXED_WIDTH_24('\ufa00'),
    FLAG_16('\uf40a'),
    FLAG_20('\uf40b'),
    FLAG_24('\uf40c'),
    FLAG_28('\uf40d'),
    FLAG_48('\uf40e'),
    FLAG_OFF_24('\uf40f'),
    FLAG_OFF_28('\uf410'),
    FLAG_OFF_48('\uf411'),
    FLASHLIGHT_24('\uf416'),
    FLASHLIGHT_OFF_24('\uf417'),
    FLASH_AUTO_24('\uf412'),
    FLASH_OFF_24('\uf413'),
    FLASH_ON_20('\uf414'),
    FLASH_ON_24('\uf415'),
    FLIP_HORIZONTAL_24('\ufa01'),
    FLIP_VERTICAL_24('\ufa02'),
    FLUENT_32('\ufa03'),
    FLUENT_48('\ufa04'),
    FLUID_20('\ufa05'),
    FLUID_24('\ufa06'),
    FOLDER_20('\uf418'),
    FOLDER_24('\uf419'),
    FOLDER_28('\uf41a'),
    FOLDER_48('\uf41b'),
    FOLDER_ADD_20('\uf41c'),
    FOLDER_ADD_24('\uf41d'),
    FOLDER_ADD_28('\uf41e'),
    FOLDER_ADD_48('\uf41f'),
    FOLDER_BRIEFCASE_20('\uf420'),
    FOLDER_JUNK_20('\uf421'),
    FOLDER_JUNK_24('\uf422'),
    FOLDER_JUNK_28('\uf423'),
    FOLDER_JUNK_48('\uf424'),
    FOLDER_LINK_20('\uf425'),
    FOLDER_LINK_24('\uf426'),
    FOLDER_LINK_28('\uf427'),
    FOLDER_LINK_48('\uf428'),
    FOLDER_MOVE_16('\ufa07'),
    FOLDER_MOVE_20('\uf429'),
    FOLDER_MOVE_24('\uf42a'),
    FOLDER_MOVE_28('\uf42b'),
    FOLDER_MOVE_48('\uf42c'),
    FOLDER_OPEN_16('\uf42d'),
    FOLDER_OPEN_20('\uf42e'),
    FOLDER_OPEN_24('\uf42f'),
    FOLDER_OPEN_VERTICAL_20('\uf430'),
    FOLDER_PUBLIC_16('\uf431'),
    FOLDER_PUBLIC_20('\uf432'),
    FOLDER_PUBLIC_24('\uf433'),
    FOLDER_ZIP_16('\uf434'),
    FOLDER_ZIP_20('\uf435'),
    FOLDER_ZIP_24('\uf436'),
    FONT_DECREASE_20('\uf437'),
    FONT_DECREASE_24('\uf438'),
    FONT_INCREASE_20('\uf439'),
    FONT_INCREASE_24('\uf43a'),
    FONT_SPACE_TRACKING_IN_16('\uf43b'),
    FONT_SPACE_TRACKING_IN_20('\uf43c'),
    FONT_SPACE_TRACKING_IN_24('\uf43d'),
    FONT_SPACE_TRACKING_IN_28('\uf43e'),
    FONT_SPACE_TRACKING_OUT_16('\uf43f'),
    FONT_SPACE_TRACKING_OUT_20('\uf440'),
    FONT_SPACE_TRACKING_OUT_24('\uf441'),
    FONT_SPACE_TRACKING_OUT_28('\uf442'),
    FOOD_20('\uf443'),
    FOOD_24('\uf444'),
    FOOD_CAKE_24('\uf445'),
    FOOD_EGG_16('\ufa08'),
    FOOD_EGG_20('\ufa09'),
    FOOD_EGG_24('\uf446'),
    FOOD_TOAST_16('\ufa0a'),
    FOOD_TOAST_20('\ufa0b'),
    FOOD_TOAST_24('\uf447'),
    FORM_NEW_24('\uf448'),
    FORM_NEW_28('\uf449'),
    FORM_NEW_48('\uf44a'),
    FORWARD_20('\uf44b'),
    FORWARD_24('\uf44c'),
    FPS_240_24('\uf44d'),
    FPS_960_24('\uf44e'),
    FULL_SCREEN_ZOOM_24('\uf44f'),
    F_STOP_16('\uf9fb'),
    F_STOP_20('\uf9fc'),
    F_STOP_24('\uf9fd'),
    F_STOP_28('\uf9fe'),
    GALLERY_24('\uf450'),
    GAMES_24('\uf451'),
    GAVEL_24('\ufa0c'),
    GAVEL_32('\ufa0d'),
    GESTURE_24('\uf452'),
    GIFT_20('\uf455'),
    GIFT_24('\uf456'),
    GIF_20('\uf453'),
    GIF_24('\uf454'),
    GLANCE_24('\uf457'),
    GLASSES_16('\ufa0e'),
    GLASSES_20('\ufa0f'),
    GLASSES_24('\uf458'),
    GLASSES_28('\ufa10'),
    GLASSES_48('\ufa11'),
    GLASSES_OFF_16('\ufa12'),
    GLASSES_OFF_20('\ufa13'),
    GLASSES_OFF_24('\uf459'),
    GLASSES_OFF_28('\ufa14'),
    GLASSES_OFF_48('\ufa15'),
    GLOBE_16('\ufa16'),
    GLOBE_20('\uf45a'),
    GLOBE_24('\uf45b'),
    GLOBE_ADD_24('\uf45c'),
    GLOBE_CLOCK_24('\uf45d'),
    GLOBE_DESKTOP_24('\uf45e'),
    GLOBE_LOCATION_24('\uf45f'),
    GLOBE_SEARCH_24('\uf460'),
    GLOBE_VIDEO_24('\uf461'),
    GRID_20('\uf462'),
    GRID_24('\uf463'),
    GRID_28('\uf464'),
    GROUP_20('\uf465'),
    GROUP_24('\uf466'),
    GROUP_LIST_24('\uf467'),
    GUEST_16('\uf468'),
    GUEST_20('\uf469'),
    GUEST_24('\uf46a'),
    GUEST_28('\uf46b'),
    GUEST_ADD_24('\uf46c'),
    HANDSHAKE_16('\uf46e'),
    HANDSHAKE_20('\uf46f'),
    HANDSHAKE_24('\uf470'),
    HAND_LEFT_20('\ufa17'),
    HAND_RAISE_24('\uf46d'),
    HAND_RIGHT_24('\ufa18'),
    HAND_RIGHT_28('\ufa19'),
    HAT_GRADUATION_16('\ufa1a'),
    HAT_GRADUATION_20('\ufa1b'),
    HAT_GRADUATION_24('\ufa1c'),
    HDR_24('\uf471'),
    HD_16('\ufa1d'),
    HD_20('\ufa1e'),
    HD_24('\ufa1f'),
    HEADPHONES_24('\uf472'),
    HEADPHONES_28('\uf473'),
    HEADSET_16('\ufa20'),
    HEADSET_20('\ufa21'),
    HEADSET_24('\uf474'),
    HEADSET_28('\uf475'),
    HEADSET_48('\ufa22'),
    HEADSET_VR_20('\uf476'),
    HEADSET_VR_24('\uf477'),
    HEART_16('\uf478'),
    HEART_20('\uf479'),
    HEART_24('\uf47a'),
    HEART_PULSE_24('\ufa23'),
    HEART_PULSE_32('\ufa24'),
    HIGHLIGHT_16('\uf47b'),
    HIGHLIGHT_20('\uf47c'),
    HIGHLIGHT_24('\uf47d'),
    HISTORY_20('\uf47e'),
    HISTORY_24('\uf47f'),
    HOME_16('\ufa25'),
    HOME_20('\uf480'),
    HOME_24('\uf481'),
    HOME_28('\uf482'),
    HOME_32('\ufa26'),
    HOME_48('\ufa27'),
    HOME_ADD_24('\uf483'),
    HOME_CHECKMARK_24('\uf484'),
    ICONS_20('\uf485'),
    ICONS_24('\uf486'),
    IMAGE_16('\uf487'),
    IMAGE_20('\uf488'),
    IMAGE_24('\uf489'),
    IMAGE_28('\uf48a'),
    IMAGE_48('\uf48b'),
    IMAGE_ADD_24('\uf48c'),
    IMAGE_ALT_TEXT_20('\uf48d'),
    IMAGE_ALT_TEXT_24('\uf48e'),
    IMAGE_ARROW_COUNTERCLOCKWISE_24('\ufa28'),
    IMAGE_COPY_20('\uf48f'),
    IMAGE_COPY_24('\uf490'),
    IMAGE_COPY_28('\uf491'),
    IMAGE_EDIT_16('\uf492'),
    IMAGE_EDIT_20('\uf493'),
    IMAGE_EDIT_24('\uf494'),
    IMAGE_LIBRARY_20('\uf495'),
    IMAGE_LIBRARY_24('\uf496'),
    IMAGE_LIBRARY_28('\uf497'),
    IMAGE_OFF_24('\uf498'),
    IMAGE_SEARCH_20('\uf499'),
    IMAGE_SEARCH_24('\uf49a'),
    IMMERSIVE_READER_20('\uf49b'),
    IMMERSIVE_READER_24('\uf49c'),
    IMPORTANT_12('\uf49d'),
    IMPORTANT_16('\uf49e'),
    IMPORTANT_20('\uf49f'),
    IMPORTANT_24('\uf4a0'),
    INCOGNITO_24('\uf4a1'),
    INFO_16('\uf4a2'),
    INFO_20('\uf4a3'),
    INFO_24('\uf4a4'),
    INFO_28('\uf4a5'),
    INFO_SHIELD_20('\ufa29'),
    INKING_TOOL_16('\uf4a6'),
    INKING_TOOL_20('\uf4a7'),
    INKING_TOOL_24('\uf4a8'),
    INPRIVATE_ACCOUNT_16('\uf4a9'),
    INPRIVATE_ACCOUNT_20('\uf4aa'),
    INPRIVATE_ACCOUNT_24('\uf4ab'),
    INPRIVATE_ACCOUNT_28('\uf4ac'),
    INSERT_20('\uf4ad'),
    INSPECT_20('\uf4ae'),
    INSPECT_24('\uf4af'),
    IOS_ARROW_LEFT_24('\uf4b0'),
    IOS_CHEVRON_24('\uf4b1'),
    IOS_CHEVRON_RIGHT_20('\uf4b2'),
    JAVASCRIPT_16('\uf4b3'),
    JAVASCRIPT_20('\uf4b4'),
    JAVASCRIPT_24('\uf4b5'),
    KEYBOARD_20('\uf4b8'),
    KEYBOARD_24('\uf4b9'),
    KEYBOARD_DOCK_24('\uf4ba'),
    KEYBOARD_LAYOUT_FLOAT_24('\uf4bb'),
    KEYBOARD_LAYOUT_ONE_HANDED_LEFT_24('\uf4bc'),
    KEYBOARD_LAYOUT_RESIZE_24('\uf4bd'),
    KEYBOARD_LAYOUT_SPLIT_24('\uf4be'),
    KEYBOARD_SHIFT_24('\uf4bf'),
    KEYBOARD_SHIFT_UPPERCASE_24('\uf4c0'),
    KEYBOARD_TAB_24('\uf4c1'),
    KEY_20('\uf4b6'),
    KEY_24('\uf4b7'),
    KEY_MULTIPLE_20('\ufa2a'),
    LAPTOP_16('\uf4c2'),
    LAPTOP_20('\uf4c3'),
    LAPTOP_24('\uf4c4'),
    LAPTOP_28('\uf4c5'),
    LARGE_16('\uf4c6'),
    LARGE_20('\uf4c7'),
    LARGE_24('\uf4c8'),
    LASSO_24('\uf4c9'),
    LAUNCHER_SETTINGS_24('\uf4ca'),
    LAYER_20('\uf4cb'),
    LAYER_24('\uf4cc'),
    LEAF_16('\uf4cd'),
    LEAF_20('\uf4ce'),
    LEAF_24('\uf4cf'),
    LEAF_TWO_16('\uf4d0'),
    LEAF_TWO_20('\uf4d1'),
    LEAF_TWO_24('\uf4d2'),
    LIBRARY_24('\uf4d3'),
    LIBRARY_28('\uf4d4'),
    LIGHTBULB_16('\uf4d5'),
    LIGHTBULB_20('\uf4d6'),
    LIGHTBULB_24('\uf4d7'),
    LIGHTBULB_CIRCLE_24('\uf4d8'),
    LIGHTBULB_FILAMENT_16('\uf4d9'),
    LIGHTBULB_FILAMENT_20('\uf4da'),
    LIGHTBULB_FILAMENT_24('\uf4db'),
    LIKERT_16('\uf4dd'),
    LIKERT_20('\uf4de'),
    LIKERT_24('\uf4df'),
    LIKE_16('\uf4dc'),
    LINE_HORIZONTAL_1_20('\uf4e0'),
    LINE_HORIZONTAL_3_20('\uf4e1'),
    LINE_HORIZONTAL_5_20('\uf4e2'),
    LINE_HORIZONTAL_5_ERROR_20('\ufa2b'),
    LINK_16('\uf4e3'),
    LINK_20('\uf4e4'),
    LINK_24('\uf4e5'),
    LINK_28('\uf4e6'),
    LINK_48('\uf4e7'),
    LINK_EDIT_16('\uf4e8'),
    LINK_EDIT_20('\uf4e9'),
    LINK_EDIT_24('\uf4ea'),
    LINK_REMOVE_20('\uf4eb'),
    LINK_SQUARE_12('\ufa2c'),
    LINK_SQUARE_16('\ufa2d'),
    LINK_SQUARE_24('\uf4ec'),
    LIST_20('\uf4ed'),
    LIST_24('\uf4ee'),
    LIST_28('\uf4ef'),
    LIVE_20('\uf4f0'),
    LIVE_24('\uf4f1'),
    LOCAL_LANGUAGE_16('\uf4f2'),
    LOCAL_LANGUAGE_20('\uf4f3'),
    LOCAL_LANGUAGE_24('\uf4f4'),
    LOCAL_LANGUAGE_28('\uf4f5'),
    LOCATION_12('\uf4f6'),
    LOCATION_16('\uf4f7'),
    LOCATION_20('\uf4f8'),
    LOCATION_24('\uf4f9'),
    LOCATION_28('\uf4fa'),
    LOCATION_48('\ufa2e'),
    LOCATION_LIVE_20('\uf4fb'),
    LOCATION_LIVE_24('\uf4fc'),
    LOCATION_NOT_FOUND_24('\uf4fd'),
    LOCATION_OFF_16('\ufa2f'),
    LOCATION_OFF_20('\ufa30'),
    LOCATION_OFF_24('\ufa31'),
    LOCATION_OFF_28('\ufa32'),
    LOCATION_OFF_48('\ufa33'),
    LOCK_12('\uf4fe'),
    LOCK_16('\uf4ff'),
    LOCK_20('\uf500'),
    LOCK_24('\uf501'),
    LOCK_MULTIPLE_24('\ufa34'),
    LOCK_SHIELD_20('\uf502'),
    LOCK_SHIELD_24('\uf503'),
    LOCK_SHIELD_48('\uf504'),
    LOTTERY_24('\ufa35');

    public static FluentUiRegularAL findByDescription(String description) {
        for (FluentUiRegularAL font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    FluentUiRegularAL(int code) {
        this.description = "fltral-"+name().toLowerCase().replace("_","-");
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}