/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.lineawesome;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum LineAwesomeBrands implements Ikon {
    ACCESSIBLE_ICON("lab-accessible-icon", '\uf368'),
    ACCUSOFT("lab-accusoft", '\uf369'),
    ACQUISITIONS_INCORPORATED("lab-acquisitions-incorporated", '\uf6af'),
    ADN("lab-adn", '\uf170'),
    ADVERSAL("lab-adversal", '\uf36a'),
    AFFILIATETHEME("lab-affiliatetheme", '\uf36b'),
    AIRBNB("lab-airbnb", '\uf834'),
    ALGOLIA("lab-algolia", '\uf36c'),
    ALIPAY("lab-alipay", '\uf642'),
    AMAZON("lab-amazon", '\uf270'),
    AMAZON_PAY("lab-amazon-pay", '\uf42c'),
    AMILIA("lab-amilia", '\uf36d'),
    ANDROID("lab-android", '\uf17b'),
    ANGELLIST("lab-angellist", '\uf209'),
    ANGRYCREATIVE("lab-angrycreative", '\uf36e'),
    ANGULAR("lab-angular", '\uf420'),
    APPER("lab-apper", '\uf371'),
    APPLE("lab-apple", '\uf179'),
    APPLE_PAY("lab-apple-pay", '\uf415'),
    APP_STORE("lab-app-store", '\uf36f'),
    APP_STORE_IOS("lab-app-store-ios", '\uf370'),
    ARTSTATION("lab-artstation", '\uf77a'),
    ASYMMETRIK("lab-asymmetrik", '\uf372'),
    ATLASSIAN("lab-atlassian", '\uf77b'),
    AUDIBLE("lab-audible", '\uf373'),
    AUTOPREFIXER("lab-autoprefixer", '\uf41c'),
    AVIANEX("lab-avianex", '\uf374'),
    AVIATO("lab-aviato", '\uf421'),
    AWS("lab-aws", '\uf375'),
    BANDCAMP("lab-bandcamp", '\uf2d5'),
    BATTLE_NET("lab-battle-net", '\uf835'),
    BEHANCE("lab-behance", '\uf1b4'),
    BEHANCE_SQUARE("lab-behance-square", '\uf1b5'),
    BIMOBJECT("lab-bimobject", '\uf378'),
    BITBUCKET("lab-bitbucket", '\uf171'),
    BITCOIN("lab-bitcoin", '\uf379'),
    BITY("lab-bity", '\uf37a'),
    BLACKBERRY("lab-blackberry", '\uf37b'),
    BLACK_TIE("lab-black-tie", '\uf27e'),
    BLOGGER("lab-blogger", '\uf37c'),
    BLOGGER_B("lab-blogger-b", '\uf37d'),
    BLUETOOTH("lab-bluetooth", '\uf293'),
    BLUETOOTH_B("lab-bluetooth-b", '\uf294'),
    BOOTSTRAP("lab-bootstrap", '\uf836'),
    BTC("lab-btc", '\uf15a'),
    BUFFER("lab-buffer", '\uf837'),
    BUROMOBELEXPERTE("lab-buromobelexperte", '\uf37f'),
    BUYSELLADS("lab-buysellads", '\uf20d'),
    BUY_N_LARGE("lab-buy-n-large", '\uf8a6'),
    CANADIAN_MAPLE_LEAF("lab-canadian-maple-leaf", '\uf785'),
    CC_AMAZON_PAY("lab-cc-amazon-pay", '\uf42d'),
    CC_AMEX("lab-cc-amex", '\uf1f3'),
    CC_APPLE_PAY("lab-cc-apple-pay", '\uf416'),
    CC_DINERS_CLUB("lab-cc-diners-club", '\uf24c'),
    CC_DISCOVER("lab-cc-discover", '\uf1f2'),
    CC_JCB("lab-cc-jcb", '\uf24b'),
    CC_MASTERCARD("lab-cc-mastercard", '\uf1f1'),
    CC_PAYPAL("lab-cc-paypal", '\uf1f4'),
    CC_STRIPE("lab-cc-stripe", '\uf1f5'),
    CC_VISA("lab-cc-visa", '\uf1f0'),
    CENTERCODE("lab-centercode", '\uf380'),
    CENTOS("lab-centos", '\uf789'),
    CHROME("lab-chrome", '\uf268'),
    CHROMECAST("lab-chromecast", '\uf838'),
    // CLOUDFARE("lab-cloudfare", '\ue07d'),
    CLOUDSCALE("lab-cloudscale", '\uf383'),
    CLOUDSMITH("lab-cloudsmith", '\uf384'),
    CLOUDVERSIFY("lab-cloudversify", '\uf385'),
    CODEPEN("lab-codepen", '\uf1cb'),
    CODIEPIE("lab-codiepie", '\uf284'),
    CONFLUENCE("lab-confluence", '\uf78d'),
    CONNECTDEVELOP("lab-connectdevelop", '\uf20e'),
    CONTAO("lab-contao", '\uf26d'),
    COTTON_BUREAU("lab-cotton-bureau", '\uf89e'),
    CPANEL("lab-cpanel", '\uf388'),
    CREATIVE_COMMONS("lab-creative-commons", '\uf25e'),
    CREATIVE_COMMONS_BY("lab-creative-commons-by", '\uf4e7'),
    CREATIVE_COMMONS_NC("lab-creative-commons-nc", '\uf4e8'),
    CREATIVE_COMMONS_NC_EU("lab-creative-commons-nc-eu", '\uf4e9'),
    CREATIVE_COMMONS_NC_JP("lab-creative-commons-nc-jp", '\uf4ea'),
    CREATIVE_COMMONS_ND("lab-creative-commons-nd", '\uf4eb'),
    CREATIVE_COMMONS_PD("lab-creative-commons-pd", '\uf4ec'),
    CREATIVE_COMMONS_PD_ALT("lab-creative-commons-pd-alt", '\uf4ed'),
    CREATIVE_COMMONS_REMIX("lab-creative-commons-remix", '\uf4ee'),
    CREATIVE_COMMONS_SA("lab-creative-commons-sa", '\uf4ef'),
    CREATIVE_COMMONS_SAMPLING("lab-creative-commons-sampling", '\uf4f0'),
    CREATIVE_COMMONS_SAMPLING_PLUS("lab-creative-commons-sampling-plus", '\uf4f1'),
    CREATIVE_COMMONS_SHARE("lab-creative-commons-share", '\uf4f2'),
    CREATIVE_COMMONS_ZERO("lab-creative-commons-zero", '\uf4f3'),
    CRITICAL_ROLE("lab-critical-role", '\uf6c9'),
    CSS3("lab-css3", '\uf13c'),
    CSS3_ALT("lab-css3-alt", '\uf38b'),
    CUTTLEFISH("lab-cuttlefish", '\uf38c'),
    // DAILYMOTION("lab-dailymotion", '\ue052'),
    DASHCUBE("lab-dashcube", '\uf210'),
    // DEEZER("lab-deezer", '\ue077'),
    DELICIOUS("lab-delicious", '\uf1a5'),
    DEPLOYDOG("lab-deploydog", '\uf38e'),
    DESKPRO("lab-deskpro", '\uf38f'),
    DEV("lab-dev", '\uf6cc'),
    DEVIANTART("lab-deviantart", '\uf1bd'),
    DHL("lab-dhl", '\uf790'),
    DIASPORA("lab-diaspora", '\uf791'),
    DIGG("lab-digg", '\uf1a6'),
    DIGITAL_OCEAN("lab-digital-ocean", '\uf391'),
    DISCORD("lab-discord", '\uf392'),
    DISCOURSE("lab-discourse", '\uf393'),
    DOCHUB("lab-dochub", '\uf394'),
    DOCKER("lab-docker", '\uf395'),
    DRAFT2DIGITAL("lab-draft2digital", '\uf396'),
    DRIBBBLE("lab-dribbble", '\uf17d'),
    DRIBBBLE_SQUARE("lab-dribbble-square", '\uf397'),
    DROPBOX("lab-dropbox", '\uf16b'),
    DRUPAL("lab-drupal", '\uf1a9'),
    DYALOG("lab-dyalog", '\uf399'),
    D_AND_D("lab-d-and-d", '\uf38d'),
    D_AND_D_BEYOND("lab-d-and-d-beyond", '\uf6ca'),
    EARLYBIRDS("lab-earlybirds", '\uf39a'),
    EBAY("lab-ebay", '\uf4f4'),
    EDGE("lab-edge", '\uf282'),
    // EDGE_LEGACY("lab-edge-legacy", '\ue078'),
    ELEMENTOR("lab-elementor", '\uf430'),
    ELLO("lab-ello", '\uf5f1'),
    EMBER("lab-ember", '\uf423'),
    EMPIRE("lab-empire", '\uf1d1'),
    ENVIRA("lab-envira", '\uf299'),
    ERLANG("lab-erlang", '\uf39d'),
    ETHEREUM("lab-ethereum", '\uf42e'),
    ETSY("lab-etsy", '\uf2d7'),
    EVERNOTE("lab-evernote", '\uf839'),
    EXPEDITEDSSL("lab-expeditedssl", '\uf23e'),
    FAB_500PX("lab-500px", '\uf26e'),
    FACEBOOK("lab-facebook", '\uf09a'),
    FACEBOOK_F("lab-facebook-f", '\uf39e'),
    FACEBOOK_MESSENGER("lab-facebook-messenger", '\uf39f'),
    FACEBOOK_SQUARE("lab-facebook-square", '\uf082'),
    FANTASY_FLIGHT_GAMES("lab-fantasy-flight-games", '\uf6dc'),
    FEDEX("lab-fedex", '\uf797'),
    FEDORA("lab-fedora", '\uf798'),
    FIGMA("lab-figma", '\uf799'),
    FIREFOX("lab-firefox", '\uf269'),
    // FIREFOX_BROWSER("lab-firefox-browser", '\ue007'),
    FIRSTDRAFT("lab-firstdraft", '\uf3a1'),
    FIRST_ORDER("lab-first-order", '\uf2b0'),
    FIRST_ORDER_ALT("lab-first-order-alt", '\uf50a'),
    FLICKR("lab-flickr", '\uf16e'),
    FLIPBOARD("lab-flipboard", '\uf44d'),
    FLY("lab-fly", '\uf417'),
    FONTICONS("lab-fonticons", '\uf280'),
    FONTICONS_FI("lab-fonticons-fi", '\uf3a2'),
    FONT_AWESOME("lab-font-awesome", '\uf2b4'),
    FONT_AWESOME_ALT("lab-font-awesome-alt", '\uf35c'),
    FONT_AWESOME_FLAG("lab-font-awesome-flag", '\uf425'),
    FORT_AWESOME("lab-fort-awesome", '\uf286'),
    FORT_AWESOME_ALT("lab-fort-awesome-alt", '\uf3a3'),
    FORUMBEE("lab-forumbee", '\uf211'),
    FOURSQUARE("lab-foursquare", '\uf180'),
    FREEBSD("lab-freebsd", '\uf3a4'),
    FREE_CODE_CAMP("lab-free-code-camp", '\uf2c5'),
    FULCRUM("lab-fulcrum", '\uf50b'),
    GALACTIC_REPUBLIC("lab-galactic-republic", '\uf50c'),
    GALACTIC_SENATE("lab-galactic-senate", '\uf50d'),
    GET_POCKET("lab-get-pocket", '\uf265'),
    GG("lab-gg", '\uf260'),
    GG_CIRCLE("lab-gg-circle", '\uf261'),
    GIT("lab-git", '\uf1d3'),
    GITHUB("lab-github", '\uf09b'),
    GITHUB_ALT("lab-github-alt", '\uf113'),
    GITHUB_SQUARE("lab-github-square", '\uf092'),
    GITKRAKEN("lab-gitkraken", '\uf3a6'),
    GITLAB("lab-gitlab", '\uf296'),
    GITTER("lab-gitter", '\uf426'),
    GIT_ALT("lab-git-alt", '\uf841'),
    GIT_SQUARE("lab-git-square", '\uf1d2'),
    GLIDE("lab-glide", '\uf2a5'),
    GLIDE_G("lab-glide-g", '\uf2a6'),
    GOFORE("lab-gofore", '\uf3a7'),
    GOODREADS("lab-goodreads", '\uf3a8'),
    GOODREADS_G("lab-goodreads-g", '\uf3a9'),
    GOOGLE("lab-google", '\uf1a0'),
    GOOGLE_DRIVE("lab-google-drive", '\uf3aa'),
    // GOOGLE_PAY("lab-google-pay", '\ue079'),
    GOOGLE_PLAY("lab-google-play", '\uf3ab'),
    GOOGLE_PLUS("lab-google-plus", '\uf2b3'),
    GOOGLE_PLUS_G("lab-google-plus-g", '\uf0d5'),
    GOOGLE_PLUS_SQUARE("lab-google-plus-square", '\uf0d4'),
    GOOGLE_WALLET("lab-google-wallet", '\uf1ee'),
    GRATIPAY("lab-gratipay", '\uf184'),
    GRAV("lab-grav", '\uf2d6'),
    GRIPFIRE("lab-gripfire", '\uf3ac'),
    GRUNT("lab-grunt", '\uf3ad'),
    // GUILDED("lab-guilded", '\ue07e'),
    GULP("lab-gulp", '\uf3ae'),
    HACKERRANK("lab-hackerrank", '\uf5f7'),
    HACKER_NEWS("lab-hacker-news", '\uf1d4'),
    HACKER_NEWS_SQUARE("lab-hacker-news-square", '\uf3af'),
    HIPS("lab-hips", '\uf452'),
    HIRE_A_HELPER("lab-hire-a-helper", '\uf3b0'),
    // HIVE("lab-hive", '\ue07f'),
    HOOLI("lab-hooli", '\uf427'),
    HORNBILL("lab-hornbill", '\uf592'),
    HOTJAR("lab-hotjar", '\uf3b1'),
    HOUZZ("lab-houzz", '\uf27c'),
    HTML5("lab-html5", '\uf13b'),
    HUBSPOT("lab-hubspot", '\uf3b2'),
    // IDEAL("lab-ideal", '\ue013'),
    IMDB("lab-imdb", '\uf2d8'),
    // INNOSOFT("lab-innosoft", '\ue080'),
    INSTAGRAM("lab-instagram", '\uf16d'),
    // INSTAGRAM_SQUARE("lab-instagram-square", '\ue055'),
    // INSTALOD("lab-instalod", '\ue081'),
    INTERCOM("lab-intercom", '\uf7af'),
    INTERNET_EXPLORER("lab-internet-explorer", '\uf26b'),
    INVISION("lab-invision", '\uf7b0'),
    IOXHOST("lab-ioxhost", '\uf208'),
    ITCH_IO("lab-itch-io", '\uf83a'),
    ITUNES("lab-itunes", '\uf3b4'),
    ITUNES_NOTE("lab-itunes-note", '\uf3b5'),
    JAVA("lab-java", '\uf4e4'),
    JEDI_ORDER("lab-jedi-order", '\uf50e'),
    JENKINS("lab-jenkins", '\uf3b6'),
    JIRA("lab-jira", '\uf7b1'),
    JOGET("lab-joget", '\uf3b7'),
    JOOMLA("lab-joomla", '\uf1aa'),
    JS("lab-js", '\uf3b8'),
    JSFIDDLE("lab-jsfiddle", '\uf1cc'),
    JS_SQUARE("lab-js-square", '\uf3b9'),
    KAGGLE("lab-kaggle", '\uf5fa'),
    KEYBASE("lab-keybase", '\uf4f5'),
    KEYCDN("lab-keycdn", '\uf3ba'),
    KICKSTARTER("lab-kickstarter", '\uf3bb'),
    KICKSTARTER_K("lab-kickstarter-k", '\uf3bc'),
    KORVUE("lab-korvue", '\uf42f'),
    LARAVEL("lab-laravel", '\uf3bd'),
    LASTFM("lab-lastfm", '\uf202'),
    LASTFM_SQUARE("lab-lastfm-square", '\uf203'),
    LEANPUB("lab-leanpub", '\uf212'),
    LESS("lab-less", '\uf41d'),
    LINE("lab-line", '\uf3c0'),
    LINKEDIN("lab-linkedin", '\uf08c'),
    LINKEDIN_IN("lab-linkedin-in", '\uf0e1'),
    LINODE("lab-linode", '\uf2b8'),
    LINUX("lab-linux", '\uf17c'),
    LYFT("lab-lyft", '\uf3c3'),
    MAGENTO("lab-magento", '\uf3c4'),
    MAILCHIMP("lab-mailchimp", '\uf59e'),
    MANDALORIAN("lab-mandalorian", '\uf50f'),
    MARKDOWN("lab-markdown", '\uf60f'),
    MASTODON("lab-mastodon", '\uf4f6'),
    MAXCDN("lab-maxcdn", '\uf136'),
    MDB("lab-mdb", '\uf8ca'),
    MEDAPPS("lab-medapps", '\uf3c6'),
    MEDIUM("lab-medium", '\uf23a'),
    MEDIUM_M("lab-medium-m", '\uf3c7'),
    MEDRT("lab-medrt", '\uf3c8'),
    MEETUP("lab-meetup", '\uf2e0'),
    MEGAPORT("lab-megaport", '\uf5a3'),
    MENDELEY("lab-mendeley", '\uf7b3'),
    // MICROBLOG("lab-microblog", '\ue01a'),
    MICROSOFT("lab-microsoft", '\uf3ca'),
    MIX("lab-mix", '\uf3cb'),
    MIXCLOUD("lab-mixcloud", '\uf289'),
    // MIXER("lab-mixer", '\ue056'),
    MIZUNI("lab-mizuni", '\uf3cc'),
    MODX("lab-modx", '\uf285'),
    MONERO("lab-monero", '\uf3d0'),
    NAPSTER("lab-napster", '\uf3d2'),
    NEOS("lab-neos", '\uf612'),
    NIMBLR("lab-nimblr", '\uf5a8'),
    NODE("lab-node", '\uf419'),
    NODE_JS("lab-node-js", '\uf3d3'),
    NPM("lab-npm", '\uf3d4'),
    NS8("lab-ns8", '\uf3d5'),
    NUTRITIONIX("lab-nutritionix", '\uf3d6'),
    // OCTOPUS_DEPLOY("lab-octopus-deploy", '\ue082'),
    ODNOKLASSNIKI("lab-odnoklassniki", '\uf263'),
    ODNOKLASSNIKI_SQUARE("lab-odnoklassniki-square", '\uf264'),
    OLD_REPUBLIC("lab-old-republic", '\uf510'),
    OPENCART("lab-opencart", '\uf23d'),
    OPENID("lab-openid", '\uf19b'),
    OPERA("lab-opera", '\uf26a'),
    OPTIN_MONSTER("lab-optin-monster", '\uf23c'),
    ORCID("lab-orcid", '\uf8d2'),
    OSI("lab-osi", '\uf41a'),
    PAGE4("lab-page4", '\uf3d7'),
    PAGELINES("lab-pagelines", '\uf18c'),
    PALFED("lab-palfed", '\uf3d8'),
    PATREON("lab-patreon", '\uf3d9'),
    PAYPAL("lab-paypal", '\uf1ed'),
    PENNY_ARCADE("lab-penny-arcade", '\uf704'),
    // PERBYTE("lab-perbyte", '\ue083'),
    PERISCOPE("lab-periscope", '\uf3da'),
    PHABRICATOR("lab-phabricator", '\uf3db'),
    PHOENIX_FRAMEWORK("lab-phoenix-framework", '\uf3dc'),
    PHOENIX_SQUADRON("lab-phoenix-squadron", '\uf511'),
    PHP("lab-php", '\uf457'),
    PIED_PIPER("lab-pied-piper", '\uf2ae'),
    PIED_PIPER_ALT("lab-pied-piper-alt", '\uf1a8'),
    PIED_PIPER_HAT("lab-pied-piper-hat", '\uf4e5'),
    PIED_PIPER_PP("lab-pied-piper-pp", '\uf1a7'),
    // PIED_PIPER_SQUARE("lab-pied-piper-square", '\ue01e'),
    PINTEREST("lab-pinterest", '\uf0d2'),
    PINTEREST_P("lab-pinterest-p", '\uf231'),
    PINTEREST_SQUARE("lab-pinterest-square", '\uf0d3'),
    PLAYSTATION("lab-playstation", '\uf3df'),
    PRODUCT_HUNT("lab-product-hunt", '\uf288'),
    PUSHED("lab-pushed", '\uf3e1'),
    PYTHON("lab-python", '\uf3e2'),
    QQ("lab-qq", '\uf1d6'),
    QUINSCAPE("lab-quinscape", '\uf459'),
    QUORA("lab-quora", '\uf2c4'),
    RASPBERRY_PI("lab-raspberry-pi", '\uf7bb'),
    RAVELRY("lab-ravelry", '\uf2d9'),
    REACT("lab-react", '\uf41b'),
    REACTEUROPE("lab-reacteurope", '\uf75d'),
    README("lab-readme", '\uf4d5'),
    REBEL("lab-rebel", '\uf1d0'),
    REDDIT("lab-reddit", '\uf1a1'),
    REDDIT_ALIEN("lab-reddit-alien", '\uf281'),
    REDDIT_SQUARE("lab-reddit-square", '\uf1a2'),
    REDHAT("lab-redhat", '\uf7bc'),
    RED_RIVER("lab-red-river", '\uf3e3'),
    RENREN("lab-renren", '\uf18b'),
    REPLYD("lab-replyd", '\uf3e6'),
    RESEARCHGATE("lab-researchgate", '\uf4f8'),
    RESOLVING("lab-resolving", '\uf3e7'),
    REV("lab-rev", '\uf5b2'),
    ROCKETCHAT("lab-rocketchat", '\uf3e8'),
    ROCKRMS("lab-rockrms", '\uf3e9'),
    // RUST("lab-rust", '\ue07a'),
    R_PROJECT("lab-r-project", '\uf4f7'),
    SAFARI("lab-safari", '\uf267'),
    SALESFORCE("lab-salesforce", '\uf83b'),
    SASS("lab-sass", '\uf41e'),
    SCHLIX("lab-schlix", '\uf3ea'),
    SCRIBD("lab-scribd", '\uf28a'),
    SEARCHENGIN("lab-searchengin", '\uf3eb'),
    SELLCAST("lab-sellcast", '\uf2da'),
    SELLSY("lab-sellsy", '\uf213'),
    SERVICESTACK("lab-servicestack", '\uf3ec'),
    SHIRTSINBULK("lab-shirtsinbulk", '\uf214'),
    // SHOPIFY("lab-shopify", '\ue057'),
    SHOPWARE("lab-shopware", '\uf5b5'),
    SIMPLYBUILT("lab-simplybuilt", '\uf215'),
    SISTRIX("lab-sistrix", '\uf3ee'),
    SITH("lab-sith", '\uf512'),
    SKETCH("lab-sketch", '\uf7c6'),
    SKYATLAS("lab-skyatlas", '\uf216'),
    SKYPE("lab-skype", '\uf17e'),
    SLACK("lab-slack", '\uf198'),
    SLACK_HASH("lab-slack-hash", '\uf3ef'),
    SLIDESHARE("lab-slideshare", '\uf1e7'),
    SNAPCHAT("lab-snapchat", '\uf2ab'),
    SNAPCHAT_GHOST("lab-snapchat-ghost", '\uf2ac'),
    SNAPCHAT_SQUARE("lab-snapchat-square", '\uf2ad'),
    SOUNDCLOUD("lab-soundcloud", '\uf1be'),
    SOURCETREE("lab-sourcetree", '\uf7d3'),
    SPEAKAP("lab-speakap", '\uf3f3'),
    SPEAKER_DECK("lab-speaker-deck", '\uf83c'),
    SPOTIFY("lab-spotify", '\uf1bc'),
    SQUARESPACE("lab-squarespace", '\uf5be'),
    STACKPATH("lab-stackpath", '\uf842'),
    STACK_EXCHANGE("lab-stack-exchange", '\uf18d'),
    STACK_OVERFLOW("lab-stack-overflow", '\uf16c'),
    STAYLINKED("lab-staylinked", '\uf3f5'),
    STEAM("lab-steam", '\uf1b6'),
    STEAM_SQUARE("lab-steam-square", '\uf1b7'),
    STEAM_SYMBOL("lab-steam-symbol", '\uf3f6'),
    STICKER_MULE("lab-sticker-mule", '\uf3f7'),
    STRAVA("lab-strava", '\uf428'),
    STRIPE("lab-stripe", '\uf429'),
    STRIPE_S("lab-stripe-s", '\uf42a'),
    STUDIOVINARI("lab-studiovinari", '\uf3f8'),
    STUMBLEUPON("lab-stumbleupon", '\uf1a4'),
    STUMBLEUPON_CIRCLE("lab-stumbleupon-circle", '\uf1a3'),
    SUPERPOWERS("lab-superpowers", '\uf2dd'),
    SUPPLE("lab-supple", '\uf3f9'),
    SUSE("lab-suse", '\uf7d6'),
    SWIFT("lab-swift", '\uf8e1'),
    SYMFONY("lab-symfony", '\uf83d'),
    TEAMSPEAK("lab-teamspeak", '\uf4f9'),
    TELEGRAM("lab-telegram", '\uf2c6'),
    TELEGRAM_PLANE("lab-telegram-plane", '\uf3fe'),
    TENCENT_WEIBO("lab-tencent-weibo", '\uf1d5'),
    THEMECO("lab-themeco", '\uf5c6'),
    THEMEISLE("lab-themeisle", '\uf2b2'),
    THE_RED_YETI("lab-the-red-yeti", '\uf69d'),
    THINK_PEAKS("lab-think-peaks", '\uf731'),
    // TIKTOK("lab-tiktok", '\ue07b'),
    TRADE_FEDERATION("lab-trade-federation", '\uf513'),
    TRELLO("lab-trello", '\uf181'),
    TRIPADVISOR("lab-tripadvisor", '\uf262'),
    TUMBLR("lab-tumblr", '\uf173'),
    TUMBLR_SQUARE("lab-tumblr-square", '\uf174'),
    TWITCH("lab-twitch", '\uf1e8'),
    TWITTER("lab-twitter", '\uf099'),
    TWITTER_SQUARE("lab-twitter-square", '\uf081'),
    TYPO3("lab-typo3", '\uf42b'),
    UBER("lab-uber", '\uf402'),
    UBUNTU("lab-ubuntu", '\uf7df'),
    UIKIT("lab-uikit", '\uf403'),
    UMBRACO("lab-umbraco", '\uf8e8'),
    // UNCHARTED("lab-uncharted", '\ue084'),
    UNIREGISTRY("lab-uniregistry", '\uf404'),
    // UNITY("lab-unity", '\ue049'),
    // UNSPLASH("lab-unsplash", '\ue07c'),
    UNTAPPD("lab-untappd", '\uf405'),
    UPS("lab-ups", '\uf7e0'),
    USB("lab-usb", '\uf287'),
    USPS("lab-usps", '\uf7e1'),
    USSUNNAH("lab-ussunnah", '\uf407'),
    VAADIN("lab-vaadin", '\uf408'),
    VIACOIN("lab-viacoin", '\uf237'),
    VIADEO("lab-viadeo", '\uf2a9'),
    VIADEO_SQUARE("lab-viadeo-square", '\uf2aa'),
    VIBER("lab-viber", '\uf409'),
    VIMEO("lab-vimeo", '\uf40a'),
    VIMEO_SQUARE("lab-vimeo-square", '\uf194'),
    VIMEO_V("lab-vimeo-v", '\uf27d'),
    VINE("lab-vine", '\uf1ca'),
    VK("lab-vk", '\uf189'),
    VNV("lab-vnv", '\uf40b'),
    VUEJS("lab-vuejs", '\uf41f'),
    // WATCHAMN_MONITORING("lab-watchman-monitoring", '\ue087'),
    WAZE("lab-waze", '\uf83f'),
    WEEBLY("lab-weebly", '\uf5cc'),
    WEIBO("lab-weibo", '\uf18a'),
    WEIXIN("lab-weixin", '\uf1d7'),
    WHATSAPP("lab-whatsapp", '\uf232'),
    WHATSAPP_SQUARE("lab-whatsapp-square", '\uf40c'),
    WHMCS("lab-whmcs", '\uf40d'),
    WIKIPEDIA_W("lab-wikipedia-w", '\uf266'),
    WINDOWS("lab-windows", '\uf17a'),
    WIX("lab-wix", '\uf5cf'),
    WIZARDS_OF_THE_COAST("lab-wizards-of-the-coast", '\uf730'),
    // WODU("lab-wodu", '\ue088'),
    WOLF_PACK_BATTALION("lab-wolf-pack-battalion", '\uf514'),
    WORDPRESS("lab-wordpress", '\uf19a'),
    WORDPRESS_SIMPLE("lab-wordpress-simple", '\uf411'),
    WPBEGINNER("lab-wpbeginner", '\uf297'),
    WPEXPLORER("lab-wpexplorer", '\uf2de'),
    WPFORMS("lab-wpforms", '\uf298'),
    WPRESSR("lab-wpressr", '\uf3e4'),
    XBOX("lab-xbox", '\uf412'),
    XING("lab-xing", '\uf168'),
    XING_SQUARE("lab-xing-square", '\uf169'),
    YAHOO("lab-yahoo", '\uf19e'),
    YAMMER("lab-yammer", '\uf840'),
    YANDEX("lab-yandex", '\uf413'),
    YANDEX_INTERNATIONAL("lab-yandex-international", '\uf414'),
    YARN("lab-yarn", '\uf7e3'),
    YELP("lab-yelp", '\uf1e9'),
    YOAST("lab-yoast", '\uf2b1'),
    YOUTUBE("lab-youtube", '\uf167'),
    YOUTUBE_SQUARE("lab-youtube-square", '\uf431'),
    Y_COMBINATOR("lab-y-combinator", '\uf23b'),
    ZHIHU("lab-zhihu", '\uf63f');

    public static LineAwesomeBrands findByDescription(String description) {
        for (LineAwesomeBrands font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    LineAwesomeBrands(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}
