/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.metrizeicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum MetrizeIcons implements Ikon {
    // latest is e12b
    MET_ADJUST("met-adjust", '\ue12a'),
    MET_AIR_PLANE("met-air-plane", '\ue129'),
    MET_ALARM_CLOCK("met-alarm-clock", '\ue128'),
    MET_ANIMAL_FOOTPRINT("met-animal-footprint", '\ue127'),
    MET_ARROW_CURVE_LEFT("met-arrow-curve-left", '\ue126'),
    MET_ARROW_CURVE_RECYCLE("met-arrow-curve-recycle", '\ue125'),
    MET_ARROW_CURVE_RIGHT("met-arrow-curve-right", '\ue124'),
    MET_ARROW_CYCLE("met-arrow-cycle", '\ue123'),
    MET_ARROW_CYCLING("met-arrow-cycling", '\ue122'),
    MET_ARROW_DOWN("met-arrow-down", '\ue11c'),
    MET_ARROW_DOWN_BIG("met-arrow-down-big", '\ue121'),
    MET_ARROW_DOWN_BOLD("met-arrow-down-bold", '\ue11f'),
    MET_ARROW_DOWN_BOLD_ROUND("met-arrow-down-bold-round", '\ue120'),
    MET_ARROW_DOWN_LIGHT("met-arrow-down-light", '\ue11e'),
    MET_ARROW_DOWN_THIN("met-arrow-down-thin", '\ue11d'),
    MET_ARROW_FILL_DOWN("met-arrow-fill-down", '\ue11b'),
    MET_ARROW_FILL_LEFT("met-arrow-fill-left", '\ue11a'),
    MET_ARROW_FILL_RIGHT("met-arrow-fill-right", '\ue119'),
    MET_ARROW_FILL_UP("met-arrow-fill-up", '\ue118'),
    MET_ARROW_LEFT("met-arrow-left", '\ue112'),
    MET_ARROW_LEFT_BIG("met-arrow-left-big", '\ue117'),
    MET_ARROW_LEFT_BOLD("met-arrow-left-bold", '\ue115'),
    MET_ARROW_LEFT_BOLD_ROUND("met-arrow-left-bold-round", '\ue116'),
    MET_ARROW_LEFT_LIGHT("met-arrow-left-light", '\ue114'),
    MET_ARROW_LEFT_THIN("met-arrow-left-thin", '\ue113'),
    MET_ARROW_MULTI_LINE_DOWN("met-arrow-multi-line-down", '\ue111'),
    MET_ARROW_MULTI_LINE_LEFT("met-arrow-multi-line-left", '\ue110'),
    MET_ARROW_MULTI_LINE_RIGHT("met-arrow-multi-line-right", '\ue10f'),
    MET_ARROW_MULTI_LINE_UP("met-arrow-multi-line-up", '\ue10e'),
    MET_ARROW_OBLIQUE_CONTRACT("met-arrow-oblique-contract", '\ue10c'),
    MET_ARROW_OBLIQUE_CONTRACT_DIRECTIONS("met-arrow-oblique-contract-directions", '\ue10d'),
    MET_ARROW_OBLIQUE_EXPAND("met-arrow-oblique-expand", '\ue10a'),
    MET_ARROW_OBLIQUE_EXPAND_DIRECTIONS("met-arrow-oblique-expand-directions", '\ue10b'),
    MET_ARROW_RIGHT("met-arrow-right", '\ue104'),
    MET_ARROW_RIGHT_BIG("met-arrow-right-big", '\ue109'),
    MET_ARROW_RIGHT_BOLD("met-arrow-right-bold", '\ue107'),
    MET_ARROW_RIGHT_BOLD_ROUND("met-arrow-right-bold-round", '\ue108'),
    MET_ARROW_RIGHT_LIGHT("met-arrow-right-light", '\ue106'),
    MET_ARROW_RIGHT_THIN("met-arrow-right-thin", '\ue105'),
    MET_ARROW_UP("met-arrow-up", '\ue0fe'),
    MET_ARROW_UP_BIG("met-arrow-up-big", '\ue103'),
    MET_ARROW_UP_BOLD("met-arrow-up-bold", '\ue101'),
    MET_ARROW_UP_BOLD_ROUND("met-arrow-up-bold-round", '\ue102'),
    MET_ARROW_UP_LIGHT("met-arrow-up-light", '\ue100'),
    MET_ARROW_UP_THIN("met-arrow-up-thin", '\ue0ff'),
    MET_ATOM("met-atom", '\ue0fd'),
    MET_AXIS_RULES("met-axis-rules", '\ue0fc'),
    MET_BACKWARD("met-backward", '\ue0fb'),
    MET_BAG("met-bag", '\ue0fa'),
    MET_BAN_CIRCLE("met-ban-circle", '\ue0f9'),
    MET_BARS("met-bars", '\ue0f8'),
    MET_BEZIER("met-bezier", '\ue0f7'),
    MET_BLANK("met-blank", '\ue0f6'),
    MET_BLOCK_MENU("met-block-menu", '\ue0f5'),
    MET_BOLT("met-bolt", '\ue0f4'),
    MET_BOX_ADD("met-box-add", '\ue0f3'),
    MET_BOX_BLANK("met-box-blank", '\ue0f2'),
    MET_BOX_CLOSE("met-box-close", '\ue0f1'),
    MET_BOX_REMOVE("met-box-remove", '\ue0f0'),
    MET_BROWSER_SIZES("met-browser-sizes", '\ue0ef'),
    MET_BRUSH("met-brush", '\ue0ee'),
    MET_BUTTON_ADD("met-button-add", '\ue0ed'),
    MET_BUTTON_CHECK("met-button-check", '\ue0ec'),
    MET_BUTTON_CLOSE("met-button-close", '\ue0eb'),
    MET_BUTTON_EMAIL("met-button-email", '\ue0ea'),
    MET_BUTTON_EXCLAMATION("met-button-exclamation", '\ue0e9'),
    MET_BUTTON_MINUS("met-button-minus", '\ue0e8'),
    MET_BUTTON_QUESTION("met-button-question", '\ue0e7'),
    MET_CAMERA("met-camera", '\ue0e6'),
    MET_CD_DVD_ROM("met-cd-dvd-rom", '\ue0e5'),
    MET_CHART_DOWN("met-chart-down", '\ue0e4'),
    MET_CHAT("met-chat", '\ue0e3'),
    MET_CHECK("met-check", '\ue0e2'),
    MET_CIRCLES("met-circles", '\ue0e1'),
    MET_CLOCK("met-clock", '\ue0e0'),
    MET_CLOUD("met-cloud", '\ue0db'),
    MET_CLOUD_ADD("met-cloud-add", '\ue0df'),
    MET_CLOUD_DOWNLOAD("met-cloud-download", '\ue0de'),
    MET_CLOUD_REMOVE("met-cloud-remove", '\ue0dd'),
    MET_CLOUD_UPLOAD("met-cloud-upload", '\ue0dc'),
    MET_COINS("met-coins", '\ue0da'),
    MET_COMMENT("met-comment", '\ue0d9'),
    MET_COMMENTS("met-comments", '\ue0d8'),
    MET_COMPASS("met-compass", '\ue0d6'),
    MET_COMPASS_2("met-compass-2", '\ue0d7'),
    MET_CONTRACT_DIRECTIONS("met-contract-directions", '\ue0d5'),
    MET_CONTRACT_HORIZONTAL("met-contract-horizontal", '\ue0d4'),
    MET_CONTRACT_VERTICAL("met-contract-vertical", '\ue0d3'),
    MET_COPY_DOCUMENT("met-copy-document", '\ue0d2'),
    MET_COPY_PASTE_DOCUMENT("met-copy-paste-document", '\ue0d1'),
    MET_CREDIT_CARD("met-credit-card", '\ue0d0'),
    MET_CROSS("met-cross", '\ue0cf'),
    MET_CUBE("met-cube", '\ue12b'),
    MET_DIRECTIONS("met-directions", '\ue0ce'),
    MET_DOCUMENT("met-document", '\ue0cc'),
    MET_DOCUMENTS("met-documents", '\ue0cb'),
    MET_DOCUMENT_FILL("met-document-fill", '\ue0cd'),
    MET_DOLLAR("met-dollar", '\ue0ca'),
    MET_DOT_CIRCLE("met-dot-circle", '\ue0c9'),
    MET_DOT_LINE("met-dot-line", '\ue0c8'),
    MET_DOT_SQUARE("met-dot-square", '\ue0c7'),
    MET_DOUBLE_DIAMONDS("met-double-diamonds", '\ue0c6'),
    MET_DOWNLOAD("met-download", '\ue0c3'),
    MET_DOWNLOAD_SELECTION("met-download-selection", '\ue0c4'),
    MET_DOWNLOAD_SELECTION_CIRCLE("met-download-selection-circle", '\ue0c5'),
    MET_DROP("met-drop", '\ue0c2'),
    MET_DROPS("met-drops", '\ue0c1'),
    MET_EJECT("met-eject", '\ue0c0'),
    MET_EMAIL_ADD("met-email-add", '\ue0bf'),
    MET_EMAIL_CLOSE("met-email-close", '\ue0be'),
    MET_EMAIL_DOWNLOAD("met-email-download", '\ue0bd'),
    MET_EMAIL_LUMINOSITY("met-email-luminosity", '\ue0bc'),
    MET_EMAIL_REMOVE("met-email-remove", '\ue0bb'),
    MET_EMAIL_SPAM("met-email-spam", '\ue0ba'),
    MET_EMAIL_UPLOAD("met-email-upload", '\ue0b9'),
    MET_EURO("met-euro", '\ue0b8'),
    MET_EXCLAMATION("met-exclamation", '\ue0b7'),
    MET_EXPAND("met-expand", '\ue0b3'),
    MET_EXPAND_DIRECTIONS("met-expand-directions", '\ue0b6'),
    MET_EXPAND_HORIZONTAL("met-expand-horizontal", '\ue0b5'),
    MET_EXPAND_VERTICAL("met-expand-vertical", '\ue0b4'),
    MET_EYE("met-eye", '\ue0b1'),
    MET_EYE_DISABLED("met-eye-disabled", '\ue0b2'),
    MET_FEMALE_SYMBOL("met-female-symbol", '\ue0b0'),
    MET_FIRE("met-fire", '\ue0af'),
    MET_FORWARD("met-forward", '\ue0ae'),
    MET_GRAPHS("met-graphs", '\ue0ad'),
    MET_GRIDS("met-grids", '\ue0ab'),
    MET_GRID_BIG("met-grid-big", '\ue0ac'),
    MET_HDD("met-hdd", '\ue0a8'),
    MET_HDD_NET("met-hdd-net", '\ue0aa'),
    MET_HDD_RAID("met-hdd-raid", '\ue0a9'),
    MET_HEART("met-heart", '\ue0a7'),
    MET_HOME_WIFI("met-home-wifi", '\ue0a6'),
    MET_IDEA("met-idea", '\ue0a5'),
    MET_INFO("met-info", '\ue0a4'),
    MET_ITALIC("met-italic", '\ue0a3'),
    MET_KEY("met-key", '\ue0a2'),
    MET_LANDSCAPE("met-landscape", '\ue0a1'),
    MET_LAYERS("met-layers", '\ue0a0'),
    MET_LEAF("met-leaf", '\ue09f'),
    MET_LEFT_RIGHT("met-left-right", '\ue09e'),
    MET_LIKE_ADD("met-like-add", '\ue09d'),
    MET_LIKE_BAN("met-like-ban", '\ue09c'),
    MET_LIKE_CLOSE("met-like-close", '\ue09b'),
    MET_LIKE_DOWNLOAD("met-like-download", '\ue09a'),
    MET_LIKE_REMOVE("met-like-remove", '\ue099'),
    MET_LIKE_UPLOAD("met-like-upload", '\ue098'),
    MET_LIMIT_DIRECTIONS("met-limit-directions", '\ue097'),
    MET_LINE_THROUGH("met-line-through", '\ue096'),
    MET_LINK_URL("met-link-url", '\ue095'),
    MET_LIST_CIRCLE("met-list-circle", '\ue094'),
    MET_LIST_SQUARE("met-list-square", '\ue093'),
    MET_LOCATION("met-location", '\ue091'),
    MET_LOCATION_MAPS("met-location-maps", '\ue092'),
    MET_LOCKED("met-locked", '\ue090'),
    MET_LOGIN_LOCK_REFRESH("met-login-lock-refresh", '\ue08f'),
    MET_MAGIC_WAND("met-magic-wand", '\ue08e'),
    MET_MAGNET("met-magnet", '\ue08d'),
    MET_MAIL("met-mail", '\ue08c'),
    MET_MAILBOX("met-mailbox", '\ue08b'),
    MET_MALE_SYMBOL("met-male-symbol", '\ue08a'),
    MET_MAP("met-map", '\ue089'),
    MET_MARKER("met-marker", '\ue085'),
    MET_MARKER_ADD("met-marker-add", '\ue088'),
    MET_MARKER_MINUS("met-marker-minus", '\ue087'),
    MET_MARKER_POINTS("met-marker-points", '\ue086'),
    MET_MINUS("met-minus", '\ue084'),
    MET_MULTI_BORDERS("met-multi-borders", '\ue083'),
    MET_MUSIC("met-music", '\ue082'),
    MET_NEXT_FAST_STEP("met-next-fast-step", '\ue081'),
    MET_NEXT_STEP("met-next-step", '\ue080'),
    MET_NUMBER_EIGHT("met-number-eight", '\ue07f'),
    MET_NUMBER_FIVE("met-number-five", '\ue07e'),
    MET_NUMBER_FOUR("met-number-four", '\ue07d'),
    MET_NUMBER_NINE("met-number-nine", '\ue07c'),
    MET_NUMBER_ONE("met-number-one", '\ue07b'),
    MET_NUMBER_SEVEN("met-number-seven", '\ue07a'),
    MET_NUMBER_SIX("met-number-six", '\ue079'),
    MET_NUMBER_THREE("met-number-three", '\ue078'),
    MET_NUMBER_TWO("met-number-two", '\ue077'),
    MET_NUMBER_ZERO("met-number-zero", '\ue076'),
    MET_OFF("met-off", '\ue075'),
    MET_OFFICINE("met-officine", '\ue073'),
    MET_OFFICINE_2("met-officine-2", '\ue074'),
    MET_OPTIONS_SETTINGS("met-options-settings", '\ue072'),
    MET_PAPERCLIP("met-paperclip", '\ue070'),
    MET_PAPERCLIP_OBLIQUE("met-paperclip-oblique", '\ue071'),
    MET_PAUSE("met-pause", '\ue06f'),
    MET_PIG_MONEY("met-pig-money", '\ue06e'),
    MET_PIN("met-pin", '\ue06c'),
    MET_PIN_MAP("met-pin-map", '\ue06d'),
    MET_PLAY("met-play", '\ue06b'),
    MET_PLUS("met-plus", '\ue06a'),
    MET_PODCAST("met-podcast", '\ue069'),
    MET_POUNDS("met-pounds", '\ue068'),
    MET_PREVIOUS_FAST_STEP("met-previous-fast-step", '\ue066'),
    MET_PREV_STEP("met-prev-step", '\ue067'),
    MET_QUESTION("met-question", '\ue065'),
    MET_QUOTE("met-quote", '\ue064'),
    MET_RANDOM("met-random", '\ue063'),
    MET_REC("met-rec", '\ue062'),
    MET_REFRESH("met-refresh", '\ue061'),
    MET_REPORT_COMMENT("met-report-comment", '\ue060'),
    MET_RETWEET("met-retweet", '\ue05f'),
    MET_RSS("met-rss", '\ue05e'),
    MET_RULES("met-rules", '\ue05d'),
    MET_SCALE("met-scale", '\ue05c'),
    MET_SEARCH("met-search", '\ue05b'),
    MET_SELECT_CIRCLE("met-select-circle", '\ue05a'),
    MET_SELECT_SQUARE("met-select-square", '\ue059'),
    MET_SETTING("met-setting", '\ue058'),
    MET_SETTINGS("met-settings", '\ue057'),
    MET_SHIELD("met-shield", '\ue056'),
    MET_SIGN_FEMALE("met-sign-female", '\ue055'),
    MET_SIGN_MALE("met-sign-male", '\ue054'),
    MET_SLIDERS("met-sliders", '\ue052'),
    MET_SLIDERS_VERTICAL("met-sliders-vertical", '\ue053'),
    MET_SNOW("met-snow", '\ue051'),
    MET_SOCIAL_500PX("met-social-500px", '\ue050'),
    MET_SOCIAL_ADDTHIS("met-social-addthis", '\ue04f'),
    MET_SOCIAL_BEBO("met-social-bebo", '\ue04e'),
    MET_SOCIAL_BEHANCE("met-social-behance", '\ue04d'),
    MET_SOCIAL_BLOGGER("met-social-blogger", '\ue04c'),
    MET_SOCIAL_DEVIANTART("met-social-deviantart", '\ue04b'),
    MET_SOCIAL_DIGG("met-social-digg", '\ue04a'),
    MET_SOCIAL_DRIBBBLE("met-social-dribbble", '\ue049'),
    MET_SOCIAL_EMAIL("met-social-email", '\ue048'),
    MET_SOCIAL_ENVATO("met-social-envato", '\ue047'),
    MET_SOCIAL_EVERNOTE("met-social-evernote", '\ue046'),
    MET_SOCIAL_FACEBOOK("met-social-facebook", '\ue045'),
    MET_SOCIAL_FLICKR("met-social-flickr", '\ue044'),
    MET_SOCIAL_FORRST("met-social-forrst", '\ue043'),
    MET_SOCIAL_GITHUB("met-social-github", '\ue042'),
    MET_SOCIAL_GOOGLE_PLUS("met-social-google-plus", '\ue041'),
    MET_SOCIAL_GROOVESHARK("met-social-grooveshark", '\ue040'),
    MET_SOCIAL_LAST_FM("met-social-last-fm", '\ue03f'),
    MET_SOCIAL_LINKEDIN("met-social-linkedin", '\ue03e'),
    MET_SOCIAL_MYSPACE("met-social-myspace", '\ue03d'),
    MET_SOCIAL_PAYPAL("met-social-paypal", '\ue03c'),
    MET_SOCIAL_PHOTOBUCKET("met-social-photobucket", '\ue03b'),
    MET_SOCIAL_PINTEREST("met-social-pinterest", '\ue03a'),
    MET_SOCIAL_QUORA("met-social-quora", '\ue039'),
    MET_SOCIAL_SHARETHIS("met-social-sharethis", '\ue038'),
    MET_SOCIAL_SKYPE("met-social-skype", '\ue037'),
    MET_SOCIAL_SOUNDCLOUD("met-social-soundcloud", '\ue036'),
    MET_SOCIAL_STUMBLEUPON("met-social-stumbleupon", '\ue035'),
    MET_SOCIAL_TUMBLR("met-social-tumblr", '\ue034'),
    MET_SOCIAL_TWITTER("met-social-twitter", '\ue033'),
    MET_SOCIAL_VIDDLER("met-social-viddler", '\ue032'),
    MET_SOCIAL_VIMEO("met-social-vimeo", '\ue031'),
    MET_SOCIAL_VIRB("met-social-virb", '\ue030'),
    MET_SOCIAL_WORDPRESS("met-social-wordpress", '\ue02f'),
    MET_SOCIAL_YAHOO("met-social-yahoo", '\ue02e'),
    MET_SOCIAL_YELP("met-social-yelp", '\ue02d'),
    MET_SOCIAL_YOUTUBE("met-social-youtube", '\ue02c'),
    MET_SOCIAL_ZERPLY("met-social-zerply", '\ue02b'),
    MET_SOS("met-sos", '\ue02a'),
    MET_SOUND_OFF("met-sound-off", '\ue029'),
    MET_SOUND_ON("met-sound-on", '\ue028'),
    MET_SPEED("met-speed", '\ue027'),
    MET_STAR("met-star", '\ue026'),
    MET_STOP("met-stop", '\ue025'),
    MET_SUN("met-sun", '\ue024'),
    MET_SUNSHINE("met-sunshine", '\ue023'),
    MET_TELEPHONE("met-telephone", '\ue022'),
    MET_TEXT_ALIGN_LEFT("met-text-align-left", '\ue021'),
    MET_TEXT_ALIGN_RIGHT("met-text-align-right", '\ue020'),
    MET_TEXT_BOLD("met-text-bold", '\ue01f'),
    MET_TEXT_CENTER("met-text-center", '\ue01e'),
    MET_TEXT_HEIGHT("met-text-height", '\ue01d'),
    MET_TEXT_JUSTIFY_CENTER("met-text-justify-center", '\ue01c'),
    MET_TEXT_JUSTIFY_LEFT("met-text-justify-left", '\ue01b'),
    MET_TEXT_JUSTIFY_RIGHT("met-text-justify-right", '\ue01a'),
    MET_TEXT_NORMAL("met-text-normal", '\ue019'),
    MET_TEXT_PARAGRAPH("met-text-paragraph", '\ue018'),
    MET_TEXT_SIZE_REDUCE("met-text-size-reduce", '\ue017'),
    MET_TEXT_SIZE_UPPER("met-text-size-upper", '\ue016'),
    MET_TEXT_WIDTH("met-text-width", '\ue015'),
    MET_THREE_POINTS("met-three-points", '\ue012'),
    MET_THREE_POINTS_BOTTOM("met-three-points-bottom", '\ue014'),
    MET_THREE_POINTS_TOP("met-three-points-top", '\ue013'),
    MET_TOP_BOTTOM("met-top-bottom", '\ue011'),
    MET_TRIPLE_POINTS("met-triple-points", '\ue010'),
    MET_UNDERLINE("met-underline", '\ue00f'),
    MET_UPLOAD("met-upload", '\ue00c'),
    MET_UPLOAD_SELECTION("met-upload-selection", '\ue00d'),
    MET_UPLOAD_SELECTION_CIRCLE("met-upload-selection-circle", '\ue00e'),
    MET_USER("met-user", '\ue008'),
    MET_USER_ADD("met-user-add", '\ue00b'),
    MET_USER_BAN("met-user-ban", '\ue00a'),
    MET_USER_REMOVE("met-user-remove", '\ue009'),
    MET_VIEWPORT("met-viewport", '\ue006'),
    MET_VIEWPORT_VIDEO("met-viewport-video", '\ue007'),
    MET_WAVES("met-waves", '\ue005'),
    MET_WIFI("met-wifi", '\ue004'),
    MET_WIND("met-wind", '\ue003'),
    MET_WIREFRAME_GLOBE("met-wireframe-globe", '\ue002'),
    MET_WORLD("met-world", '\ue001'),
    MET_YEN("met-yen", '\ue000');

    public static MetrizeIcons findByDescription(String description) {
        for (MetrizeIcons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    MetrizeIcons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}