/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2022 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.whhg;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum WhhgMZ implements Ikon {
    MACPRO("whhgmz-macpro", '\uf3a5'),
    MACRO_PLANT("whhgmz-macro-plant", '\uf1c6'),
    MAGAZINE("whhgmz-magazine", '\uf1ec'),
    MAGENTO("whhgmz-magento", '\uf06e'),
    MAGNET("whhgmz-magnet", '\uf281'),
    MAHARA("whhgmz-mahara", '\uf587'),
    MAILBOX("whhgmz-mailbox", '\uf044'),
    MAILINGLISTS("whhgmz-mailinglists", '\uf090'),
    MAMBO("whhgmz-mambo", '\uf494'),
    MANAGEDHOSTING("whhgmz-managedhosting", '\uf038'),
    MANALT("whhgmz-manalt", '\uf56d'),
    MANILLAENVELOPE("whhgmz-manillaenvelope", '\uf60c'),
    MANTISBUGTRACKER("whhgmz-mantisbugtracker", '\uf5a6'),
    MANUALSHIFT("whhgmz-manualshift", '\uf747'),
    MAN_MALE("whhgmz-man-male", '\uf2a1'),
    MAP("whhgmz-map", '\uf209'),
    MAP_MARKER("whhgmz-map-marker", '\uf220'),
    MARKER("whhgmz-marker", '\uf204'),
    MARKERDOWN("whhgmz-markerdown", '\uf4cb'),
    MARKERLEFT("whhgmz-markerleft", '\uf4cd'),
    MARKERRIGHT("whhgmz-markerright", '\uf4ce'),
    MARKERUP("whhgmz-markerup", '\uf4cc'),
    MARVIN("whhgmz-marvin", '\uf3dd'),
    MASTERCARD("whhgmz-mastercard", '\uf266'),
    MAXIMIZE("whhgmz-maximize", '\uf30f'),
    MAYANPYRAMID("whhgmz-mayanpyramid", '\uf75a'),
    MEDAL("whhgmz-medal", '\uf2e5'),
    MEDALBRONZE("whhgmz-medalbronze", '\uf2e8'),
    MEDALGOLD("whhgmz-medalgold", '\uf2e6'),
    MEDALSILVER("whhgmz-medalsilver", '\uf2e7'),
    MEDIAREPEAT("whhgmz-mediarepeat", '\uf187'),
    MEGA("whhgmz-mega", '\uf501'),
    MEN("whhgmz-men", '\uf24c'),
    MENU("whhgmz-menu", '\uf127'),
    MERGE("whhgmz-merge", '\uf334'),
    MERGECELLS("whhgmz-mergecells", '\uf327'),
    MERGESHAPES("whhgmz-mergeshapes", '\uf201'),
    MERGETHREE("whhgmz-mergethree", '\uf787'),
    METEOR("whhgmz-meteor", '\uf6e0'),
    METEORITE("whhgmz-meteorite", '\uf6ee'),
    METRONOME("whhgmz-metronome", '\uf374'),
    METRO_SUBWAY("whhgmz-metro-subway", '\uf24f'),
    MIBEW("whhgmz-mibew", '\uf5ae'),
    MICKEYMOUSE("whhgmz-mickeymouse", '\uf37a'),
    MICROPHONE("whhgmz-microphone", '\uf191'),
    MICROPHONEALT("whhgmz-microphonealt", '\uf4f6'),
    MICROPHONETHREE("whhgmz-microphonethree", '\uf54e'),
    MICROSCOPE("whhgmz-microscope", '\uf283'),
    MICROSD("whhgmz-microsd", '\uf107'),
    MICROSOFTOFFICE("whhgmz-microsoftoffice", '\uf548'),
    MICROWAVE("whhgmz-microwave", '\uf42e'),
    MIDDLEFINGER("whhgmz-middlefinger", '\uf6b2'),
    MILK("whhgmz-milk", '\uf5ef'),
    MIMETYPE("whhgmz-mimetype", '\uf057'),
    MINECRAFT("whhgmz-minecraft", '\uf724'),
    MINECRAFTALT("whhgmz-minecraftalt", '\uf725'),
    MINIANGRY("whhgmz-miniangry", '\uf7db'),
    MINIBB("whhgmz-minibb", '\uf58f'),
    MINICONFUSED("whhgmz-miniconfused", '\uf7e0'),
    MINIGRIN("whhgmz-minigrin", '\uf7da'),
    MINILAUGH("whhgmz-minilaugh", '\uf7d9'),
    MINIMIZE("whhgmz-minimize", '\uf30e'),
    MINISAD("whhgmz-minisad", '\uf7d8'),
    MINISMILE("whhgmz-minismile", '\uf7d7'),
    MINITONGUE("whhgmz-minitongue", '\uf7dc'),
    MINITONGUEALT("whhgmz-minitonguealt", '\uf7dd'),
    MINITONGUEWINK("whhgmz-minitonguewink", '\uf7df'),
    MINIWINK("whhgmz-miniwink", '\uf7de'),
    MINUS("whhgmz-minus", '\u2212'),
    MINUS_SIGN("whhgmz-minus-sign", '\uf477'),
    MIRROR("whhgmz-mirror", '\uf66d'),
    MISSEDCALL("whhgmz-missedcall", '\uf15c'),
    MISSEDCALLALT("whhgmz-missedcallalt", '\uf750'),
    MIUI("whhgmz-miui", '\uf63c'),
    MOBILE("whhgmz-mobile", '\uf0e8'),
    MODX("whhgmz-modx", '\uf48d'),
    MODXALT("whhgmz-modxalt", '\uf5de'),
    MOLECULE("whhgmz-molecule", '\uf556'),
    MOLESKINE("whhgmz-moleskine", '\uf1f0'),
    MONEYALT("whhgmz-moneyalt", '\uf4e7'),
    MONEYBAG("whhgmz-moneybag", '\uf271'),
    MONEY_CASH("whhgmz-money-cash", '\uf27b'),
    MONGODB("whhgmz-mongodb", '\uf5fe'),
    MONITOR("whhgmz-monitor", '\uf0d5'),
    MONSTERSINC("whhgmz-monstersinc", '\uf3bd'),
    MONSTRA("whhgmz-monstra", '\uf4ae'),
    MOONFIRSTQUARTER("whhgmz-moonfirstquarter", '\uf52d'),
    MOONFULL("whhgmz-moonfull", '\uf52f'),
    MOONNEW("whhgmz-moonnew", '\uf52b'),
    MOONORBIT("whhgmz-moonorbit", '\uf6a6'),
    MOONTHIRDQUARTER("whhgmz-moonthirdquarter", '\uf531'),
    MOONWANINGCRESCENT("whhgmz-moonwaningcrescent", '\uf532'),
    MOONWANINGGIBBOUS("whhgmz-moonwaninggibbous", '\uf530'),
    MOONWAXINGCRESCENT("whhgmz-moonwaxingcrescent", '\uf52c'),
    MOONWAXINGGIBBOUS("whhgmz-moonwaxinggibbous", '\uf52e'),
    MOON_NIGHT("whhgmz-moon-night", '\uf207'),
    MOOTOOLS("whhgmz-mootools", '\uf5f8'),
    MOOTOOLSTHREE("whhgmz-mootoolsthree", '\uf5fa'),
    MOOTOOLSTWO("whhgmz-mootoolstwo", '\uf5f9'),
    MOSQUE("whhgmz-mosque", '\uf537'),
    MOUNTAINS("whhgmz-mountains", '\uf545'),
    MOUSE("whhgmz-mouse", '\uf0d4'),
    MOUSEALT("whhgmz-mousealt", '\uf126'),
    MOUSTACHE("whhgmz-moustache", '\uf640'),
    MOVE("whhgmz-move", '\uf322'),
    MOVIECLAPPER("whhgmz-movieclapper", '\uf193'),
    MOVIEREEL("whhgmz-moviereel", '\uf17f'),
    MOVIEREELALT("whhgmz-moviereelalt", '\uf4bc'),
    MUFFIN("whhgmz-muffin", '\uf363'),
    MUG("whhgmz-mug", '\uf24e'),
    MUSHROOM("whhgmz-mushroom", '\uf35e'),
    MUSHROOMCLOUD("whhgmz-mushroomcloud", '\uf6e9'),
    MUSIC("whhgmz-music", '\uf181'),
    MUSICALT("whhgmz-musicalt", '\uf18d'),
    MUSICSHEET("whhgmz-musicsheet", '\uf51e'),
    MUSICTHREE("whhgmz-musicthree", '\uf49e'),
    MUTEALT("whhgmz-mutealt", '\uf0e5'),
    MUTEMIC("whhgmz-mutemic", '\uf789'),
    MXENTRY("whhgmz-mxentry", '\uf07a'),
    MYBB("whhgmz-mybb", '\uf065'),
    MYMUSIC("whhgmz-mymusic", '\uf64c'),
    MYPICTURES("whhgmz-mypictures", '\uf64b'),
    MYSPACE("whhgmz-myspace", '\uf153'),
    MYSQLALT("whhgmz-mysqlalt", '\uf5fc'),
    MYSQLTHREE("whhgmz-mysqlthree", '\uf5fb'),
    MYSQL_DOLPHIN("whhgmz-mysql-dolphin", '\uf076'),
    MYVIDEOS("whhgmz-myvideos", '\uf64d'),
    NAIL("whhgmz-nail", '\uf428'),
    NAVIGATION("whhgmz-navigation", '\uf23a'),
    NEOFOURJ("whhgmz-neofourj", '\uf5ff'),
    NETWORK("whhgmz-network", '\uf0a6'),
    NETWORKSIGNAL("whhgmz-networksignal", '\uf3a9'),
    NETWORKSIGNALALT("whhgmz-networksignalalt", '\uf4e4'),
    NEWS("whhgmz-news", '\uf256'),
    NEWTAB("whhgmz-newtab", '\uf16f'),
    NEWWINDOW("whhgmz-newwindow", '\uf16d'),
    NEXT("whhgmz-next", '\uf18a'),
    NEXUS("whhgmz-nexus", '\uf0e7'),
    NFC("whhgmz-nfc", '\uf524'),
    NINEGAG("whhgmz-ninegag", '\uf49c'),
    NINTENDODS("whhgmz-nintendods", '\uf404'),
    NOBORDERS("whhgmz-noborders", '\uf4da'),
    NODEJS("whhgmz-nodejs", '\uf084'),
    NOFLASH("whhgmz-noflash", '\uf61f'),
    NOSQL("whhgmz-nosql", '\uf600'),
    NOTEBOOK("whhgmz-notebook", '\uf765'),
    NOTES("whhgmz-notes", '\uf0d7'),
    NOTESDATE("whhgmz-notesdate", '\uf5c8'),
    NOTESDATEALT("whhgmz-notesdatealt", '\uf5cc'),
    NOTESLIST("whhgmz-noteslist", '\uf5c6'),
    NOTESLISTALT("whhgmz-noteslistalt", '\uf5ca'),
    NOTESLOCATION("whhgmz-noteslocation", '\uf5c9'),
    NOTESLOCATIONALT("whhgmz-noteslocationalt", '\uf5cd'),
    NOTESTASKS("whhgmz-notestasks", '\uf5c7'),
    NOTESTASKSALT("whhgmz-notestasksalt", '\uf5cb'),
    NOTIFICATION("whhgmz-notification", '\uf676'),
    NOTIFICATIONBOTTOM("whhgmz-notificationbottom", '\uf144'),
    NOTIFICATIONTOP("whhgmz-notificationtop", '\uf145'),
    NUCLEARPLANT("whhgmz-nuclearplant", '\uf6f5'),
    NUCLEUS("whhgmz-nucleus", '\uf4b3'),
    NUMBERLIST("whhgmz-numberlist", '\uf4c3'),
    NUT("whhgmz-nut", '\uf427'),
    OBSERVATORY("whhgmz-observatory", '\uf6e2'),
    OCTOLOADEREMPTY("whhgmz-octoloaderempty", '\uf7af'),
    OCTOLOADERFIVE("whhgmz-octoloaderfive", '\uf7b4'),
    OCTOLOADERFOUR("whhgmz-octoloaderfour", '\uf7b3'),
    OCTOLOADERFULL("whhgmz-octoloaderfull", '\uf7b7'),
    OCTOLOADERONE("whhgmz-octoloaderone", '\uf7b0'),
    OCTOLOADERSEVEN("whhgmz-octoloaderseven", '\uf7b6'),
    OCTOLOADERSIX("whhgmz-octoloadersix", '\uf7b5'),
    OCTOLOADERTHREE("whhgmz-octoloaderthree", '\uf7b2'),
    OCTOLOADERTWO("whhgmz-octoloadertwo", '\uf7b1'),
    OFF("whhgmz-off", '\uf11d'),
    OFFICECHAIR("whhgmz-officechair", '\uf26d'),
    OFFICE_BUILDING("whhgmz-office-building", '\uf245'),
    OK("whhgmz-ok", '\u2713'),
    OK_CIRCLE("whhgmz-ok-circle", '\uf471'),
    OK_SIGN("whhgmz-ok-sign", '\uf479'),
    ONEUP("whhgmz-oneup", '\uf3b7'),
    ONEUPALT("whhgmz-oneupalt", '\uf3b6'),
    ONION("whhgmz-onion", '\uf630'),
    OPENCART("whhgmz-opencart", '\uf060'),
    OPENCLASSIFIEDS("whhgmz-openclassifieds", '\uf596'),
    OPENFOLDERALT("whhgmz-openfolderalt", '\uf73e'),
    OPENID("whhgmz-openid", '\uf528'),
    OPENNEWWINDOW("whhgmz-opennewwindow", '\uf332'),
    OPENSHARE("whhgmz-openshare", '\uf7a6'),
    OPENSOURCE("whhgmz-opensource", '\uf585'),
    OPENX("whhgmz-openx", '\uf598'),
    ORANGE("whhgmz-orange", '\uf29e'),
    ORANGEHRM("whhgmz-orangehrm", '\uf5ac'),
    ORIGAMI("whhgmz-origami", '\uf583'),
    OSCLASS("whhgmz-osclass", '\uf597'),
    OSCOMMERCE("whhgmz-oscommerce", '\uf5a7'),
    OUTBOX("whhgmz-outbox", '\uf179'),
    OUTERBORDERS("whhgmz-outerborders", '\uf4e1'),
    OUTGOINGCALL("whhgmz-outgoingcall", '\uf15e'),
    OUTGOINGCALLALT("whhgmz-outgoingcallalt", '\uf74e'),
    OXWALL("whhgmz-oxwall", '\uf06d'),
    PACIFIER("whhgmz-pacifier", '\uf570'),
    PACKARCHIVE("whhgmz-packarchive", '\uf5c1'),
    PACMAN("whhgmz-pacman", '\uf2db'),
    PAGEBACK("whhgmz-pageback", '\uf31e'),
    PAGEBREAK("whhgmz-pagebreak", '\uf1cc'),
    PAGECOOKERY("whhgmz-pagecookery", '\uf4bb'),
    PAGEFORWARD("whhgmz-pageforward", '\uf31f'),
    PAGESETUP("whhgmz-pagesetup", '\uf331'),
    PAINTBRUSH("whhgmz-paintbrush", '\uf1e8'),
    PAINTROLL("whhgmz-paintroll", '\uf1fa'),
    PAINTROLLALT("whhgmz-paintrollalt", '\uf5d3'),
    PALETTE_PAINTING("whhgmz-palette-painting", '\uf1b9'),
    PANDA("whhgmz-panda", '\uf66b'),
    PANORAMA("whhgmz-panorama", '\uf618'),
    PANORAMAALT("whhgmz-panoramaalt", '\uf61a'),
    PANORAMIO("whhgmz-panoramio", '\uf617'),
    PANTIES("whhgmz-panties", '\uf754'),
    PAPERBOAT("whhgmz-paperboat", '\uf511'),
    PAPERCLIP("whhgmz-paperclip", '\uf284'),
    PAPERCLIPALT("whhgmz-paperclipalt", '\uf285'),
    PAPERCLIPVERTICAL("whhgmz-paperclipvertical", '\uf286'),
    PAPERCUTTER("whhgmz-papercutter", '\uf657'),
    PAPERPLANE("whhgmz-paperplane", '\uf296'),
    PARENTHESES("whhgmz-parentheses", '\uf3c4'),
    PARKEDDOMAIN("whhgmz-parkeddomain", '\uf055'),
    PARKINGMETER("whhgmz-parkingmeter", '\uf5bf'),
    PARTHENON("whhgmz-parthenon", '\uf749'),
    PASSWORD("whhgmz-password", '\uf03e'),
    PASSWORDALT("whhgmz-passwordalt", '\uf03f'),
    PASTA("whhgmz-pasta", '\uf408'),
    PASTEALT("whhgmz-pastealt", '\uf740'),
    PATCH("whhgmz-patch", '\uf2a3'),
    PATH("whhgmz-path", '\uf169'),
    PATTERN("whhgmz-pattern", '\uf57d'),
    PAUSE("whhgmz-pause", '\uf186'),
    PAWN("whhgmz-pawn", '\uf2f8'),
    PAW_PET("whhgmz-paw-pet", '\uf29d'),
    PAYPAL("whhgmz-paypal", '\uf267'),
    PEACE("whhgmz-peace", '\uf2a7'),
    PEAR("whhgmz-pear", '\uf62e'),
    PEBBLE("whhgmz-pebble", '\uf49d'),
    PEN("whhgmz-pen", '\uf1ee'),
    PENCIL("whhgmz-pencil", '\uf1b7'),
    PEPPERONI("whhgmz-pepperoni", '\uf364'),
    PERCENT("whhgmz-percent", '\u0025'),
    PERFUME("whhgmz-perfume", '\uf634'),
    PERLALT("whhgmz-perlalt", '\uf0b7'),
    PERL_CAMEL("whhgmz-perl-camel", '\uf0b6'),
    PGSQL("whhgmz-pgsql", '\uf5fd'),
    PHONEALT("whhgmz-phonealt", '\uf15b'),
    PHONEBOOK("whhgmz-phonebook", '\uf149'),
    PHONEBOOKALT("whhgmz-phonebookalt", '\uf135'),
    PHONEMIC("whhgmz-phonemic", '\uf391'),
    PHONEOLD("whhgmz-phoneold", '\uf148'),
    PHONESCREENSIZE("whhgmz-phonescreensize", '\uf674'),
    PHONE_CALL("whhgmz-phone-call", '\uf14f'),
    PHORUM("whhgmz-phorum", '\uf58d'),
    PHOTOBUCKET("whhgmz-photobucket", '\uf4be'),
    PHOTONINEFRAMES("whhgmz-photonineframes", '\uf7c1'),
    PHOTOSHOP("whhgmz-photoshop", '\uf1cd'),
    PHOTOSPHERE("whhgmz-photosphere", '\uf619'),
    PHP("whhgmz-php", '\uf09c'),
    PHPBB("whhgmz-phpbb", '\uf063'),
    PHPBBALT("whhgmz-phpbbalt", '\uf4b8'),
    PHPLIST("whhgmz-phplist", '\uf599'),
    PHPMYFAQ("whhgmz-phpmyfaq", '\uf5af'),
    PHPNUKE("whhgmz-phpnuke", '\uf48c'),
    PHPPEAR("whhgmz-phppear", '\uf09b'),
    PIANO("whhgmz-piano", '\uf19e'),
    PICASA("whhgmz-picasa", '\uf79a'),
    PICKAXE("whhgmz-pickaxe", '\uf6fb'),
    PICTURE("whhgmz-picture", '\u22b7'),
    PICTUREFRAME("whhgmz-pictureframe", '\uf41e'),
    PIGGYBANK("whhgmz-piggybank", '\uf257'),
    PIGPENA("whhgmz-pigpena", '\uf456'),
    PIGPENB("whhgmz-pigpenb", '\uf457'),
    PIGPENC("whhgmz-pigpenc", '\uf458'),
    PIGPEND("whhgmz-pigpend", '\uf459'),
    PIGPENE("whhgmz-pigpene", '\uf45a'),
    PIGPENF("whhgmz-pigpenf", '\uf45b'),
    PIGPENG("whhgmz-pigpeng", '\uf45c'),
    PIGPENH("whhgmz-pigpenh", '\uf45d'),
    PIGPENI("whhgmz-pigpeni", '\uf45e'),
    PIGPENJ("whhgmz-pigpenj", '\uf45f'),
    PIGPENK("whhgmz-pigpenk", '\uf460'),
    PIGPENL("whhgmz-pigpenl", '\uf461'),
    PIGPENM("whhgmz-pigpenm", '\uf462'),
    PIGPENN("whhgmz-pigpenn", '\uf463'),
    PIGPENO("whhgmz-pigpeno", '\uf464'),
    PIGPENP("whhgmz-pigpenp", '\uf465'),
    PIGPENQ("whhgmz-pigpenq", '\uf466'),
    PIGPENR("whhgmz-pigpenr", '\uf467'),
    PIGPENS("whhgmz-pigpens", '\uf468'),
    PIGPENT("whhgmz-pigpent", '\uf469'),
    PIGPENU("whhgmz-pigpenu", '\uf46a'),
    PIGPENV("whhgmz-pigpenv", '\uf46b'),
    PIGPENW("whhgmz-pigpenw", '\uf46c'),
    PIGPENX("whhgmz-pigpenx", '\uf46d'),
    PIGPENY("whhgmz-pigpeny", '\uf46e'),
    PIGPENZ("whhgmz-pigpenz", '\uf46f'),
    PILCROW("whhgmz-pilcrow", '\u00b6'),
    PILL_ANTIVIRUSALT("whhgmz-pill-antivirusalt", '\uf0aa'),
    PIMCORE("whhgmz-pimcore", '\uf589'),
    PIN("whhgmz-pin", '\uf20a'),
    PINTEREST("whhgmz-pinterest", '\uf678'),
    PIPE("whhgmz-pipe", '\u01c0'),
    PIVOTX("whhgmz-pivotx", '\uf4ba'),
    PIWIGO("whhgmz-piwigo", '\uf0ad'),
    PIXELARROW("whhgmz-pixelarrow", '\uf72d'),
    PIXELAXE("whhgmz-pixelaxe", '\uf72e'),
    PIXELBASTARDSWORD("whhgmz-pixelbastardsword", '\uf730'),
    PIXELBATTLEAXE("whhgmz-pixelbattleaxe", '\uf732'),
    PIXELBOW("whhgmz-pixelbow", '\uf72c'),
    PIXELBROADSWORD("whhgmz-pixelbroadsword", '\uf727'),
    PIXELCHEST("whhgmz-pixelchest", '\uf736'),
    PIXELDAGGER("whhgmz-pixeldagger", '\uf72f'),
    PIXELELIXIR("whhgmz-pixelelixir", '\uf735'),
    PIXELHEART("whhgmz-pixelheart", '\uf738'),
    PIXELLANCE("whhgmz-pixellance", '\uf731'),
    PIXELPICKAXE("whhgmz-pixelpickaxe", '\uf72b'),
    PIXELPOTION("whhgmz-pixelpotion", '\uf729'),
    PIXELPOTIONALT("whhgmz-pixelpotionalt", '\uf72a'),
    PIXELSHIELD("whhgmz-pixelshield", '\uf737'),
    PIXELSHOVEL("whhgmz-pixelshovel", '\uf733'),
    PIXELSPHERE("whhgmz-pixelsphere", '\uf734'),
    PIXELSWORD("whhgmz-pixelsword", '\uf726'),
    PIXELWAND("whhgmz-pixelwand", '\uf728'),
    PIXIE("whhgmz-pixie", '\uf4a9'),
    PIZZA("whhgmz-pizza", '\uf35c'),
    PLACEADD("whhgmz-placeadd", '\uf221'),
    PLACEALT("whhgmz-placealt", '\uf224'),
    PLACEALTADD("whhgmz-placealtadd", '\uf225'),
    PLACEALTDELETE("whhgmz-placealtdelete", '\uf226'),
    PLACEDELETE("whhgmz-placedelete", '\uf222'),
    PLACEIOS("whhgmz-placeios", '\uf20c'),
    PLANE("whhgmz-plane", '\uf23e'),
    PLANEALT("whhgmz-planealt", '\uf50d'),
    PLANET("whhgmz-planet", '\uf533'),
    PLANTALT("whhgmz-plantalt", '\uf510'),
    PLAQUE("whhgmz-plaque", '\uf2b8'),
    PLAY("whhgmz-play", '\uf184'),
    PLAYSTATION("whhgmz-playstation", '\uf4e9'),
    PLAYSTORE("whhgmz-playstore", '\uf255'),
    PLAYVIDEO("whhgmz-playvideo", '\uf03d'),
    PLAY_CIRCLE("whhgmz-play-circle", '\uf17e'),
    PLIGG("whhgmz-pligg", '\uf492'),
    PLOGGER("whhgmz-plogger", '\uf592'),
    PLUG("whhgmz-plug", '\uf0ea'),
    PLUGINALT("whhgmz-pluginalt", '\uf098'),
    PLUS("whhgmz-plus", '\u002b'),
    PLUSCIRCLES("whhgmz-pluscircles", '\uf638'),
    PLUSGAMES("whhgmz-plusgames", '\uf63a'),
    PLUSPAGES("whhgmz-pluspages", '\uf636'),
    PLUS_SIGN("whhgmz-plus-sign", '\uf476'),
    POCKET("whhgmz-pocket", '\uf16b'),
    PODCAST("whhgmz-podcast", '\uf1a2'),
    PODIUM("whhgmz-podium", '\uf54c'),
    PODIUM_WINNER("whhgmz-podium-winner", '\uf2d6'),
    POKEMON("whhgmz-pokemon", '\uf354'),
    POLAROID("whhgmz-polaroid", '\uf602'),
    POLICE("whhgmz-police", '\uf2aa'),
    POLYGONLASSO("whhgmz-polygonlasso", '\uf397'),
    POMMO("whhgmz-pommo", '\uf59b'),
    POOP("whhgmz-poop", '\uf629'),
    POOPALT("whhgmz-poopalt", '\uf62a'),
    POPCORN("whhgmz-popcorn", '\uf503'),
    PORTRAIT("whhgmz-portrait", '\uf580'),
    POST("whhgmz-post", '\uf12e'),
    POSTALT("whhgmz-postalt", '\uf130'),
    POUND("whhgmz-pound", '\uf25b'),
    POUNDALT("whhgmz-poundalt", '\uf25c'),
    POUNDSQUARE("whhgmz-poundsquare", '\uf5e3'),
    POWERJACK("whhgmz-powerjack", '\uf0fd'),
    POWERPLUG("whhgmz-powerplug", '\uf0ed'),
    POWERPLUGEU("whhgmz-powerplugeu", '\uf28b'),
    POWERPLUGUS("whhgmz-powerplugus", '\uf28c'),
    PRECISECURSOR("whhgmz-precisecursor", '\uf5d6'),
    PRESENTATION("whhgmz-presentation", '\uf0c4'),
    PRESTASHOP("whhgmz-prestashop", '\uf061'),
    PRETZEL("whhgmz-pretzel", '\uf3cf'),
    PREVIEW("whhgmz-preview", '\uf330'),
    PREVIOUS("whhgmz-previous", '\uf18b'),
    PRINT("whhgmz-print", '\uf125'),
    PROCESSORTHREE("whhgmz-processorthree", '\uf4f2'),
    PROGRAMCLOSE("whhgmz-programclose", '\uf4a2'),
    PROGRAMOK("whhgmz-programok", '\uf4a3'),
    PROJECTCOMPARE("whhgmz-projectcompare", '\uf763'),
    PROJECTFORK("whhgmz-projectfork", '\uf761'),
    PROJECTFORKDELETE("whhgmz-projectforkdelete", '\uf7bb'),
    PROJECTFORKPRIVATE("whhgmz-projectforkprivate", '\uf7bc'),
    PROJECTMERGE("whhgmz-projectmerge", '\uf762'),
    PROJECTOR("whhgmz-projector", '\uf605'),
    PROJECTPIER("whhgmz-projectpier", '\uf5a2'),
    PROJECTSEND("whhgmz-projectsend", '\uf5b7'),
    PROTECTEDDIRECTORY("whhgmz-protecteddirectory", '\uf04d'),
    PSCIRCLE("whhgmz-pscircle", '\uf2bb'),
    PSCURSOR("whhgmz-pscursor", '\uf2c3'),
    PSDOWN("whhgmz-psdown", '\uf2c6'),
    PSLEFT("whhgmz-psleft", '\uf2c7'),
    PSLONE("whhgmz-pslone", '\uf2cc'),
    PSLTWO("whhgmz-psltwo", '\uf2cd'),
    PSRIGHT("whhgmz-psright", '\uf2c5'),
    PSRONE("whhgmz-psrone", '\uf2ce'),
    PSRTWO("whhgmz-psrtwo", '\uf2cf'),
    PSSQUARE("whhgmz-pssquare", '\uf2bc'),
    PSTRIANGLE("whhgmz-pstriangle", '\uf2bd'),
    PSUP("whhgmz-psup", '\uf2c4'),
    PSX("whhgmz-psx", '\uf2be'),
    PULL("whhgmz-pull", '\uf089'),
    PULLALT("whhgmz-pullalt", '\uf7c0'),
    PULLREQUEST("whhgmz-pullrequest", '\uf7ba'),
    PUMPJACK("whhgmz-pumpjack", '\uf6f4'),
    PUNBB("whhgmz-punbb", '\uf58c'),
    PUNISHER("whhgmz-punisher", '\uf343'),
    PURSE("whhgmz-purse", '\uf54a'),
    PUSH("whhgmz-push", '\uf088'),
    PUSHALT("whhgmz-pushalt", '\uf7bf'),
    PUSHBULLET("whhgmz-pushbullet", '\uf75d'),
    PUZZLE_PLUGIN("whhgmz-puzzle-plugin", '\uf0a0'),
    PYROCMS("whhgmz-pyrocms", '\uf493'),
    PYTHON("whhgmz-python", '\uf071'),
    QRCODE("whhgmz-qrcode", '\uf275'),
    QUAKE("whhgmz-quake", '\uf355'),
    QUEEN("whhgmz-queen", '\uf2fd'),
    QUERY("whhgmz-query", '\uf08a'),
    QUESTION_SIGN("whhgmz-question-sign", '\uf0a3'),
    QUORA("whhgmz-quora", '\uf797'),
    QUOTE("whhgmz-quote", '\uf12f'),
    QUOTEDOWN("whhgmz-quotedown", '\uf329'),
    QUOTEUP("whhgmz-quoteup", '\uf328'),
    RABBIT("whhgmz-rabbit", '\uf624'),
    RACEFLAG("whhgmz-raceflag", '\uf38e'),
    RACQUET("whhgmz-racquet", '\uf2f2'),
    RADAR("whhgmz-radar", '\uf57a'),
    RADIO("whhgmz-radio", '\uf1a1'),
    RADIOACTIVE("whhgmz-radioactive", '\uf282'),
    RADIOBUTTON("whhgmz-radiobutton", '\uf312'),
    RAILROAD("whhgmz-railroad", '\uf248'),
    RAILTUNNEL("whhgmz-railtunnel", '\uf6f9'),
    RAIN("whhgmz-rain", '\uf22f'),
    RAM("whhgmz-ram", '\uf02c'),
    RANDOM("whhgmz-random", '\uf188'),
    RAPHAEL("whhgmz-raphael", '\uf5b9'),
    RAR("whhgmz-rar", '\uf117'),
    RASPBERRY("whhgmz-raspberry", '\uf368'),
    RASPBERRYPI("whhgmz-raspberrypi", '\uf369'),
    RAWACCESSLOGS("whhgmz-rawaccesslogs", '\uf0c1'),
    RAZOR("whhgmz-razor", '\uf416'),
    RDIO("whhgmz-rdio", '\uf51f'),
    READEMAIL("whhgmz-reademail", '\uf173'),
    READEMAILALT("whhgmz-reademailalt", '\uf498'),
    RECORD("whhgmz-record", '\uf189'),
    RECTANGLE("whhgmz-rectangle", '\u25ad'),
    RECYCLE("whhgmz-recycle", '\uf297'),
    REDAXSCRIPT("whhgmz-redaxscript", '\uf586'),
    REDDIT("whhgmz-reddit", '\uf154'),
    REDIRECT("whhgmz-redirect", '\uf054'),
    REFRESH("whhgmz-refresh", '\uf078'),
    REFRESHALT("whhgmz-refreshalt", '\uf66c'),
    RELIABILITY("whhgmz-reliability", '\uf016'),
    REMOTE("whhgmz-remote", '\uf298'),
    REMOVE("whhgmz-remove", '\u00d7'),
    REMOVEFOLDERALT("whhgmz-removefolderalt", '\uf73b'),
    REMOVEFRIEND("whhgmz-removefriend", '\uf3db'),
    REMOVETAGS("whhgmz-removetags", '\uf556'),
    REMOVEUSERALT("whhgmz-removeuseralt", '\uf5d0'),
    REMOVE_CIRCLE("whhgmz-remove-circle", '\uf470'),
    REMOVE_SIGN("whhgmz-remove-sign", '\uf478'),
    REPEAT("whhgmz-repeat", '\uf32b'),
    REPEATONE("whhgmz-repeatone", '\uf196'),
    REPORT("whhgmz-report", '\uf651'),
    RESELLERHOSTING("whhgmz-resellerhosting", '\uf03a'),
    RESIDENTEVIL("whhgmz-residentevil", '\uf350'),
    RESISTOR("whhgmz-resistor", '\uf3eb'),
    RESIZE("whhgmz-resize", '\uf1ed'),
    RESIZEDOWNLEFT("whhgmz-resizedownleft", '\uf648'),
    RESIZEDOWNRIGHT("whhgmz-resizedownright", '\uf647'),
    RESIZEHORIZONTALALT("whhgmz-resizehorizontalalt", '\uf4e6'),
    RESIZEUPLEFT("whhgmz-resizeupleft", '\uf645'),
    RESIZEUPRIGHT("whhgmz-resizeupright", '\uf646'),
    RESIZEVERTICALALT("whhgmz-resizeverticalalt", '\uf4e5'),
    RESIZE_FULL("whhgmz-resize-full", '\uf325'),
    RESIZE_HORIZONTAL("whhgmz-resize-horizontal", '\uf318'),
    RESIZE_SMALL("whhgmz-resize-small", '\uf326'),
    RESIZE_VERTICAL("whhgmz-resize-vertical", '\uf319'),
    RESTART("whhgmz-restart", '\uf11f'),
    RESTAURANTMENU("whhgmz-restaurantmenu", '\uf362'),
    RESTORE("whhgmz-restore", '\uf30d'),
    RESTRICTED("whhgmz-restricted", '\uf0ab'),
    RETWEET("whhgmz-retweet", '\uf486'),
    // RETWEET_ALT("whhgmz-retweet-alt", '\uf52a'),
    RIGHTBORDER("whhgmz-rightborder", '\uf4de'),
    RIM("whhgmz-rim", '\uf36f'),
    RING("whhgmz-ring", '\u02da'),
    ROAD("whhgmz-road", '\uf249'),
    ROADSIGNLEFT("whhgmz-roadsignleft", '\uf240'),
    ROADSIGN_ROADSIGNRIGHT("whhgmz-roadsign-roadsignright", '\uf21b'),
    ROADTUNNEL("whhgmz-roadtunnel", '\uf6fa'),
    ROBOCOP("whhgmz-robocop", '\uf357'),
    ROCKET_LAUNCH("whhgmz-rocket-launch", '\uf29c'),
    ROOK("whhgmz-rook", '\uf2fa'),
    ROOT("whhgmz-root", '\uf33c'),
    RORSCHACH("whhgmz-rorschach", '\uf358'),
    ROTATECLOCKWISE("whhgmz-rotateclockwise", '\uf202'),
    ROTATECOUNTERCLOCKWISE("whhgmz-rotatecounterclockwise", '\uf203'),
    ROUBLE("whhgmz-rouble", '\uf4ca'),
    ROUBLEALT("whhgmz-roublealt", '\uf5e8'),
    ROUBLESQUARE("whhgmz-roublesquare", '\uf5e7'),
    ROUNDCUBE("whhgmz-roundcube", '\uf59a'),
    ROUNDRECTANGLE("whhgmz-roundrectangle", '\uf1bd'),
    ROUTE("whhgmz-route", '\uf402'),
    ROUTER("whhgmz-router", '\uf0e9'),
    ROUTERALT("whhgmz-routeralt", '\uf4f7'),
    RSS("whhgmz-rss", '\uf17b'),
    RUBBERSTAMP("whhgmz-rubberstamp", '\uf274'),
    RUBY("whhgmz-ruby", '\uf067'),
    RUBYALT("whhgmz-rubyalt", '\uf769'),
    RUDDER("whhgmz-rudder", '\uf739'),
    RULER("whhgmz-ruler", '\uf1ef'),
    SAD("whhgmz-sad", '\uf13d'),
    SAFETYGOGGLES("whhgmz-safetygoggles", '\uf557'),
    SAFETYPIN("whhgmz-safetypin", '\uf417'),
    SALE("whhgmz-sale", '\uf4c8'),
    SALEALT("whhgmz-salealt", '\uf549'),
    SATELLITE("whhgmz-satellite", '\uf38a'),
    SATELLITEDISH_REMOTEMYSQL("whhgmz-satellitedish-remotemysql", '\uf0c0'),
    SAURUS("whhgmz-saurus", '\uf4ac'),
    SAVETODRIVE("whhgmz-savetodrive", '\uf7e3'),
    SAVE_FLOPPY("whhgmz-save-floppy", '\uf0c8'),
    SCALES("whhgmz-scales", '\uf3fd'),
    SCIENCE_ATOM("whhgmz-science-atom", '\uf2b0'),
    SCISSORSALT("whhgmz-scissorsalt", '\uf5bc'),
    SCOPEALT("whhgmz-scopealt", '\uf237'),
    SCOPE_SCAN("whhgmz-scope-scan", '\uf212'),
    SCREENSHOT("whhgmz-screenshot", '\uf109'),
    SCREW("whhgmz-screw", '\uf426'),
    SCREWDRIVER("whhgmz-screwdriver", '\uf292'),
    SCREWDRIVERALT("whhgmz-screwdriveralt", '\uf293'),
    SCRIPT("whhgmz-script", '\uf08d'),
    SCRIPTALT("whhgmz-scriptalt", '\uf785'),
    SD("whhgmz-sd", '\uf106'),
    SDVIDEO("whhgmz-sdvideo", '\uf606'),
    SEARCH("whhgmz-search", '\uf0c5'),
    SEARCHDOCUMENT("whhgmz-searchdocument", '\uf419'),
    SEARCHFOLDER("whhgmz-searchfolder", '\uf41a'),
    SECURITYALT_SHIELDALT("whhgmz-securityalt-shieldalt", '\uf02e'),
    SECURITY_SHIELD("whhgmz-security-shield", '\uf02d'),
    SELECTIONADD("whhgmz-selectionadd", '\uf1b2'),
    SELECTIONINTERSECT("whhgmz-selectionintersect", '\uf1b4'),
    SELECTIONREMOVE("whhgmz-selectionremove", '\uf1b3'),
    SELECTIONSYMBOL("whhgmz-selectionsymbol", '\uf7b8'),
    SELECTION_RECTANGLESELECTION("whhgmz-selection-rectangleselection", '\uf1b0'),
    SENDBACKWARD("whhgmz-sendbackward", '\uf680'),
    SENDTOBACK("whhgmz-sendtoback", '\uf682'),
    SEO("whhgmz-seo", '\uf030'),
    SERVER("whhgmz-server", '\uf026'),
    SERVERS("whhgmz-servers", '\uf027'),
    SETTINGSANDROID("whhgmz-settingsandroid", '\uf309'),
    SETTINGSFOUR_GEARSALT("whhgmz-settingsfour-gearsalt", '\uf306'),
    SETTINGSTHREE_GEARS("whhgmz-settingsthree-gears", '\uf307'),
    SETTINGSTWO_GEARALT("whhgmz-settingstwo-gearalt", '\uf308'),
    SEXTANT("whhgmz-sextant", '\uf6ec'),
    SHADES_SUNGLASSES("whhgmz-shades-sunglasses", '\uf294'),
    SHAPES("whhgmz-shapes", '\uf1dd'),
    SHARE("whhgmz-share", '\uf47d'),
    SHAREALT("whhgmz-sharealt", '\uf147'),
    SHAREDFILE("whhgmz-sharedfile", '\uf0ef'),
    SHAREDHOSTING("whhgmz-sharedhosting", '\uf037'),
    SHARETHREE("whhgmz-sharethree", '\uf414'),
    SHARETRONIX("whhgmz-sharetronix", '\uf4c9'),
    SHARETWO("whhgmz-sharetwo", '\uf147'),
    SHARE_ALT("whhgmz-share-alt", '\uf16c'),
    SHEEP("whhgmz-sheep", '\uf6fd'),
    SHELL("whhgmz-shell", '\uf4f8'),
    SHERIFF("whhgmz-sheriff", '\uf2a9'),
    SHIPPING("whhgmz-shipping", '\uf23f'),
    SHIRTBUTTON("whhgmz-shirtbutton", '\uf508'),
    SHIRTBUTTONALT("whhgmz-shirtbuttonalt", '\uf509'),
    SHIRTBUTTONTHREE("whhgmz-shirtbuttonthree", '\uf7a5'),
    SHOEBOX("whhgmz-shoebox", '\uf49a'),
    SHOPPING("whhgmz-shopping", '\uf010'),
    SHOPPINGBAG("whhgmz-shoppingbag", '\uf273'),
    SHOPPINGCARTALT("whhgmz-shoppingcartalt", '\uf4f5'),
    SHOPPING_CART("whhgmz-shopping-cart", '\uf035'),
    SHORTCUT("whhgmz-shortcut", '\uf043'),
    SHOVEL("whhgmz-shovel", '\uf290'),
    SHREDDER("whhgmz-shredder", '\uf27c'),
    SHUTDOWN("whhgmz-shutdown", '\uf11e'),
    SHUTTLE("whhgmz-shuttle", '\uf6df'),
    SIDEBAR("whhgmz-sidebar", '\uf124'),
    SIDU("whhgmz-sidu", '\uf5b5'),
    SIGNAL("whhgmz-signal", '\uf100'),
    SILVERSTRIPE("whhgmz-silverstripe", '\uf4b1'),
    SIM("whhgmz-sim", '\uf0e1'),
    SIMALT("whhgmz-simalt", '\uf121'),
    SIMCARDTHREE("whhgmz-simcardthree", '\uf748'),
    SIMPLEPIE("whhgmz-simplepie", '\uf5b6'),
    SIXTEENTONINE("whhgmz-sixteentonine", '\uf621'),
    SIZZLE("whhgmz-sizzle", '\uf5ba'),
    SKITCH("whhgmz-skitch", '\uf65c'),
    SKRILL("whhgmz-skrill", '\uf268'),
    SKULL("whhgmz-skull", '\uf38d'),
    SKYPE("whhgmz-skype", '\uf141'),
    SKYPEAWAY("whhgmz-skypeaway", '\uf39f'),
    SKYPEBUSY("whhgmz-skypebusy", '\uf3a0'),
    SKYPEOFFLINE("whhgmz-skypeoffline", '\uf3a1'),
    SKYPEONLINE("whhgmz-skypeonline", '\uf39e'),
    SLEEP("whhgmz-sleep", '\uf642'),
    SLIDERONEFULL("whhgmz-slideronefull", '\uf4d7'),
    SLIDERSASC("whhgmz-slidersasc", '\uf4d6'),
    SLIDERSDESC("whhgmz-slidersdesc", '\uf4d5'),
    SLIDERSFULL("whhgmz-slidersfull", '\uf4d4'),
    SLIDERSMIDDLE("whhgmz-slidersmiddle", '\uf4d3'),
    SLIDERSOFF("whhgmz-slidersoff", '\uf4d2'),
    SLIDERTHREEFULL("whhgmz-sliderthreefull", '\uf4d9'),
    SLIDERTWOFULL("whhgmz-slidertwofull", '\uf4d8'),
    SMALLER("whhgmz-smaller", '\uf30b'),
    SMARTY("whhgmz-smarty", '\uf5b4'),
    SMF("whhgmz-smf", '\uf062'),
    SMILE("whhgmz-smile", '\u263a'),
    SNAPTODOT("whhgmz-snaptodot", '\uf658'),
    SNAPTOGRID("whhgmz-snaptogrid", '\uf659'),
    SNEWS("whhgmz-snews", '\uf4af'),
    SNOOZE("whhgmz-snooze", '\uf67e'),
    SNOW("whhgmz-snow", '\uf22e'),
    SNOWMAN("whhgmz-snowman", '\uf37c'),
    SOCIALNETWORK("whhgmz-socialnetwork", '\uf03b'),
    SODACUP("whhgmz-sodacup", '\uf534'),
    SOFTWARE("whhgmz-software", '\uf09a'),
    SOLARPANEL("whhgmz-solarpanel", '\uf6f6'),
    SOLARSYSTEM("whhgmz-solarsystem", '\uf4a5'),
    SORTBYNAMEASCENDING_ATOZ("whhgmz-sortbynameascending-atoz", '\uf1c2'),
    SORTBYNAMEDESCENDING_ZTOA("whhgmz-sortbynamedescending-ztoa", '\uf1c1'),
    SORTBYSIZEASCENDING("whhgmz-sortbysizeascending", '\uf1c3'),
    SORTBYSIZEDESCENDING("whhgmz-sortbysizedescending", '\uf1c4'),
    SOUNDCLOUD("whhgmz-soundcloud", '\uf679'),
    SOUNDLEFT("whhgmz-soundleft", '\uf7e2'),
    SOUNDRIGHT("whhgmz-soundright", '\uf7e1'),
    SOUNDWAVE("whhgmz-soundwave", '\uf194'),
    SOUP("whhgmz-soup", '\uf3d1'),
    SPACEINVADERS("whhgmz-spaceinvaders", '\uf352'),
    SPADES("whhgmz-spades", '\uf2f5'),
    SPAM("whhgmz-spam", '\uf047'),
    SPAMALT("whhgmz-spamalt", '\uf048'),
    SPAWN("whhgmz-spawn", '\uf344'),
    SPEAKER("whhgmz-speaker", '\uf372'),
    SPEAKERALT("whhgmz-speakeralt", '\uf609'),
    SPEED("whhgmz-speed", '\uf40b'),
    SPEEDALT("whhgmz-speedalt", '\uf784'),
    SPHERE("whhgmz-sphere", '\uf4eb'),
    SPIDER("whhgmz-spider", '\uf346'),
    SPIDERMAN("whhgmz-spiderman", '\uf347'),
    SPIDERWEB("whhgmz-spiderweb", '\uf53e'),
    SPLIT("whhgmz-split", '\uf335'),
    SPLITALT("whhgmz-splitalt", '\uf4a4'),
    SPLITTHREE("whhgmz-splitthree", '\uf786'),
    SPOCK("whhgmz-spock", '\uf6ed'),
    SPOON("whhgmz-spoon", '\uf213'),
    SPOTIFY("whhgmz-spotify", '\uf520'),
    SPRAY("whhgmz-spray", '\uf1c7'),
    SPREADSHEET("whhgmz-spreadsheet", '\uf0c3'),
    SPUTNIK("whhgmz-sputnik", '\uf6eb'),
    SQUARE0("whhgmz-square0", '\uf6bb'),
    SQUARE1("whhgmz-square1", '\uf6bc'),
    SQUARE2("whhgmz-square2", '\uf6bd'),
    SQUARE3("whhgmz-square3", '\uf6be'),
    SQUARE4("whhgmz-square4", '\uf6bf'),
    SQUARE5("whhgmz-square5", '\uf6c0'),
    SQUARE6("whhgmz-square6", '\uf6c1'),
    SQUARE7("whhgmz-square7", '\uf6c2'),
    SQUARE8("whhgmz-square8", '\uf6c3'),
    SQUARE9("whhgmz-square9", '\uf6c4'),
    SQUAREA("whhgmz-squarea", '\uf6c5'),
    SQUAREAPP("whhgmz-squareapp", '\uf26f'),
    SQUAREB("whhgmz-squareb", '\uf6c6'),
    SQUAREBACK("whhgmz-squareback", '\uf4fe'),
    SQUAREBOOKMARK("whhgmz-squarebookmark", '\uf699'),
    SQUAREBRACKETS("whhgmz-squarebrackets", '\uf0b3'),
    SQUAREC("whhgmz-squarec", '\uf6c7'),
    SQUARECOMMENT("whhgmz-squarecomment", '\uf697'),
    SQUARED("whhgmz-squared", '\uf6c8'),
    SQUAREDRIBBBLE("whhgmz-squaredribbble", '\uf7e8'),
    SQUAREE("whhgmz-squaree", '\uf6c9'),
    SQUAREF("whhgmz-squaref", '\uf6ca'),
    SQUAREFORWARD("whhgmz-squareforward", '\uf4fd'),
    SQUAREG("whhgmz-squareg", '\uf6cb'),
    SQUAREGITHUB("whhgmz-squaregithub", '\uf760'),
    SQUAREH("whhgmz-squareh", '\uf6cc'),
    SQUAREHEART("whhgmz-squareheart", '\uf695'),
    SQUAREI("whhgmz-squarei", '\uf6cd'),
    SQUAREJ("whhgmz-squarej", '\uf6ce'),
    SQUAREK("whhgmz-squarek", '\uf6cf'),
    SQUAREL("whhgmz-squarel", '\uf6d0'),
    SQUARELIKE("whhgmz-squarelike", '\uf698'),
    SQUAREM("whhgmz-squarem", '\uf6d1'),
    SQUAREN("whhgmz-squaren", '\uf6d2'),
    SQUARENEXT("whhgmz-squarenext", '\uf4ff'),
    SQUAREO("whhgmz-squareo", '\uf6d3'),
    SQUAREP("whhgmz-squarep", '\uf6d4'),
    SQUAREPAUSE("whhgmz-squarepause", '\uf4fb'),
    SQUAREPLAY("whhgmz-squareplay", '\uf4f9'),
    SQUAREPREVIOUS("whhgmz-squareprevious", '\uf500'),
    SQUAREQ("whhgmz-squareq", '\uf6d5'),
    SQUAREQUORA("whhgmz-squarequora", '\uf798'),
    SQUARER("whhgmz-squarer", '\uf6d6'),
    SQUARERECORD("whhgmz-squarerecord", '\uf4fc'),
    SQUARES("whhgmz-squares", '\uf6d7'),
    SQUARESEARCH("whhgmz-squaresearch", '\uf69a'),
    SQUARESETTINGS("whhgmz-squaresettings", '\uf69b'),
    SQUARESTAR("whhgmz-squarestar", '\uf696'),
    SQUARESTOP("whhgmz-squarestop", '\uf4fa'),
    SQUARET("whhgmz-squaret", '\uf6d8'),
    SQUARETWITTER("whhgmz-squaretwitter", '\uf7a0'),
    SQUAREU("whhgmz-squareu", '\uf6d9'),
    SQUAREV("whhgmz-squarev", '\uf6da'),
    SQUAREVIBER("whhgmz-squareviber", '\uf77e'),
    SQUAREVIMEO("whhgmz-squarevimeo", '\uf79f'),
    SQUAREVOICE("whhgmz-squarevoice", '\uf69c'),
    SQUAREW("whhgmz-squarew", '\uf6db'),
    SQUAREX("whhgmz-squarex", '\uf6dc'),
    SQUAREY("whhgmz-squarey", '\uf6dd'),
    SQUAREZ("whhgmz-squarez", '\uf6de'),
    SQUAREZERPLY("whhgmz-squarezerply", '\uf79d'),
    SSH("whhgmz-ssh", '\uf04e'),
    SSLMANAGER("whhgmz-sslmanager", '\uf04f'),
    STACKS("whhgmz-stacks", '\uf4c1'),
    STADIUM("whhgmz-stadium", '\uf3d6'),
    STAIRSDOWN("whhgmz-stairsdown", '\uf4a0'),
    STAIRSUP("whhgmz-stairsup", '\uf49f'),
    STAMP("whhgmz-stamp", '\uf242'),
    STAMPALT("whhgmz-stampalt", '\uf243'),
    STAR("whhgmz-star", '\uf13a'),
    STAREMPTY("whhgmz-starempty", '\uf2de'),
    STARFULL("whhgmz-starfull", '\uf2e0'),
    STARHALF("whhgmz-starhalf", '\uf2df'),
    STAR_EMPTY("whhgmz-star-empty", '\uf13b'),
    STATISTICS("whhgmz-statistics", '\uf4f4'),
    STEAK("whhgmz-steak", '\uf360'),
    STEAM("whhgmz-steam", '\uf2dd'),
    STEAMALT("whhgmz-steamalt", '\uf644'),
    STEP_BACKWARD("whhgmz-step-backward", '\uf198'),
    STEP_FORWARD("whhgmz-step-forward", '\uf197'),
    STICKER("whhgmz-sticker", '\uf3f5'),
    STICKYNOTE("whhgmz-stickynote", '\uf60d'),
    STICKYNOTEALT("whhgmz-stickynotealt", '\uf60e'),
    STILETTO("whhgmz-stiletto", '\uf429'),
    STOCKDOWN("whhgmz-stockdown", '\uf252'),
    STOCKS("whhgmz-stocks", '\uf250'),
    STOCKUP("whhgmz-stockup", '\uf251'),
    STOMACH("whhgmz-stomach", '\uf3e1'),
    STOP("whhgmz-stop", '\uf185'),
    STOPWATCH("whhgmz-stopwatch", '\uf219'),
    STORAGEALT_DRAWER("whhgmz-storagealt-drawer", '\uf012'),
    STORAGE_BOX("whhgmz-storage-box", '\uf011'),
    STORE("whhgmz-store", '\uf272'),
    STORM("whhgmz-storm", '\uf230'),
    STOVE("whhgmz-stove", '\uf371'),
    STRAWBERRY("whhgmz-strawberry", '\uf3f3'),
    STRIKETHROUGH("whhgmz-strikethrough", '\uf1f7'),
    STROLLER("whhgmz-stroller", '\uf55a'),
    STUDENT_SCHOOL("whhgmz-student-school", '\uf288'),
    STUMBLEUPON("whhgmz-stumbleupon", '\uf40c'),
    SUBDOMAIN("whhgmz-subdomain", '\uf052'),
    SUBMARINE("whhgmz-submarine", '\uf373'),
    SUBRION("whhgmz-subrion", '\uf48f'),
    SUBSCRIPT("whhgmz-subscript", '\uf1ea'),
    SUBTITLES("whhgmz-subtitles", '\uf7c6'),
    SUBTITLESOFF("whhgmz-subtitlesoff", '\uf7c7'),
    SUBTRACTSHAPE("whhgmz-subtractshape", '\uf1fe'),
    SUM("whhgmz-sum", '\uf33b'),
    SUNNYSIDEUP("whhgmz-sunnysideup", '\uf365'),
    SUNRISE("whhgmz-sunrise", '\uf6e5'),
    SUNSET("whhgmz-sunset", '\uf6e6'),
    SUN_DAY("whhgmz-sun-day", '\uf206'),
    SUPERMAN("whhgmz-superman", '\uf33f'),
    SUPERSCRIPT("whhgmz-superscript", '\uf1eb'),
    SUPPORT("whhgmz-support", '\uf013'),
    SUPPORTALT("whhgmz-supportalt", '\uf014'),
    SURVEY("whhgmz-survey", '\uf6b9'),
    SWIPEDOWN("whhgmz-swipedown", '\uf7cd'),
    SWIPEUP("whhgmz-swipeup", '\uf7cc'),
    SWITCH("whhgmz-switch", '\uf28a'),
    SWITCHOFF("whhgmz-switchoff", '\uf32d'),
    SWITCHOFFALT("whhgmz-switchoffalt", '\uf28e'),
    SWITCHON("whhgmz-switchon", '\uf32c'),
    SWITCHONALT("whhgmz-switchonalt", '\uf28d'),
    SWORD("whhgmz-sword", '\uf2ed'),
    SYMPHONY("whhgmz-symphony", '\uf4b5'),
    SYNC("whhgmz-sync", '\uf0bd'),
    SYNCALT("whhgmz-syncalt", '\uf11c'),
    SYNCKEEPLOCAL("whhgmz-synckeeplocal", '\uf33e'),
    SYNCKEEPSERVER("whhgmz-synckeepserver", '\uf33d'),
    SYRINGE_ANTIVIRUS("whhgmz-syringe-antivirus", '\uf0a9'),
    SYSTEMFOLDER("whhgmz-systemfolder", '\uf64e'),
    TABLET("whhgmz-tablet", '\uf118'),
    TABLETENNIS_PINGPONG("whhgmz-tabletennis-pingpong", '\uf2f0'),
    TABLETSCREENSIZE("whhgmz-tabletscreensize", '\uf675'),
    TACO("whhgmz-taco", '\uf3cd'),
    TAG("whhgmz-tag", '\uf032'),
    TAGALT_PRICEALT("whhgmz-tagalt-pricealt", '\uf264'),
    TAGGED("whhgmz-tagged", '\uf758'),
    TAGS("whhgmz-tags", '\uf482'),
    TAGVERTICAL("whhgmz-tagvertical", '\uf15f'),
    TALLGLASS("whhgmz-tallglass", '\uf540'),
    TAMPERMONKEY("whhgmz-tampermonkey", '\uf75c'),
    TANK("whhgmz-tank", '\uf423'),
    TARGET("whhgmz-target", '\uf2a6'),
    TASKFREAK("whhgmz-taskfreak", '\uf5a3'),
    TASKMANAGER_LOGPROGRAMS("whhgmz-taskmanager-logprograms", '\uf04b'),
    TASKS("whhgmz-tasks", '\uf0e0'),
    TAXI("whhgmz-taxi", '\uf3a4'),
    TEA("whhgmz-tea", '\uf3cb'),
    TEAMVIEWER("whhgmz-teamviewer", '\uf77f'),
    TEAPOT("whhgmz-teapot", '\uf42c'),
    TECHNORATI("whhgmz-technorati", '\uf4bf'),
    TECTILE("whhgmz-tectile", '\uf683'),
    TEDDYBEAR("whhgmz-teddybear", '\uf559'),
    TELESCOPE("whhgmz-telescope", '\uf3ef'),
    TEMPERATUREALT_THERMOMETERALT("whhgmz-temperaturealt-thermometeralt", '\uf20e'),
    TEMPERATURE_THERMOMETER("whhgmz-temperature-thermometer", '\uf20d'),
    TEMPLE("whhgmz-temple", '\uf759'),
    TENNIS("whhgmz-tennis", '\uf2ea'),
    TENT_CAMPING("whhgmz-tent-camping", '\uf215'),
    TERMINAL("whhgmz-terminal", '\uf114'),
    TERMINALALT("whhgmz-terminalalt", '\uf5c3'),
    TETHERING("whhgmz-tethering", '\uf0f1'),
    TETRISONE("whhgmz-tetrisone", '\uf34b'),
    TETRISTHREE("whhgmz-tetristhree", '\uf34d'),
    TETRISTWO("whhgmz-tetristwo", '\uf34c'),
    TEXTCURSOR("whhgmz-textcursor", '\uf5d4'),
    TEXTFIELD("whhgmz-textfield", '\uf5d5'),
    TEXTLAYER("whhgmz-textlayer", '\uf688'),
    TEXTURE("whhgmz-texture", '\uf512'),
    TEXT_HEIGHT("whhgmz-text-height", '\uf1f8'),
    TEXT_WIDTH("whhgmz-text-width", '\uf1f9'),
    TH("whhgmz-th", '\uf110'),
    THEATHER("whhgmz-theather", '\uf39c'),
    THEME_STYLE("whhgmz-theme-style", '\uf041'),
    THEVERGE("whhgmz-theverge", '\uf4c0'),
    THINKING("whhgmz-thinking", '\uf5db'),
    THISSIDEUP("whhgmz-thissideup", '\uf41d'),
    THREECOLUMNS("whhgmz-threecolumns", '\uf1ab'),
    THREED("whhgmz-threed", '\uf57b'),
    THREEG("whhgmz-threeg", '\uf76f'),
    THREETOFOUR("whhgmz-threetofour", '\uf620'),
    THUMBS_DOWN("whhgmz-thumbs-down", '\uf139'),
    THUMBS_UP("whhgmz-thumbs-up", '\uf138'),
    TH_LARGE("whhgmz-th-large", '\uf112'),
    TH_LIST("whhgmz-th-list", '\uf113'),
    TICKET("whhgmz-ticket", '\uf3dc'),
    TICTACTOE("whhgmz-tictactoe", '\uf39a'),
    TIDEFALL("whhgmz-tidefall", '\uf6e8'),
    TIDERISE("whhgmz-tiderise", '\uf6e7'),
    TIE_BUSINESS("whhgmz-tie-business", '\u2040'),
    TIKIWIKI("whhgmz-tikiwiki", '\uf491'),
    TIME("whhgmz-time", '\uf210'),
    TIMELINE("whhgmz-timeline", '\uf253'),
    TIMER("whhgmz-timer", '\uf61b'),
    TINT("whhgmz-tint", '\uf208'),
    TOAST("whhgmz-toast", '\uf2ad'),
    TOILETPAPER("whhgmz-toiletpaper", '\uf384'),
    TOMATOCART("whhgmz-tomatocart", '\uf5a9'),
    TOOLS("whhgmz-tools", '\uf4a7'),
    TOOTH("whhgmz-tooth", '\uf3de'),
    TOOTHBRUSH("whhgmz-toothbrush", '\uf385'),
    TOPBORDER("whhgmz-topborder", '\uf4dc'),
    TOPHAT("whhgmz-tophat", '\uf3f0'),
    TORCH("whhgmz-torch", '\uf60f'),
    TORIGATE("whhgmz-torigate", '\uf411'),
    TORNADO("whhgmz-tornado", '\uf670'),
    TOUCHPAD("whhgmz-touchpad", '\uf115'),
    TRAFFICLIGHT("whhgmz-trafficlight", '\uf22a'),
    TRAGEDY("whhgmz-tragedy", '\uf539'),
    TRAILOR("whhgmz-trailor", '\uf53b'),
    TRAIN("whhgmz-train", '\uf499'),
    TRANSFORM("whhgmz-transform", '\uf1a6'),
    TRAQ("whhgmz-traq", '\uf5a5'),
    TRASH("whhgmz-trash", '\uf0ce'),
    TRASHEMPTY("whhgmz-trashempty", '\uf0cf'),
    TRASHFULL("whhgmz-trashfull", '\uf0d0'),
    TRAVEL("whhgmz-travel", '\uf422'),
    TREEDIAGRAM("whhgmz-treediagram", '\uf0ec'),
    TREEORNAMENT("whhgmz-treeornament", '\uf37e'),
    TREETHREE("whhgmz-treethree", '\uf5c0'),
    TRIANGLE("whhgmz-triangle", '\u25b3'),
    TROJAN("whhgmz-trojan", '\uf555'),
    TROLLEYEMPTY("whhgmz-trolleyempty", '\uf5f7'),
    TROLLEYFULL("whhgmz-trolleyfull", '\uf5f4'),
    TROLLEYLOAD("whhgmz-trolleyload", '\uf5f5'),
    TROLLEYUNLOAD("whhgmz-trolleyunload", '\uf5f6'),
    TRON("whhgmz-tron", '\uf34f'),
    TROPHY("whhgmz-trophy", '\uf2d7'),
    TRUCK("whhgmz-truck", '\uf211'),
    TRUMPET("whhgmz-trumpet", '\uf375'),
    TSHIRT("whhgmz-tshirt", '\uf53c'),
    TUMBLR("whhgmz-tumblr", '\uf164'),
    TUNEIN("whhgmz-tunein", '\uf780'),
    TUNEINALT("whhgmz-tuneinalt", '\uf781'),
    TURNIP("whhgmz-turnip", '\uf631'),
    TURNLEFT("whhgmz-turnleft", '\uf6b5'),
    TURNOFFALARM("whhgmz-turnoffalarm", '\uf67d'),
    TURNRIGHT("whhgmz-turnright", '\uf6b4'),
    TV("whhgmz-tv", '\uf1a4'),
    TWITTER("whhgmz-twitter", '\uf16a'),
    TWOCOLUMNSLEFT("whhgmz-twocolumnsleft", '\uf1a9'),
    TWOCOLUMNSLEFTALT("whhgmz-twocolumnsleftalt", '\uf1aa'),
    TWOCOLUMNSRIGHT("whhgmz-twocolumnsright", '\uf1a7'),
    TWOCOLUMNSRIGHTALT("whhgmz-twocolumnsrightalt", '\uf1a8'),
    TWOFINGERSWIPEDOWN("whhgmz-twofingerswipedown", '\uf7ce'),
    TWOFINGERSWIPEUP("whhgmz-twofingerswipeup", '\uf7cf'),
    TWOG("whhgmz-twog", '\uf76e'),
    TYPOTHREE("whhgmz-typothree", '\uf490'),
    UBUNTU("whhgmz-ubuntu", '\uf120'),
    UMBRELLA("whhgmz-umbrella", '\uf218'),
    UNDERLINE("whhgmz-underline", '\uf1f6'),
    UNDO("whhgmz-undo", '\uf32a'),
    UNLOCK("whhgmz-unlock", '\uf0bf'),
    UNPACKARCHIVE("whhgmz-unpackarchive", '\uf5c2'),
    UPLEFT("whhgmz-upleft", '\uf302'),
    UPLOAD("whhgmz-upload", '\uf47a'),
    UPLOADALT("whhgmz-uploadalt", '\uf11b'),
    UPRIGHT("whhgmz-upright", '\uf303'),
    UPTIME("whhgmz-uptime", '\uf017'),
    USB("whhgmz-usb", '\uf10d'),
    USBALT("whhgmz-usbalt", '\uf10e'),
    USBFLASH("whhgmz-usbflash", '\uf60b'),
    USBPLUG("whhgmz-usbplug", '\uf10f'),
    USER("whhgmz-user", '\uf133'),
    USERALT("whhgmz-useralt", '\uf5ce'),
    USERFILTER("whhgmz-userfilter", '\uf05d'),
    USFOOTBALL("whhgmz-usfootball", '\uf2ec'),
    VALUE_COINS("whhgmz-value-coins", '\uf018'),
    VANILLACMS("whhgmz-vanillacms", '\uf4b6'),
    VAULTTHREE("whhgmz-vaultthree", '\uf690'),
    VECTOR("whhgmz-vector", '\uf1b6'),
    VECTORALT("whhgmz-vectoralt", '\uf689'),
    VENDETTA("whhgmz-vendetta", '\uf3c5'),
    VERSIONS("whhgmz-versions", '\uf777'),
    VERTICALBORDER("whhgmz-verticalborder", '\uf4e0'),
    VIAL("whhgmz-vial", '\uf5c5'),
    VIBER("whhgmz-viber", '\uf77d'),
    VIDEO("whhgmz-video", '\uf17d'),
    VIDEOCAMERATHREE("whhgmz-videocamerathree", '\uf7c5'),
    VIKING("whhgmz-viking", '\uf379'),
    VIMEO("whhgmz-vimeo", '\uf168'),
    VINEAPP("whhgmz-vineapp", '\uf6b6'),
    VINEAPPALT("whhgmz-vineappalt", '\uf6b7'),
    VINYL("whhgmz-vinyl", '\uf0cc'),
    VIOLIN("whhgmz-violin", '\uf1a5'),
    VIRUS("whhgmz-virus", '\uf0a8'),
    VISA("whhgmz-visa", '\uf3c2'),
    VISITOR("whhgmz-visitor", '\uf097'),
    VK("whhgmz-vk", '\uf34e'),
    VLC_CONE("whhgmz-vlc-cone", '\uf192'),
    VOICE("whhgmz-voice", '\uf18c'),
    VOLTAGE("whhgmz-voltage", '\uf50c'),
    VOLUME_DOWN("whhgmz-volume-down", '\uf0e3'),
    VOLUME_OFF("whhgmz-volume-off", '\uf0e4'),
    VOLUME_UP("whhgmz-volume-up", '\uf0e2'),
    VPS("whhgmz-vps", '\uf025'),
    VTIGER("whhgmz-vtiger", '\uf5ad'),
    WACOM("whhgmz-wacom", '\uf1bb'),
    WALLE("whhgmz-walle", '\uf3bc'),
    WALLET("whhgmz-wallet", '\ue000'),
    WALLETALT("whhgmz-walletalt", '\uf5e1'),
    WARCRAFT("whhgmz-warcraft", '\uf3bf'),
    WARMEDAL("whhgmz-warmedal", '\uf2e4'),
    WARMEDALALT("whhgmz-warmedalalt", '\uf5da'),
    WARNING_SIGN("whhgmz-warning-sign", '\uf316'),
    WASHER("whhgmz-washer", '\uf39b'),
    WATCH("whhgmz-watch", '\uf378'),
    WATERMELON("whhgmz-watermelon", '\uf62f'),
    WATERTAP_PLUMBING("whhgmz-watertap-plumbing", '\uf22d'),
    WAVEALT_SEAALT("whhgmz-wavealt-seaalt", '\uf23b'),
    WAVE_SEA("whhgmz-wave-sea", '\uf23c'),
    WEBCAM("whhgmz-webcam", '\uf0fe'),
    WEBCAMALT("whhgmz-webcamalt", '\uf129'),
    WEBHOSTINGHUB("whhgmz-webhostinghub", '\uf031'),
    WEBINSTA("whhgmz-webinsta", '\uf59c'),
    WEBMAIL("whhgmz-webmail", '\uf045'),
    WEBPAGE("whhgmz-webpage", '\uf033'),
    WEBPLATFORM("whhgmz-webplatform", '\uf3c3'),
    WEBSITEALT("whhgmz-websitealt", '\uf01c'),
    WEBSITEBUILDER("whhgmz-websitebuilder", '\uf034'),
    WEIGHT("whhgmz-weight", '\uf430'),
    WEIGHTSCALE("whhgmz-weightscale", '\uf782'),
    WESTERNUNION("whhgmz-westernunion", '\uf26a'),
    WETFLOOR("whhgmz-wetfloor", '\uf7c2'),
    WHATSAPP("whhgmz-whatsapp", '\uf77b'),
    WHATSAPPALT("whhgmz-whatsappalt", '\uf77c'),
    WHEEL("whhgmz-wheel", '\uf228'),
    WHEELCHAIR("whhgmz-wheelchair", '\uf3fe'),
    WHISTLE("whhgmz-whistle", '\uf3d8'),
    WHMCS("whhgmz-whmcs", '\uf066'),
    WIFI("whhgmz-wifi", '\uf0ff'),
    WIND("whhgmz-wind", '\uf41b'),
    WINDLEFT("whhgmz-windleft", '\uf424'),
    WINDMILL("whhgmz-windmill", '\uf6f2'),
    WINDMILLALT("whhgmz-windmillalt", '\uf6f3'),
    WINDOWS("whhgmz-windows", '\uf019'),
    WINDOWSEIGHT("whhgmz-windowseight", '\uf547'),
    WINDRIGHT("whhgmz-windright", '\uf425'),
    WINE("whhgmz-wine", '\uf238'),
    WINEGLASS("whhgmz-wineglass", '\uf4d1'),
    WIZARD("whhgmz-wizard", '\uf03c'),
    WIZARDALT("whhgmz-wizardalt", '\uf1fb'),
    WIZARDHAT("whhgmz-wizardhat", '\uf337'),
    WOMANALT("whhgmz-womanalt", '\uf56e'),
    WOMAN_FEMALE("whhgmz-woman-female", '\uf2a2'),
    WOMEN("whhgmz-women", '\uf24d'),
    WORDPRESS("whhgmz-wordpress", '\uf074'),
    WORKSHIRT("whhgmz-workshirt", '\uf54f'),
    WORLD("whhgmz-world", '\uf4f3'),
    WRENCH("whhgmz-wrench", '\uf05b'),
    WRENCHALT("whhgmz-wrenchalt", '\uf2b2'),
    WWF("whhgmz-wwf", '\uf628'),
    XBOX("whhgmz-xbox", '\uf353'),
    XMEN("whhgmz-xmen", '\uf345'),
    XOOPS("whhgmz-xoops", '\uf4a8'),
    YAHOO("whhgmz-yahoo", '\uf151'),
    YELP("whhgmz-yelp", '\uf522'),
    YEN("whhgmz-yen", '\u00a5'),
    YENALT("whhgmz-yenalt", '\uf25d'),
    YENSQUARE("whhgmz-yensquare", '\uf5e4'),
    YIIFRAMEWORK("whhgmz-yiiframework", '\uf5b0'),
    YINYANG("whhgmz-yinyang", '\u262f'),
    YOUTUBE("whhgmz-youtube", '\uf142'),
    YUI("whhgmz-yui", '\uf5bb'),
    ZELDA("whhgmz-zelda", '\uf3b8'),
    ZENCART("whhgmz-zencart", '\uf5a8'),
    ZENDFRAMEWORK("whhgmz-zendframework", '\uf5b1'),
    ZENPHOTO("whhgmz-zenphoto", '\uf590'),
    ZERPLY("whhgmz-zerply", '\uf78a'),
    ZIKULA("whhgmz-zikula", '\uf0ac'),
    ZIP("whhgmz-zip", '\uf116'),
    ZODIAC_AQUARIUS("whhgmz-zodiac-aquarius", '\uf3b4'),
    ZODIAC_ARIES("whhgmz-zodiac-aries", '\uf3aa'),
    ZODIAC_CANCER("whhgmz-zodiac-cancer", '\uf3ad'),
    ZODIAC_CAPRICORN("whhgmz-zodiac-capricorn", '\uf3b3'),
    ZODIAC_GEMINI("whhgmz-zodiac-gemini", '\uf3ac'),
    ZODIAC_LEO("whhgmz-zodiac-leo", '\uf3ae'),
    ZODIAC_LIBRA("whhgmz-zodiac-libra", '\uf3b0'),
    ZODIAC_PISCES("whhgmz-zodiac-pisces", '\uf3b5'),
    ZODIAC_SAGITARIUS("whhgmz-zodiac-sagitarius", '\uf3b2'),
    ZODIAC_SCORPIO("whhgmz-zodiac-scorpio", '\uf3b1'),
    ZODIAC_TAURUS("whhgmz-zodiac-taurus", '\uf3ab'),
    ZODIAC_VIRGO("whhgmz-zodiac-virgo", '\uf3af'),
    ZOOM_IN("whhgmz-zoom-in", '\uf320'),
    ZOOM_OUT("whhgmz-zoom-out", '\uf321'),
    ZURMO("whhgmz-zurmo", '\uf5ab');

    public static WhhgMZ findByDescription(String description) {
        for (WhhgMZ font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    WhhgMZ(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}